#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'appearanceconfig_chatwindow.ui'
**
** Created: 2015-12-18T10:20:24
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "appearanceconfig_chatwindow.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qsplitter.h>
#include <klistbox.h>
#include <qframe.h>
#include <kpushbutton.h>
#include <qlabel.h>
#include <qcombobox.h>
#include <qbuttongroup.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a AppearanceConfig_ChatWindow as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
AppearanceConfig_ChatWindow::AppearanceConfig_ChatWindow( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "AppearanceConfig_ChatWindow" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, 0, 0, sizePolicy().hasHeightForWidth() ) );
    AppearanceConfig_ChatWindowLayout = new QVBoxLayout( this, 11, 6, "AppearanceConfig_ChatWindowLayout"); 

    stylesGroupBox = new QGroupBox( this, "stylesGroupBox" );
    stylesGroupBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, 0, 0, stylesGroupBox->sizePolicy().hasHeightForWidth() ) );
    stylesGroupBox->setColumnLayout(0, Qt::Vertical );
    stylesGroupBox->layout()->setSpacing( 6 );
    stylesGroupBox->layout()->setMargin( 11 );
    stylesGroupBoxLayout = new QGridLayout( stylesGroupBox->layout() );
    stylesGroupBoxLayout->setAlignment( Qt::AlignTop );

    splitter1 = new QSplitter( stylesGroupBox, "splitter1" );
    splitter1->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)3, 0, 0, splitter1->sizePolicy().hasHeightForWidth() ) );
    splitter1->setOrientation( QSplitter::Horizontal );

    styleList = new KListBox( splitter1, "styleList" );
    styleList->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)7, 1, 0, styleList->sizePolicy().hasHeightForWidth() ) );

    htmlFrame = new QFrame( splitter1, "htmlFrame" );
    htmlFrame->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)7, 4, 0, htmlFrame->sizePolicy().hasHeightForWidth() ) );
    htmlFrame->setFrameShape( QFrame::StyledPanel );
    htmlFrame->setFrameShadow( QFrame::Raised );

    stylesGroupBoxLayout->addMultiCellWidget( splitter1, 0, 0, 0, 1 );

    layout10 = new QHBoxLayout( 0, 0, 6, "layout10"); 

    btnGetStyles = new KPushButton( stylesGroupBox, "btnGetStyles" );
    btnGetStyles->setEnabled( TRUE );
    layout10->addWidget( btnGetStyles );

    installButton = new KPushButton( stylesGroupBox, "installButton" );
    layout10->addWidget( installButton );

    deleteButton = new KPushButton( stylesGroupBox, "deleteButton" );
    layout10->addWidget( deleteButton );

    stylesGroupBoxLayout->addMultiCellLayout( layout10, 2, 2, 0, 1 );

    textLabel1 = new QLabel( stylesGroupBox, "textLabel1" );

    stylesGroupBoxLayout->addWidget( textLabel1, 1, 0 );

    variantList = new QComboBox( FALSE, stylesGroupBox, "variantList" );
    variantList->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)1, 0, 0, variantList->sizePolicy().hasHeightForWidth() ) );

    stylesGroupBoxLayout->addWidget( variantList, 1, 1 );
    AppearanceConfig_ChatWindowLayout->addWidget( stylesGroupBox );

    buttonGroup2 = new QButtonGroup( this, "buttonGroup2" );
    buttonGroup2->setColumnLayout(0, Qt::Vertical );
    buttonGroup2->layout()->setSpacing( 6 );
    buttonGroup2->layout()->setMargin( 11 );
    buttonGroup2Layout = new QGridLayout( buttonGroup2->layout() );
    buttonGroup2Layout->setAlignment( Qt::AlignTop );

    groupConsecutiveMessages = new QCheckBox( buttonGroup2, "groupConsecutiveMessages" );

    buttonGroup2Layout->addWidget( groupConsecutiveMessages, 1, 0 );
    AppearanceConfig_ChatWindowLayout->addWidget( buttonGroup2 );
    languageChange();
    resize( QSize(462, 454).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( styleList, installButton );
    setTabOrder( installButton, deleteButton );
}

/*
 *  Destroys the object and frees any allocated resources
 */
AppearanceConfig_ChatWindow::~AppearanceConfig_ChatWindow()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void AppearanceConfig_ChatWindow::languageChange()
{
    setCaption( tr2i18n( "Chat Window Appearance" ) );
    stylesGroupBox->setTitle( tr2i18n( "Styles" ) );
    btnGetStyles->setText( tr2i18n( "&Get New..." ) );
    QToolTip::add( btnGetStyles, tr2i18n( "Get new Chat Window styles over the Internet" ) );
    installButton->setText( tr2i18n( "&Install..." ) );
    deleteButton->setText( tr2i18n( "&Delete" ) );
    textLabel1->setText( tr2i18n( "Style Variant:" ) );
    buttonGroup2->setTitle( tr2i18n( "Display" ) );
    groupConsecutiveMessages->setText( tr2i18n( "Group consecuti&ve messages" ) );
}

/****************************************************************************
** AppearanceConfig_ChatWindow meta object code from reading C++ file 'appearanceconfig_chatwindow.h'
**
** Created: Fri Dec 18 10:20:24 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "appearanceconfig_chatwindow.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *AppearanceConfig_ChatWindow::className() const
{
    return "AppearanceConfig_ChatWindow";
}

QMetaObject *AppearanceConfig_ChatWindow::metaObj = 0;
static QMetaObjectCleanUp cleanUp_AppearanceConfig_ChatWindow( "AppearanceConfig_ChatWindow", &AppearanceConfig_ChatWindow::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString AppearanceConfig_ChatWindow::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "AppearanceConfig_ChatWindow", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString AppearanceConfig_ChatWindow::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "AppearanceConfig_ChatWindow", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* AppearanceConfig_ChatWindow::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"AppearanceConfig_ChatWindow", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_AppearanceConfig_ChatWindow.setMetaObject( metaObj );
    return metaObj;
}

void* AppearanceConfig_ChatWindow::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "AppearanceConfig_ChatWindow" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool AppearanceConfig_ChatWindow::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool AppearanceConfig_ChatWindow::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool AppearanceConfig_ChatWindow::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool AppearanceConfig_ChatWindow::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
