#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'appearanceconfig_colors.ui'
**
** Created: 2015-12-18T10:20:24
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "appearanceconfig_colors.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <kcolorbutton.h>
#include <kfontrequester.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a AppearanceConfig_Colors as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
AppearanceConfig_Colors::AppearanceConfig_Colors( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "AppearanceConfig_Colors" );
    AppearanceConfig_ColorsLayout = new QVBoxLayout( this, 11, 6, "AppearanceConfig_ColorsLayout"); 

    groupBox3 = new QGroupBox( this, "groupBox3" );
    groupBox3->setFrameShape( QGroupBox::GroupBoxPanel );
    groupBox3->setFrameShadow( QGroupBox::Sunken );
    groupBox3->setColumnLayout(0, Qt::Vertical );
    groupBox3->layout()->setSpacing( 6 );
    groupBox3->layout()->setMargin( 11 );
    groupBox3Layout = new QGridLayout( groupBox3->layout() );
    groupBox3Layout->setAlignment( Qt::AlignTop );

    textLabel3 = new QLabel( groupBox3, "textLabel3" );

    groupBox3Layout->addWidget( textLabel3, 0, 0 );

    foregroundColor = new KColorButton( groupBox3, "foregroundColor" );

    groupBox3Layout->addWidget( foregroundColor, 3, 1 );

    textLabel2 = new QLabel( groupBox3, "textLabel2" );

    groupBox3Layout->addWidget( textLabel2, 3, 0 );

    linkColor = new KColorButton( groupBox3, "linkColor" );
    linkColor->setColor( QColor( 0, 85, 255 ) );

    groupBox3Layout->addWidget( linkColor, 2, 1 );

    backgroundColor = new KColorButton( groupBox3, "backgroundColor" );

    groupBox3Layout->addWidget( backgroundColor, 3, 3 );

    textLabel1_2 = new QLabel( groupBox3, "textLabel1_2" );

    groupBox3Layout->addWidget( textLabel1_2, 1, 0 );

    textColor = new KColorButton( groupBox3, "textColor" );

    groupBox3Layout->addWidget( textColor, 1, 1 );

    bgColor = new KColorButton( groupBox3, "bgColor" );
    bgColor->setColor( QColor( 255, 255, 255 ) );

    groupBox3Layout->addWidget( bgColor, 1, 3 );

    textLabel1 = new QLabel( groupBox3, "textLabel1" );

    groupBox3Layout->addWidget( textLabel1, 3, 2 );

    textLabel1_3 = new QLabel( groupBox3, "textLabel1_3" );

    groupBox3Layout->addWidget( textLabel1_3, 2, 0 );

    textLabel2_2 = new QLabel( groupBox3, "textLabel2_2" );

    groupBox3Layout->addWidget( textLabel2_2, 1, 2 );

    fontFace = new KFontRequester( groupBox3, "fontFace" );

    groupBox3Layout->addMultiCellWidget( fontFace, 0, 0, 1, 3 );
    AppearanceConfig_ColorsLayout->addWidget( groupBox3 );

    groupBox4 = new QGroupBox( this, "groupBox4" );
    groupBox4->setColumnLayout(0, Qt::Vertical );
    groupBox4->layout()->setSpacing( 6 );
    groupBox4->layout()->setMargin( 11 );
    groupBox4Layout = new QVBoxLayout( groupBox4->layout() );
    groupBox4Layout->setAlignment( Qt::AlignTop );

    mBgOverride = new QCheckBox( groupBox4, "mBgOverride" );
    groupBox4Layout->addWidget( mBgOverride );

    mFgOverride = new QCheckBox( groupBox4, "mFgOverride" );
    groupBox4Layout->addWidget( mFgOverride );

    mRtfOverride = new QCheckBox( groupBox4, "mRtfOverride" );
    groupBox4Layout->addWidget( mRtfOverride );
    AppearanceConfig_ColorsLayout->addWidget( groupBox4 );

    groupBox3_2 = new QGroupBox( this, "groupBox3_2" );
    groupBox3_2->setColumnLayout(0, Qt::Vertical );
    groupBox3_2->layout()->setSpacing( 6 );
    groupBox3_2->layout()->setMargin( 11 );
    groupBox3_2Layout = new QVBoxLayout( groupBox3_2->layout() );
    groupBox3_2Layout->setAlignment( Qt::AlignTop );

    mUseCustomFonts = new QCheckBox( groupBox3_2, "mUseCustomFonts" );
    groupBox3_2Layout->addWidget( mUseCustomFonts );

    layout9 = new QHBoxLayout( 0, 0, 6, "layout9"); 
    spacer13 = new QSpacerItem( 20, 16, QSizePolicy::Fixed, QSizePolicy::Minimum );
    layout9->addItem( spacer13 );

    layout8 = new QVBoxLayout( 0, 0, 6, "layout8"); 

    layout5 = new QHBoxLayout( 0, 0, 6, "layout5"); 

    mGroupFontLabel = new QLabel( groupBox3_2, "mGroupFontLabel" );
    mGroupFontLabel->setEnabled( FALSE );
    layout5->addWidget( mGroupFontLabel );

    mGroupFont = new KFontRequester( groupBox3_2, "mGroupFont" );
    mGroupFont->setEnabled( FALSE );
    layout5->addWidget( mGroupFont );
    layout8->addLayout( layout5 );

    layout6 = new QHBoxLayout( 0, 0, 6, "layout6"); 

    mNormalFontLabel = new QLabel( groupBox3_2, "mNormalFontLabel" );
    mNormalFontLabel->setEnabled( FALSE );
    layout6->addWidget( mNormalFontLabel );

    mNormalFont = new KFontRequester( groupBox3_2, "mNormalFont" );
    mNormalFont->setEnabled( FALSE );
    layout6->addWidget( mNormalFont );
    layout8->addLayout( layout6 );

    layout7 = new QHBoxLayout( 0, 0, 6, "layout7"); 

    mSmallFontLabel = new QLabel( groupBox3_2, "mSmallFontLabel" );
    mSmallFontLabel->setEnabled( FALSE );
    layout7->addWidget( mSmallFontLabel );

    mSmallFont = new KFontRequester( groupBox3_2, "mSmallFont" );
    mSmallFont->setEnabled( FALSE );
    layout7->addWidget( mSmallFont );
    layout8->addLayout( layout7 );
    layout9->addLayout( layout8 );
    groupBox3_2Layout->addLayout( layout9 );

    layout6_2 = new QGridLayout( 0, 1, 1, 0, 6, "layout6_2"); 

    mGroupNameColor = new KColorButton( groupBox3_2, "mGroupNameColor" );

    layout6_2->addWidget( mGroupNameColor, 1, 1 );

    idleContactColor = new KColorButton( groupBox3_2, "idleContactColor" );
    idleContactColor->setEnabled( FALSE );

    layout6_2->addWidget( idleContactColor, 0, 1 );

    mGreyIdleMetaContacts = new QCheckBox( groupBox3_2, "mGreyIdleMetaContacts" );

    layout6_2->addWidget( mGreyIdleMetaContacts, 0, 0 );

    textLabel1_4 = new QLabel( groupBox3_2, "textLabel1_4" );

    layout6_2->addWidget( textLabel1_4, 1, 0 );
    groupBox3_2Layout->addLayout( layout6_2 );
    AppearanceConfig_ColorsLayout->addWidget( groupBox3_2 );
    spacer2 = new QSpacerItem( 20, 80, QSizePolicy::Minimum, QSizePolicy::Expanding );
    AppearanceConfig_ColorsLayout->addItem( spacer2 );
    languageChange();
    resize( QSize(618, 594).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( mUseCustomFonts, SIGNAL( toggled(bool) ), mNormalFontLabel, SLOT( setEnabled(bool) ) );
    connect( mUseCustomFonts, SIGNAL( toggled(bool) ), mNormalFont, SLOT( setEnabled(bool) ) );
    connect( mUseCustomFonts, SIGNAL( toggled(bool) ), mSmallFontLabel, SLOT( setEnabled(bool) ) );
    connect( mUseCustomFonts, SIGNAL( toggled(bool) ), mSmallFont, SLOT( setEnabled(bool) ) );
    connect( mGreyIdleMetaContacts, SIGNAL( toggled(bool) ), idleContactColor, SLOT( setEnabled(bool) ) );
    connect( mUseCustomFonts, SIGNAL( toggled(bool) ), mGroupFontLabel, SLOT( setEnabled(bool) ) );
    connect( mUseCustomFonts, SIGNAL( toggled(bool) ), mGroupFont, SLOT( setEnabled(bool) ) );

    // tab order
    setTabOrder( bgColor, textColor );
    setTabOrder( textColor, linkColor );
}

/*
 *  Destroys the object and frees any allocated resources
 */
AppearanceConfig_Colors::~AppearanceConfig_Colors()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void AppearanceConfig_Colors::languageChange()
{
    setCaption( tr2i18n( "Colors" ) );
    groupBox3->setTitle( tr2i18n( "Chat Window" ) );
    textLabel3->setText( tr2i18n( "Base font:" ) );
    foregroundColor->setText( QString::null );
    textLabel2->setText( tr2i18n( "Highlight foreground:" ) );
    linkColor->setText( QString::null );
    backgroundColor->setText( QString::null );
    textLabel1_2->setText( tr2i18n( "Base font color:" ) );
    textColor->setText( QString::null );
    bgColor->setText( QString::null );
    textLabel1->setText( tr2i18n( "Highlight background:" ) );
    textLabel1_3->setText( tr2i18n( "Link color:" ) );
    textLabel2_2->setText( tr2i18n( "Background color:" ) );
    groupBox4->setTitle( tr2i18n( "Formatting Overrides" ) );
    mBgOverride->setText( tr2i18n( "Do not show user specified &background color" ) );
    mFgOverride->setText( tr2i18n( "Do not show user specified &foreground color" ) );
    mRtfOverride->setText( tr2i18n( "Do not show user specified &rich text" ) );
    groupBox3_2->setTitle( tr2i18n( "Contact List" ) );
    mUseCustomFonts->setText( tr2i18n( "Use custom fonts for contact list items" ) );
    mGroupFontLabel->setText( tr2i18n( "Group font:" ) );
    mNormalFontLabel->setText( tr2i18n( "Normal font:" ) );
    mSmallFontLabel->setText( tr2i18n( "Small font:" ) );
    mGroupNameColor->setText( QString::null );
    idleContactColor->setText( QString::null );
    mGreyIdleMetaContacts->setText( tr2i18n( "Recolor contacts marked as idle:" ) );
    textLabel1_4->setText( tr2i18n( "Group name color:" ) );
}

/****************************************************************************
** AppearanceConfig_Colors meta object code from reading C++ file 'appearanceconfig_colors.h'
**
** Created: Fri Dec 18 10:20:24 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "appearanceconfig_colors.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *AppearanceConfig_Colors::className() const
{
    return "AppearanceConfig_Colors";
}

QMetaObject *AppearanceConfig_Colors::metaObj = 0;
static QMetaObjectCleanUp cleanUp_AppearanceConfig_Colors( "AppearanceConfig_Colors", &AppearanceConfig_Colors::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString AppearanceConfig_Colors::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "AppearanceConfig_Colors", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString AppearanceConfig_Colors::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "AppearanceConfig_Colors", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* AppearanceConfig_Colors::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"AppearanceConfig_Colors", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_AppearanceConfig_Colors.setMetaObject( metaObj );
    return metaObj;
}

void* AppearanceConfig_Colors::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "AppearanceConfig_Colors" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool AppearanceConfig_Colors::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool AppearanceConfig_Colors::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool AppearanceConfig_Colors::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool AppearanceConfig_Colors::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
