#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'tooltipeditwidget.ui'
**
** Created: 2015-12-18T10:20:24
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "tooltipeditwidget.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qframe.h>
#include <qlabel.h>
#include <qheader.h>
#include <klistview.h>
#include <qtoolbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a TooltipEditWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
TooltipEditWidget::TooltipEditWidget( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "TooltipEditWidget" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, 0, 0, sizePolicy().hasHeightForWidth() ) );
    TooltipEditWidgetLayout = new QGridLayout( this, 1, 1, 11, 6, "TooltipEditWidgetLayout"); 

    line1 = new QFrame( this, "line1" );
    line1->setFrameShape( QFrame::HLine );
    line1->setFrameShadow( QFrame::Sunken );
    line1->setFrameShape( QFrame::HLine );

    TooltipEditWidgetLayout->addWidget( line1, 1, 0 );

    textLabel1 = new QLabel( this, "textLabel1" );
    textLabel1->setAlignment( int( QLabel::WordBreak | QLabel::AlignVCenter ) );

    TooltipEditWidgetLayout->addWidget( textLabel1, 2, 0 );

    textLabel2 = new QLabel( this, "textLabel2" );

    TooltipEditWidgetLayout->addWidget( textLabel2, 0, 0 );

    layout5 = new QHBoxLayout( 0, 0, 6, "layout5"); 

    lstUnusedItems = new KListView( this, "lstUnusedItems" );
    lstUnusedItems->addColumn( QString::null );
    lstUnusedItems->header()->setClickEnabled( FALSE, lstUnusedItems->header()->count() - 1 );
    lstUnusedItems->header()->setResizeEnabled( FALSE, lstUnusedItems->header()->count() - 1 );
    lstUnusedItems->setFullWidth( TRUE );
    layout5->addWidget( lstUnusedItems );

    layout4 = new QVBoxLayout( 0, 0, 6, "layout4"); 
    spacer1 = new QSpacerItem( 20, 60, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout4->addItem( spacer1 );

    layout1 = new QGridLayout( 0, 1, 1, 0, 6, "layout1"); 

    tbDown = new QToolButton( this, "tbDown" );

    layout1->addWidget( tbDown, 2, 1 );

    tbUp = new QToolButton( this, "tbUp" );

    layout1->addWidget( tbUp, 0, 1 );

    tbRemove = new QToolButton( this, "tbRemove" );

    layout1->addWidget( tbRemove, 1, 0 );

    tbAdd = new QToolButton( this, "tbAdd" );

    layout1->addWidget( tbAdd, 1, 2 );
    layout4->addLayout( layout1 );
    spacer2 = new QSpacerItem( 20, 30, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout4->addItem( spacer2 );
    layout5->addLayout( layout4 );

    lstUsedItems = new KListView( this, "lstUsedItems" );
    lstUsedItems->addColumn( QString::null );
    lstUsedItems->header()->setClickEnabled( FALSE, lstUsedItems->header()->count() - 1 );
    lstUsedItems->header()->setResizeEnabled( FALSE, lstUsedItems->header()->count() - 1 );
    lstUsedItems->setFullWidth( TRUE );
    layout5->addWidget( lstUsedItems );

    TooltipEditWidgetLayout->addLayout( layout5, 3, 0 );
    languageChange();
    resize( QSize(489, 418).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
TooltipEditWidget::~TooltipEditWidget()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void TooltipEditWidget::languageChange()
{
    textLabel1->setText( tr2i18n( "Using the arrow buttons, put on the right the items you want to see in the contact tooltips. You can then sort them." ) );
    textLabel2->setText( tr2i18n( "<b>Here you can customize the contact tooltips</b>" ) );
    lstUnusedItems->header()->setLabel( 0, QString::null );
    QWhatsThis::add( lstUnusedItems, tr2i18n( "This list contains elements which are currently <b>not present</b> in the contact tooltip." ) );
    tbDown->setText( tr2i18n( "v" ) );
    QWhatsThis::add( tbDown, tr2i18n( "Use this arrow to reorder the items in the list." ) );
    tbUp->setText( tr2i18n( "^" ) );
    tbRemove->setText( tr2i18n( "<" ) );
    tbAdd->setText( tr2i18n( ">" ) );
    QWhatsThis::add( tbAdd, tr2i18n( "Use this arrows to add or remove items to your contact tooltips." ) );
    lstUsedItems->header()->setLabel( 0, QString::null );
    QWhatsThis::add( lstUsedItems, tr2i18n( "This list contains elements which are currently <b>present</b> in the contact tooltips." ) );
}

/****************************************************************************
** TooltipEditWidget meta object code from reading C++ file 'tooltipeditwidget.h'
**
** Created: Fri Dec 18 10:20:24 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "tooltipeditwidget.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *TooltipEditWidget::className() const
{
    return "TooltipEditWidget";
}

QMetaObject *TooltipEditWidget::metaObj = 0;
static QMetaObjectCleanUp cleanUp_TooltipEditWidget( "TooltipEditWidget", &TooltipEditWidget::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString TooltipEditWidget::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "TooltipEditWidget", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString TooltipEditWidget::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "TooltipEditWidget", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* TooltipEditWidget::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"TooltipEditWidget", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_TooltipEditWidget.setMetaObject( metaObj );
    return metaObj;
}

void* TooltipEditWidget::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "TooltipEditWidget" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool TooltipEditWidget::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool TooltipEditWidget::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool TooltipEditWidget::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool TooltipEditWidget::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
