#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'kopeteawayconfigbase.ui'
**
** Created: 2015-12-18T10:20:18
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kopeteawayconfigbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qspinbox.h>
#include <qcheckbox.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <klineedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a KopeteAwayConfigBaseUI as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KopeteAwayConfigBaseUI::KopeteAwayConfigBaseUI( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "KopeteAwayConfigBaseUI" );
    KopeteAwayConfigBaseUILayout = new QVBoxLayout( this, 11, 6, "KopeteAwayConfigBaseUILayout"); 

    groupBox2 = new QGroupBox( this, "groupBox2" );
    groupBox2->setFrameShape( QGroupBox::GroupBoxPanel );
    groupBox2->setFrameShadow( QGroupBox::Sunken );
    groupBox2->setColumnLayout(0, Qt::Vertical );
    groupBox2->layout()->setSpacing( 6 );
    groupBox2->layout()->setMargin( 11 );
    groupBox2Layout = new QGridLayout( groupBox2->layout() );
    groupBox2Layout->setAlignment( Qt::AlignTop );

    textLabel1 = new QLabel( groupBox2, "textLabel1" );

    groupBox2Layout->addWidget( textLabel1, 1, 0 );

    rememberedMessages = new QSpinBox( groupBox2, "rememberedMessages" );
    rememberedMessages->setMinValue( 1 );
    rememberedMessages->setValue( 5 );

    groupBox2Layout->addWidget( rememberedMessages, 1, 1 );
    spacer6 = new QSpacerItem( 61, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    groupBox2Layout->addItem( spacer6, 1, 2 );
    KopeteAwayConfigBaseUILayout->addWidget( groupBox2 );

    groupBox3 = new QGroupBox( this, "groupBox3" );
    groupBox3->setColumnLayout(0, Qt::Vertical );
    groupBox3->layout()->setSpacing( 6 );
    groupBox3->layout()->setMargin( 11 );
    groupBox3Layout = new QVBoxLayout( groupBox3->layout() );
    groupBox3Layout->setAlignment( Qt::AlignTop );

    mUseAutoAway = new QCheckBox( groupBox3, "mUseAutoAway" );
    groupBox3Layout->addWidget( mUseAutoAway );

    layout3 = new QHBoxLayout( 0, 0, 6, "layout3"); 

    TextLabel2 = new QLabel( groupBox3, "TextLabel2" );
    TextLabel2->setEnabled( FALSE );
    layout3->addWidget( TextLabel2 );

    mAutoAwayTimeout = new QSpinBox( groupBox3, "mAutoAwayTimeout" );
    mAutoAwayTimeout->setEnabled( FALSE );
    mAutoAwayTimeout->setMaxValue( 999 );
    mAutoAwayTimeout->setMinValue( 1 );
    layout3->addWidget( mAutoAwayTimeout );

    TextLabel3 = new QLabel( groupBox3, "TextLabel3" );
    TextLabel3->setEnabled( FALSE );
    layout3->addWidget( TextLabel3 );
    spacer7 = new QSpacerItem( 81, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout3->addItem( spacer7 );
    groupBox3Layout->addLayout( layout3 );

    mGoAvailable = new QCheckBox( groupBox3, "mGoAvailable" );
    mGoAvailable->setEnabled( FALSE );
    groupBox3Layout->addWidget( mGoAvailable );
    KopeteAwayConfigBaseUILayout->addWidget( groupBox3 );

    autoAwayMessageGroup = new QButtonGroup( this, "autoAwayMessageGroup" );
    autoAwayMessageGroup->setEnabled( FALSE );
    autoAwayMessageGroup->setColumnLayout(0, Qt::Vertical );
    autoAwayMessageGroup->layout()->setSpacing( 6 );
    autoAwayMessageGroup->layout()->setMargin( 11 );
    autoAwayMessageGroupLayout = new QVBoxLayout( autoAwayMessageGroup->layout() );
    autoAwayMessageGroupLayout->setAlignment( Qt::AlignTop );

    mDisplayLastAwayMessage = new QRadioButton( autoAwayMessageGroup, "mDisplayLastAwayMessage" );
    mDisplayLastAwayMessage->setEnabled( FALSE );
    mDisplayLastAwayMessage->setChecked( TRUE );
    autoAwayMessageGroupLayout->addWidget( mDisplayLastAwayMessage );

    mDisplayCustomAwayMessage = new QRadioButton( autoAwayMessageGroup, "mDisplayCustomAwayMessage" );
    mDisplayCustomAwayMessage->setEnabled( FALSE );
    autoAwayMessageGroupLayout->addWidget( mDisplayCustomAwayMessage );

    layout3_2 = new QHBoxLayout( 0, 0, 6, "layout3_2"); 
    spacer5_2_2 = new QSpacerItem( 16, 16, QSizePolicy::Fixed, QSizePolicy::Minimum );
    layout3_2->addItem( spacer5_2_2 );

    mAutoAwayMessageEdit = new KLineEdit( autoAwayMessageGroup, "mAutoAwayMessageEdit" );
    mAutoAwayMessageEdit->setEnabled( FALSE );
    mAutoAwayMessageEdit->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)0, 0, 0, mAutoAwayMessageEdit->sizePolicy().hasHeightForWidth() ) );
    mAutoAwayMessageEdit->setMinimumSize( QSize( 300, 0 ) );
    layout3_2->addWidget( mAutoAwayMessageEdit );
    autoAwayMessageGroupLayout->addLayout( layout3_2 );
    KopeteAwayConfigBaseUILayout->addWidget( autoAwayMessageGroup );
    spacer5 = new QSpacerItem( 20, 30, QSizePolicy::Minimum, QSizePolicy::Expanding );
    KopeteAwayConfigBaseUILayout->addItem( spacer5 );
    languageChange();
    resize( QSize(471, 266).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( mUseAutoAway, SIGNAL( toggled(bool) ), TextLabel2, SLOT( setEnabled(bool) ) );
    connect( mUseAutoAway, SIGNAL( toggled(bool) ), mAutoAwayTimeout, SLOT( setEnabled(bool) ) );
    connect( mUseAutoAway, SIGNAL( toggled(bool) ), TextLabel3, SLOT( setEnabled(bool) ) );
    connect( mUseAutoAway, SIGNAL( toggled(bool) ), mGoAvailable, SLOT( setEnabled(bool) ) );
    connect( mUseAutoAway, SIGNAL( toggled(bool) ), mDisplayLastAwayMessage, SLOT( setEnabled(bool) ) );
    connect( mUseAutoAway, SIGNAL( toggled(bool) ), mDisplayCustomAwayMessage, SLOT( setEnabled(bool) ) );
    connect( mDisplayCustomAwayMessage, SIGNAL( toggled(bool) ), mAutoAwayMessageEdit, SLOT( setEnabled(bool) ) );
    connect( mUseAutoAway, SIGNAL( toggled(bool) ), autoAwayMessageGroup, SLOT( setEnabled(bool) ) );

    // tab order
    setTabOrder( mUseAutoAway, mAutoAwayTimeout );
    setTabOrder( mAutoAwayTimeout, mGoAvailable );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KopeteAwayConfigBaseUI::~KopeteAwayConfigBaseUI()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KopeteAwayConfigBaseUI::languageChange()
{
    setCaption( tr2i18n( "Away Configuration" ) );
    groupBox2->setTitle( tr2i18n( "General" ) );
    textLabel1->setText( tr2i18n( "Number of away messages to remember:" ) );
    QToolTip::add( textLabel1, tr2i18n( "Kopete will remember this many away messages for use at a later date; if this limit is exceeded, the least-used message will be removed." ) );
    QWhatsThis::add( textLabel1, tr2i18n( "Kopete will remember this many away messages for use at a later date; if this limit is exceeded, the least-used message will be removed." ) );
    QToolTip::add( rememberedMessages, tr2i18n( "Kopete will remember this many away messages for use at a later date; if this limit is exceeded, the least-used message will be removed." ) );
    QWhatsThis::add( rememberedMessages, tr2i18n( "Kopete will remember this many away messages for use at a later date; if this limit is exceeded, the least-used message will be removed." ) );
    groupBox3->setTitle( tr2i18n( "Auto Away" ) );
    QWhatsThis::add( groupBox3, tr2i18n( "<p>If you check the <i>Use auto away</i> checkbox, Kopete will automaticaly set you globaly away when the KDE screen saver start, or after the selected minutes of user inactivity (i.e no mouse move, or key pressed)</p>\n"
"<p>Kopete will set you available again when you come back if you checked <i>Become available when detecting activity again</i></p>" ) );
    mUseAutoAway->setText( tr2i18n( "&Use auto away" ) );
    TextLabel2->setText( tr2i18n( "Become away after" ) );
    TextLabel3->setText( tr2i18n( "minutes of user inactivity" ) );
    mGoAvailable->setText( tr2i18n( "Become available when detecting activity again" ) );
    autoAwayMessageGroup->setTitle( tr2i18n( "Auto Away Message" ) );
    mDisplayLastAwayMessage->setText( tr2i18n( "Display the last away message used" ) );
    mDisplayCustomAwayMessage->setText( tr2i18n( "Display the following away message:" ) );
}

/****************************************************************************
** KopeteAwayConfigBaseUI meta object code from reading C++ file 'kopeteawayconfigbase.h'
**
** Created: Fri Dec 18 10:20:18 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "kopeteawayconfigbase.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *KopeteAwayConfigBaseUI::className() const
{
    return "KopeteAwayConfigBaseUI";
}

QMetaObject *KopeteAwayConfigBaseUI::metaObj = 0;
static QMetaObjectCleanUp cleanUp_KopeteAwayConfigBaseUI( "KopeteAwayConfigBaseUI", &KopeteAwayConfigBaseUI::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString KopeteAwayConfigBaseUI::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "KopeteAwayConfigBaseUI", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString KopeteAwayConfigBaseUI::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "KopeteAwayConfigBaseUI", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* KopeteAwayConfigBaseUI::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"KopeteAwayConfigBaseUI", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_KopeteAwayConfigBaseUI.setMetaObject( metaObj );
    return metaObj;
}

void* KopeteAwayConfigBaseUI::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "KopeteAwayConfigBaseUI" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool KopeteAwayConfigBaseUI::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool KopeteAwayConfigBaseUI::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool KopeteAwayConfigBaseUI::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool KopeteAwayConfigBaseUI::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
