#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'kopetegvipropswidget.ui'
**
** Created: 2015-12-18T10:19:16
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kopetegvipropswidget.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qtabwidget.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qgroupbox.h>
#include <kicondialog.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a KopeteGVIPropsWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KopeteGVIPropsWidget::KopeteGVIPropsWidget( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "KopeteGVIPropsWidget" );
    KopeteGVIPropsWidgetLayout = new QVBoxLayout( this, 0, 6, "KopeteGVIPropsWidgetLayout"); 

    tabWidget = new QTabWidget( this, "tabWidget" );

    tab = new QWidget( tabWidget, "tab" );
    tabLayout = new QVBoxLayout( tab, 11, 6, "tabLayout"); 

    layout7 = new QHBoxLayout( 0, 0, 6, "layout7"); 

    lblDisplayName = new QLabel( tab, "lblDisplayName" );
    layout7->addWidget( lblDisplayName );

    edtDisplayName = new QLineEdit( tab, "edtDisplayName" );
    layout7->addWidget( edtDisplayName );
    tabLayout->addLayout( layout7 );

    grpIcons = new QGroupBox( tab, "grpIcons" );
    grpIcons->setColumnLayout(0, Qt::Vertical );
    grpIcons->layout()->setSpacing( 6 );
    grpIcons->layout()->setMargin( 11 );
    grpIconsLayout = new QGridLayout( grpIcons->layout() );
    grpIconsLayout->setAlignment( Qt::AlignTop );

    icnbOpen = new KIconButton( grpIcons, "icnbOpen" );

    grpIconsLayout->addWidget( icnbOpen, 1, 1 );

    lblOpen = new QLabel( grpIcons, "lblOpen" );

    grpIconsLayout->addWidget( lblOpen, 1, 0 );

    lblClosed = new QLabel( grpIcons, "lblClosed" );

    grpIconsLayout->addWidget( lblClosed, 2, 0 );

    icnbClosed = new KIconButton( grpIcons, "icnbClosed" );

    grpIconsLayout->addWidget( icnbClosed, 2, 1 );

    chkUseCustomIcons = new QCheckBox( grpIcons, "chkUseCustomIcons" );

    grpIconsLayout->addMultiCellWidget( chkUseCustomIcons, 0, 0, 0, 2 );
    spacerHorizontal1 = new QSpacerItem( 16, 16, QSizePolicy::Expanding, QSizePolicy::Minimum );
    grpIconsLayout->addItem( spacerHorizontal1, 1, 2 );
    tabLayout->addWidget( grpIcons );
    tabWidget->insertTab( tab, QString::fromLatin1("") );
    KopeteGVIPropsWidgetLayout->addWidget( tabWidget );
    languageChange();
    resize( QSize(220, 223).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( tabWidget, edtDisplayName );
    setTabOrder( edtDisplayName, chkUseCustomIcons );
    setTabOrder( chkUseCustomIcons, icnbOpen );
    setTabOrder( icnbOpen, icnbClosed );

    // buddies
    lblDisplayName->setBuddy( edtDisplayName );
    lblOpen->setBuddy( icnbOpen );
    lblClosed->setBuddy( icnbClosed );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KopeteGVIPropsWidget::~KopeteGVIPropsWidget()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KopeteGVIPropsWidget::languageChange()
{
    lblDisplayName->setText( tr2i18n( "&Name:" ) );
    grpIcons->setTitle( tr2i18n( "Icons" ) );
    icnbOpen->setText( QString::null );
    lblOpen->setText( tr2i18n( "O&pen:" ) );
    lblClosed->setText( tr2i18n( "C&losed:" ) );
    icnbClosed->setText( QString::null );
    chkUseCustomIcons->setText( tr2i18n( "Use custom &icons" ) );
    tabWidget->changeTab( tab, tr2i18n( "&General" ) );
}

/****************************************************************************
** KopeteGVIPropsWidget meta object code from reading C++ file 'kopetegvipropswidget.h'
**
** Created: Fri Dec 18 10:19:16 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "kopetegvipropswidget.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *KopeteGVIPropsWidget::className() const
{
    return "KopeteGVIPropsWidget";
}

QMetaObject *KopeteGVIPropsWidget::metaObj = 0;
static QMetaObjectCleanUp cleanUp_KopeteGVIPropsWidget( "KopeteGVIPropsWidget", &KopeteGVIPropsWidget::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString KopeteGVIPropsWidget::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "KopeteGVIPropsWidget", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString KopeteGVIPropsWidget::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "KopeteGVIPropsWidget", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* KopeteGVIPropsWidget::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"KopeteGVIPropsWidget", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_KopeteGVIPropsWidget.setMetaObject( metaObj );
    return metaObj;
}

void* KopeteGVIPropsWidget::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "KopeteGVIPropsWidget" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool KopeteGVIPropsWidget::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool KopeteGVIPropsWidget::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool KopeteGVIPropsWidget::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool KopeteGVIPropsWidget::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
