#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'addressbookselectorwidget_base.ui'
**
** Created: 2015-12-18T10:17:39
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "addressbookselectorwidget_base.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <kactivelabel.h>
#include <qheader.h>
#include <klistview.h>
#include <qlabel.h>
#include <klistviewsearchline.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a AddressBookSelectorWidget_Base as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
AddressBookSelectorWidget_Base::AddressBookSelectorWidget_Base( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "AddressBookSelectorWidget_Base" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)1, 0, 0, sizePolicy().hasHeightForWidth() ) );
    AddressBookSelectorWidget_BaseLayout = new QGridLayout( this, 1, 1, 0, KDialog::spacingHint(), "AddressBookSelectorWidget_BaseLayout"); 
    spacer11 = new QSpacerItem( 405, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    AddressBookSelectorWidget_BaseLayout->addItem( spacer11, 3, 1 );

    addAddresseeButton = new QPushButton( this, "addAddresseeButton" );

    AddressBookSelectorWidget_BaseLayout->addWidget( addAddresseeButton, 3, 0 );

    lblHeader = new KActiveLabel( this, "lblHeader" );
    lblHeader->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)4, 0, 0, lblHeader->sizePolicy().hasHeightForWidth() ) );

    AddressBookSelectorWidget_BaseLayout->addMultiCellWidget( lblHeader, 0, 0, 0, 1 );

    addresseeListView = new KListView( this, "addresseeListView" );
    addresseeListView->addColumn( tr2i18n( "Photo" ) );
    addresseeListView->header()->setClickEnabled( FALSE, addresseeListView->header()->count() - 1 );
    addresseeListView->addColumn( tr2i18n( "Name" ) );
    addresseeListView->addColumn( tr2i18n( "Email" ) );
    addresseeListView->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, 0, 10, addresseeListView->sizePolicy().hasHeightForWidth() ) );
    addresseeListView->setAllColumnsShowFocus( TRUE );
    addresseeListView->setResizeMode( KListView::LastColumn );

    AddressBookSelectorWidget_BaseLayout->addMultiCellWidget( addresseeListView, 2, 2, 0, 1 );

    layout1 = new QHBoxLayout( 0, 0, KDialog::spacingHint(), "layout1"); 

    lblSearch = new QLabel( this, "lblSearch" );
    lblSearch->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)5, 0, 0, lblSearch->sizePolicy().hasHeightForWidth() ) );
    layout1->addWidget( lblSearch );

    kListViewSearchLine = new KListViewSearchLine( this, "kListViewSearchLine" );
    layout1->addWidget( kListViewSearchLine );

    AddressBookSelectorWidget_BaseLayout->addMultiCellLayout( layout1, 1, 1, 0, 1 );
    languageChange();
    resize( QSize(596, 572).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // buddies
    lblSearch->setBuddy( kListViewSearchLine );
}

/*
 *  Destroys the object and frees any allocated resources
 */
AddressBookSelectorWidget_Base::~AddressBookSelectorWidget_Base()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void AddressBookSelectorWidget_Base::languageChange()
{
    setCaption( tr2i18n( "Select Contact" ) );
    addAddresseeButton->setText( tr2i18n( "Create New Entr&y..." ) );
    QToolTip::add( addAddresseeButton, tr2i18n( "Create a new entry in your address book" ) );
    addresseeListView->header()->setLabel( 0, tr2i18n( "Photo" ) );
    addresseeListView->header()->setLabel( 1, tr2i18n( "Name" ) );
    addresseeListView->header()->setLabel( 2, tr2i18n( "Email" ) );
    QToolTip::add( addresseeListView, tr2i18n( "Select the contact you want to communicate with via Instant Messaging" ) );
    lblSearch->setText( tr2i18n( "S&earch:" ) );
}

/****************************************************************************
** AddressBookSelectorWidget_Base meta object code from reading C++ file 'addressbookselectorwidget_base.h'
**
** Created: Fri Dec 18 10:17:39 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "addressbookselectorwidget_base.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *AddressBookSelectorWidget_Base::className() const
{
    return "AddressBookSelectorWidget_Base";
}

QMetaObject *AddressBookSelectorWidget_Base::metaObj = 0;
static QMetaObjectCleanUp cleanUp_AddressBookSelectorWidget_Base( "AddressBookSelectorWidget_Base", &AddressBookSelectorWidget_Base::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString AddressBookSelectorWidget_Base::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "AddressBookSelectorWidget_Base", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString AddressBookSelectorWidget_Base::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "AddressBookSelectorWidget_Base", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* AddressBookSelectorWidget_Base::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"AddressBookSelectorWidget_Base", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_AddressBookSelectorWidget_Base.setMetaObject( metaObj );
    return metaObj;
}

void* AddressBookSelectorWidget_Base::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "AddressBookSelectorWidget_Base" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool AddressBookSelectorWidget_Base::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool AddressBookSelectorWidget_Base::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool AddressBookSelectorWidget_Base::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool AddressBookSelectorWidget_Base::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
