#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'kopetepasswordwidgetbase.ui'
**
** Created: 2015-12-18T10:17:39
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kopetepasswordwidgetbase.h"

#include <qvariant.h>
#include <qcheckbox.h>
#include <qlabel.h>
#include <kpassdlg.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a KopetePasswordWidgetBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KopetePasswordWidgetBase::KopetePasswordWidgetBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "KopetePasswordWidgetBase" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, sizePolicy().hasHeightForWidth() ) );
    KopetePasswordWidgetBaseLayout = new QGridLayout( this, 1, 1, 0, 6, "KopetePasswordWidgetBaseLayout"); 

    mRemembered = new QCheckBox( this, "mRemembered" );

    KopetePasswordWidgetBaseLayout->addMultiCellWidget( mRemembered, 0, 0, 0, 2 );
    spacer1 = new QSpacerItem( 16, 20, QSizePolicy::Fixed, QSizePolicy::Minimum );
    KopetePasswordWidgetBaseLayout->addItem( spacer1, 1, 0 );

    textLabel1 = new QLabel( this, "textLabel1" );

    KopetePasswordWidgetBaseLayout->addWidget( textLabel1, 1, 1 );

    mPassword = new KPasswordEdit( this, "mPassword" );
    mPassword->setEnabled( FALSE );
    mPassword->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, mPassword->sizePolicy().hasHeightForWidth() ) );

    KopetePasswordWidgetBaseLayout->addWidget( mPassword, 1, 2 );
    languageChange();
    resize( QSize(497, 50).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
}

/*
 *  Destroys the object and frees any allocated resources
 */
KopetePasswordWidgetBase::~KopetePasswordWidgetBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KopetePasswordWidgetBase::languageChange()
{
    mRemembered->setText( tr2i18n( "Remember password" ) );
    QWhatsThis::add( mRemembered, tr2i18n( "Check this and enter your password below if you would like your password to be stored in your wallet, so Kopete does not have to ask you for it each time it is needed." ) );
    textLabel1->setText( tr2i18n( "Password:" ) );
    QToolTip::add( mPassword, tr2i18n( "Enter your password here." ) );
    QWhatsThis::add( mPassword, tr2i18n( "Enter your password here. If you would rather not save your password, uncheck the Remember password checkbox above; you will then be prompted for your password whenever it is needed." ) );
}

/****************************************************************************
** KopetePasswordWidgetBase meta object code from reading C++ file 'kopetepasswordwidgetbase.h'
**
** Created: Fri Dec 18 10:17:39 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "kopetepasswordwidgetbase.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *KopetePasswordWidgetBase::className() const
{
    return "KopetePasswordWidgetBase";
}

QMetaObject *KopetePasswordWidgetBase::metaObj = 0;
static QMetaObjectCleanUp cleanUp_KopetePasswordWidgetBase( "KopetePasswordWidgetBase", &KopetePasswordWidgetBase::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString KopetePasswordWidgetBase::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "KopetePasswordWidgetBase", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString KopetePasswordWidgetBase::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "KopetePasswordWidgetBase", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* KopetePasswordWidgetBase::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"KopetePasswordWidgetBase", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_KopetePasswordWidgetBase.setMetaObject( metaObj );
    return metaObj;
}

void* KopetePasswordWidgetBase::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "KopetePasswordWidgetBase" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool KopetePasswordWidgetBase::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool KopetePasswordWidgetBase::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool KopetePasswordWidgetBase::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool KopetePasswordWidgetBase::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
