#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'addbookmarksprefsui.ui'
**
** Created: 2015-12-18T10:32:08
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "addbookmarksprefsui.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qlistbox.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a BookmarksPrefsUI as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
BookmarksPrefsUI::BookmarksPrefsUI( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "BookmarksPrefsUI" );
    BookmarksPrefsUILayout = new QVBoxLayout( this, 11, 6, "BookmarksPrefsUILayout"); 

    buttonGroup1 = new QButtonGroup( this, "buttonGroup1" );
    buttonGroup1->setColumnLayout(0, Qt::Vertical );
    buttonGroup1->layout()->setSpacing( 6 );
    buttonGroup1->layout()->setMargin( 11 );
    buttonGroup1Layout = new QVBoxLayout( buttonGroup1->layout() );
    buttonGroup1Layout->setAlignment( Qt::AlignTop );

    yesButton = new QRadioButton( buttonGroup1, "yesButton" );
    yesButton->setEnabled( TRUE );
    yesButton->setChecked( TRUE );
    buttonGroup1Layout->addWidget( yesButton );

    noButton = new QRadioButton( buttonGroup1, "noButton" );
    noButton->setEnabled( TRUE );
    buttonGroup1->insert( noButton, 1 );
    buttonGroup1Layout->addWidget( noButton );

    onlySelectedButton = new QRadioButton( buttonGroup1, "onlySelectedButton" );
    onlySelectedButton->setEnabled( TRUE );
    onlySelectedButton->setChecked( FALSE );
    buttonGroup1->insert( onlySelectedButton, 2 );
    buttonGroup1Layout->addWidget( onlySelectedButton );

    onlyNotSelectedButton = new QRadioButton( buttonGroup1, "onlyNotSelectedButton" );
    onlyNotSelectedButton->setEnabled( TRUE );
    buttonGroup1Layout->addWidget( onlyNotSelectedButton );
    BookmarksPrefsUILayout->addWidget( buttonGroup1 );

    contactList = new QListBox( this, "contactList" );
    BookmarksPrefsUILayout->addWidget( contactList );

    m_addUntrusted = new QCheckBox( this, "m_addUntrusted" );
    BookmarksPrefsUILayout->addWidget( m_addUntrusted );
    languageChange();
    resize( QSize(396, 421).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
BookmarksPrefsUI::~BookmarksPrefsUI()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void BookmarksPrefsUI::languageChange()
{
    buttonGroup1->setTitle( tr2i18n( "Use Subfolder for Each Contact" ) );
    yesButton->setText( tr2i18n( "Always" ) );
    noButton->setText( tr2i18n( "Never" ) );
    onlySelectedButton->setText( tr2i18n( "Onl&y the selected contacts" ) );
    onlyNotSelectedButton->setText( tr2i18n( "Not the selected contacts" ) );
    m_addUntrusted->setText( tr2i18n( "Add Bookmarks from Contacts Not In Your Contact List" ) );
}

/****************************************************************************
** BookmarksPrefsUI meta object code from reading C++ file 'addbookmarksprefsui.h'
**
** Created: Fri Dec 18 10:32:08 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "addbookmarksprefsui.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *BookmarksPrefsUI::className() const
{
    return "BookmarksPrefsUI";
}

QMetaObject *BookmarksPrefsUI::metaObj = 0;
static QMetaObjectCleanUp cleanUp_BookmarksPrefsUI( "BookmarksPrefsUI", &BookmarksPrefsUI::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString BookmarksPrefsUI::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "BookmarksPrefsUI", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString BookmarksPrefsUI::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "BookmarksPrefsUI", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* BookmarksPrefsUI::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"BookmarksPrefsUI", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_BookmarksPrefsUI.setMetaObject( metaObj );
    return metaObj;
}

void* BookmarksPrefsUI::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "BookmarksPrefsUI" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool BookmarksPrefsUI::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool BookmarksPrefsUI::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool BookmarksPrefsUI::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool BookmarksPrefsUI::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
