#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'aliasdialog.ui'
**
** Created: 2015-12-18T10:31:56
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "aliasdialog.h"

#include <qvariant.h>
#include <qlabel.h>
#include <klineedit.h>
#include <kpushbutton.h>
#include <qheader.h>
#include <klistview.h>
#include <qframe.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a AliasDialog as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
AliasDialog::AliasDialog( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "AliasDialog" );
    AliasDialogLayout = new QGridLayout( this, 1, 1, 11, 6, "AliasDialogLayout"); 

    textLabel2 = new QLabel( this, "textLabel2" );

    AliasDialogLayout->addWidget( textLabel2, 1, 0 );

    command = new KLineEdit( this, "command" );

    AliasDialogLayout->addMultiCellWidget( command, 1, 1, 1, 2 );

    textLabel1 = new QLabel( this, "textLabel1" );

    AliasDialogLayout->addWidget( textLabel1, 0, 0 );

    alias = new KLineEdit( this, "alias" );

    AliasDialogLayout->addMultiCellWidget( alias, 0, 0, 1, 2 );

    addButton = new KPushButton( this, "addButton" );
    addButton->setDefault( FALSE );

    AliasDialogLayout->addWidget( addButton, 4, 1 );

    kPushButton3 = new KPushButton( this, "kPushButton3" );

    AliasDialogLayout->addWidget( kPushButton3, 4, 2 );

    protocolList = new KListView( this, "protocolList" );
    protocolList->addColumn( tr2i18n( "Protocols" ) );
    protocolList->setEnabled( TRUE );
    protocolList->setProperty( "selectionMode", "Multi" );
    protocolList->setItemMargin( 0 );
    protocolList->setResizeMode( KListView::AllColumns );
    protocolList->setFullWidth( TRUE );
    protocolList->setItemsMovable( FALSE );

    AliasDialogLayout->addMultiCellWidget( protocolList, 2, 2, 1, 2 );

    textLabel4 = new QLabel( this, "textLabel4" );
    textLabel4->setEnabled( TRUE );
    textLabel4->setAlignment( int( QLabel::AlignTop ) );

    AliasDialogLayout->addWidget( textLabel4, 2, 0 );

    line1 = new QFrame( this, "line1" );
    line1->setFrameShape( QFrame::HLine );
    line1->setFrameShadow( QFrame::Sunken );
    line1->setFrameShape( QFrame::HLine );

    AliasDialogLayout->addMultiCellWidget( line1, 3, 3, 0, 2 );
    languageChange();
    resize( QSize(361, 268).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( kPushButton3, SIGNAL( clicked() ), this, SLOT( reject() ) );
    connect( addButton, SIGNAL( clicked() ), this, SLOT( accept() ) );

    // tab order
    setTabOrder( alias, command );
    setTabOrder( command, protocolList );
    setTabOrder( protocolList, addButton );
    setTabOrder( addButton, kPushButton3 );

    // buddies
    textLabel2->setBuddy( command );
    textLabel1->setBuddy( alias );
}

/*
 *  Destroys the object and frees any allocated resources
 */
AliasDialog::~AliasDialog()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void AliasDialog::languageChange()
{
    setCaption( tr2i18n( "Add New Alias" ) );
    textLabel2->setText( tr2i18n( "Command:" ) );
    QToolTip::add( command, tr2i18n( "This is the command that you want to run when you execute this alias. " ) );
    QWhatsThis::add( command, tr2i18n( "<qt>This is the command that you want to run when you execute this alias.\n"
"\n"
"You can use the variables <b>%1, %2 ... %9</b> in your command, and they will be replaced with the arguments of the alias. The variable <b>%s</b> will be replaced with all arguments. <b>%n</b> expands to your nickname.\n"
"\n"
"Do not include the '/' in the command (if you do it will be stripped off anyway).</qt>" ) );
    textLabel1->setText( tr2i18n( "Alias:" ) );
    QToolTip::add( alias, tr2i18n( "This is the alias you are adding (what you will type after the command identifier, '/')." ) );
    QWhatsThis::add( alias, tr2i18n( "This is the alias you are adding (what you will type after the command identifier, '/'). Do not include the '/' (it will be stripped off if you do anyway)." ) );
    addButton->setText( tr2i18n( "&Save" ) );
    kPushButton3->setText( tr2i18n( "&Cancel" ) );
    protocolList->header()->setLabel( 0, tr2i18n( "Protocols" ) );
    QToolTip::add( protocolList, tr2i18n( "If you want this alias to only be active for certain protocols, select those protocols here." ) );
    QWhatsThis::add( protocolList, tr2i18n( "If you want this alias to only be active for certain protocols, select those protocols here." ) );
    textLabel4->setText( tr2i18n( "For protocols:" ) );
}

/****************************************************************************
** AliasDialog meta object code from reading C++ file 'aliasdialog.h'
**
** Created: Fri Dec 18 10:31:56 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "aliasdialog.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *AliasDialog::className() const
{
    return "AliasDialog";
}

QMetaObject *AliasDialog::metaObj = 0;
static QMetaObjectCleanUp cleanUp_AliasDialog( "AliasDialog", &AliasDialog::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString AliasDialog::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "AliasDialog", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString AliasDialog::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "AliasDialog", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* AliasDialog::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QDialog::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"AliasDialog", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_AliasDialog.setMetaObject( metaObj );
    return metaObj;
}

void* AliasDialog::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "AliasDialog" ) )
	return this;
    return QDialog::qt_cast( clname );
}

bool AliasDialog::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QDialog::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool AliasDialog::qt_emit( int _id, QUObject* _o )
{
    return QDialog::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool AliasDialog::qt_property( int id, int f, QVariant* v)
{
    return QDialog::qt_property( id, f, v);
}

bool AliasDialog::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
