#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'aliasdialogbase.ui'
**
** Created: 2015-12-18T10:31:56
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "aliasdialogbase.h"

#include <qvariant.h>
#include <qheader.h>
#include <klistview.h>
#include <kpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a AliasDialogBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
AliasDialogBase::AliasDialogBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "AliasDialogBase" );
    AliasDialogBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "AliasDialogBaseLayout"); 

    aliasList = new KListView( this, "aliasList" );
    aliasList->addColumn( tr2i18n( "Alias" ) );
    aliasList->addColumn( tr2i18n( "Command" ) );
    aliasList->addColumn( tr2i18n( "Protocols" ) );
    aliasList->setProperty( "selectionMode", "Extended" );
    aliasList->setAllColumnsShowFocus( TRUE );
    aliasList->setFullWidth( FALSE );
    aliasList->setItemsMovable( FALSE );

    AliasDialogBaseLayout->addMultiCellWidget( aliasList, 0, 0, 0, 2 );

    addButton = new KPushButton( this, "addButton" );

    AliasDialogBaseLayout->addWidget( addButton, 1, 0 );

    deleteButton = new KPushButton( this, "deleteButton" );

    AliasDialogBaseLayout->addWidget( deleteButton, 1, 2 );

    editButton = new KPushButton( this, "editButton" );

    AliasDialogBaseLayout->addWidget( editButton, 1, 1 );
    languageChange();
    resize( QSize(602, 424).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
AliasDialogBase::~AliasDialogBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void AliasDialogBase::languageChange()
{
    aliasList->header()->setLabel( 0, tr2i18n( "Alias" ) );
    aliasList->header()->setLabel( 1, tr2i18n( "Command" ) );
    aliasList->header()->setLabel( 2, tr2i18n( "Protocols" ) );
    QWhatsThis::add( aliasList, tr2i18n( "This is the list of custom aliases and the commands that you have already added" ) );
    addButton->setText( tr2i18n( "&Add New Alias..." ) );
    deleteButton->setText( tr2i18n( "&Delete Selected" ) );
    editButton->setText( tr2i18n( "Edit Alias..." ) );
}

/****************************************************************************
** AliasDialogBase meta object code from reading C++ file 'aliasdialogbase.h'
**
** Created: Fri Dec 18 10:31:56 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "aliasdialogbase.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *AliasDialogBase::className() const
{
    return "AliasDialogBase";
}

QMetaObject *AliasDialogBase::metaObj = 0;
static QMetaObjectCleanUp cleanUp_AliasDialogBase( "AliasDialogBase", &AliasDialogBase::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString AliasDialogBase::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "AliasDialogBase", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString AliasDialogBase::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "AliasDialogBase", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* AliasDialogBase::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"AliasDialogBase", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_AliasDialogBase.setMetaObject( metaObj );
    return metaObj;
}

void* AliasDialogBase::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "AliasDialogBase" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool AliasDialogBase::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool AliasDialogBase::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool AliasDialogBase::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool AliasDialogBase::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
