#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'autoreplaceprefs.ui'
**
** Created: 2015-12-18T10:30:44
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "autoreplaceprefs.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qcheckbox.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qheader.h>
#include <qlistview.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a AutoReplacePrefsUI as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
AutoReplacePrefsUI::AutoReplacePrefsUI( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "AutoReplacePrefsUI" );
    AutoReplacePrefsUILayout = new QGridLayout( this, 1, 1, 11, 6, "AutoReplacePrefsUILayout"); 

    gb_sentences = new QGroupBox( this, "gb_sentences" );
    gb_sentences->setColumnLayout(0, Qt::Vertical );
    gb_sentences->layout()->setSpacing( 6 );
    gb_sentences->layout()->setMargin( 11 );
    gb_sentencesLayout = new QVBoxLayout( gb_sentences->layout() );
    gb_sentencesLayout->setAlignment( Qt::AlignTop );

    DotEndSentence = new QCheckBox( gb_sentences, "DotEndSentence" );
    gb_sentencesLayout->addWidget( DotEndSentence );

    CapitalizeBeginningSentence = new QCheckBox( gb_sentences, "CapitalizeBeginningSentence" );
    gb_sentencesLayout->addWidget( CapitalizeBeginningSentence );

    AutoReplacePrefsUILayout->addWidget( gb_sentences, 0, 0 );

    gb_options = new QGroupBox( this, "gb_options" );
    gb_options->setColumnLayout(0, Qt::Vertical );
    gb_options->layout()->setSpacing( 6 );
    gb_options->layout()->setMargin( 11 );
    gb_optionsLayout = new QVBoxLayout( gb_options->layout() );
    gb_optionsLayout->setAlignment( Qt::AlignTop );

    AutoReplaceIncoming = new QCheckBox( gb_options, "AutoReplaceIncoming" );
    gb_optionsLayout->addWidget( AutoReplaceIncoming );

    AutoReplaceOutgoing = new QCheckBox( gb_options, "AutoReplaceOutgoing" );
    AutoReplaceOutgoing->setChecked( TRUE );
    gb_optionsLayout->addWidget( AutoReplaceOutgoing );

    AutoReplacePrefsUILayout->addWidget( gb_options, 2, 0 );

    replacementsGroup = new QGroupBox( this, "replacementsGroup" );
    replacementsGroup->setColumnLayout(0, Qt::Vertical );
    replacementsGroup->layout()->setSpacing( 6 );
    replacementsGroup->layout()->setMargin( 11 );
    replacementsGroupLayout = new QGridLayout( replacementsGroup->layout() );
    replacementsGroupLayout->setAlignment( Qt::AlignTop );

    layout5 = new QVBoxLayout( 0, 0, 6, "layout5"); 

    m_add = new QPushButton( replacementsGroup, "m_add" );
    m_add->setEnabled( TRUE );
    m_add->setOn( FALSE );
    layout5->addWidget( m_add );

    m_edit = new QPushButton( replacementsGroup, "m_edit" );
    m_edit->setEnabled( FALSE );
    m_edit->setOn( FALSE );
    layout5->addWidget( m_edit );
    spacer1 = new QSpacerItem( 20, 40, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout5->addItem( spacer1 );

    m_remove = new QPushButton( replacementsGroup, "m_remove" );
    m_remove->setEnabled( FALSE );
    layout5->addWidget( m_remove );

    replacementsGroupLayout->addMultiCellLayout( layout5, 1, 2, 1, 1 );

    layout1 = new QHBoxLayout( 0, 0, 6, "layout1"); 

    textLabel1 = new QLabel( replacementsGroup, "textLabel1" );
    layout1->addWidget( textLabel1 );

    m_key = new QLineEdit( replacementsGroup, "m_key" );
    layout1->addWidget( m_key );

    textLabel2 = new QLabel( replacementsGroup, "textLabel2" );
    layout1->addWidget( textLabel2 );

    m_value = new QLineEdit( replacementsGroup, "m_value" );
    layout1->addWidget( m_value );

    replacementsGroupLayout->addMultiCellLayout( layout1, 0, 0, 0, 1 );

    m_list = new QListView( replacementsGroup, "m_list" );
    m_list->setSelectionMode( QListView::Single );
    m_list->setAllColumnsShowFocus( TRUE );
    m_list->setShowSortIndicator( TRUE );

    replacementsGroupLayout->addWidget( m_list, 2, 0 );

    AutoReplacePrefsUILayout->addWidget( replacementsGroup, 1, 0 );
    languageChange();
    resize( QSize(458, 378).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // buddies
    textLabel1->setBuddy( m_key );
    textLabel2->setBuddy( m_value );
}

/*
 *  Destroys the object and frees any allocated resources
 */
AutoReplacePrefsUI::~AutoReplacePrefsUI()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void AutoReplacePrefsUI::languageChange()
{
    gb_sentences->setTitle( tr2i18n( "Sentence Options" ) );
    DotEndSentence->setText( tr2i18n( "Add a dot at the end of each sent line" ) );
    CapitalizeBeginningSentence->setText( tr2i18n( "Start each sent line with a capital letter" ) );
    gb_options->setTitle( tr2i18n( "Replacement Options" ) );
    AutoReplaceIncoming->setText( tr2i18n( "Auto replace on incoming messages" ) );
    AutoReplaceOutgoing->setText( tr2i18n( "Auto replace on outgoing messages" ) );
    replacementsGroup->setTitle( tr2i18n( "Replacements List" ) );
    m_add->setText( tr2i18n( "&Add" ) );
    m_edit->setText( tr2i18n( "&Edit" ) );
    m_remove->setText( tr2i18n( "&Remove" ) );
    textLabel1->setText( tr2i18n( "Te&xt:" ) );
    textLabel2->setText( tr2i18n( "Re&placement:" ) );
}

/****************************************************************************
** AutoReplacePrefsUI meta object code from reading C++ file 'autoreplaceprefs.h'
**
** Created: Fri Dec 18 10:30:44 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "autoreplaceprefs.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *AutoReplacePrefsUI::className() const
{
    return "AutoReplacePrefsUI";
}

QMetaObject *AutoReplacePrefsUI::metaObj = 0;
static QMetaObjectCleanUp cleanUp_AutoReplacePrefsUI( "AutoReplacePrefsUI", &AutoReplacePrefsUI::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString AutoReplacePrefsUI::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "AutoReplacePrefsUI", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString AutoReplacePrefsUI::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "AutoReplacePrefsUI", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* AutoReplacePrefsUI::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"AutoReplacePrefsUI", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_AutoReplacePrefsUI.setMetaObject( metaObj );
    return metaObj;
}

void* AutoReplacePrefsUI::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "AutoReplacePrefsUI" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool AutoReplacePrefsUI::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool AutoReplacePrefsUI::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool AutoReplacePrefsUI::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool AutoReplacePrefsUI::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
