#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'historyviewer.ui'
**
** Created: 2015-12-18T10:30:53
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "historyviewer.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <kprogress.h>
#include <klineedit.h>
#include <qsplitter.h>
#include <klistviewsearchline.h>
#include <qheader.h>
#include <klistview.h>
#include <qframe.h>
#include <kcombobox.h>
#include <qcombobox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a HistoryViewer as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
HistoryViewer::HistoryViewer( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "HistoryViewer" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, sizePolicy().hasHeightForWidth() ) );
    setMinimumSize( QSize( 300, 200 ) );
    HistoryViewerLayout = new QGridLayout( this, 1, 1, 0, 6, "HistoryViewerLayout"); 

    layout3 = new QHBoxLayout( 0, 0, 6, "layout3"); 

    statusLabel = new QLabel( this, "statusLabel" );
    statusLabel->setMaximumSize( QSize( 32767, 20 ) );
    layout3->addWidget( statusLabel );

    searchProgress = new KProgress( this, "searchProgress" );
    layout3->addWidget( searchProgress );

    HistoryViewerLayout->addLayout( layout3, 3, 0 );

    layout8 = new QHBoxLayout( 0, 0, 6, "layout8"); 

    searchErase = new QPushButton( this, "searchErase" );
    layout8->addWidget( searchErase );

    textLabel2 = new QLabel( this, "textLabel2" );
    layout8->addWidget( textLabel2 );

    searchLine = new KLineEdit( this, "searchLine" );
    layout8->addWidget( searchLine );

    searchButton = new QPushButton( this, "searchButton" );
    searchButton->setEnabled( FALSE );
    searchButton->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, searchButton->sizePolicy().hasHeightForWidth() ) );
    searchButton->setMinimumSize( QSize( 70, 0 ) );
    searchButton->setMaximumSize( QSize( 150, 32767 ) );
    layout8->addWidget( searchButton );

    HistoryViewerLayout->addLayout( layout8, 2, 0 );

    splitter2 = new QSplitter( this, "splitter2" );
    splitter2->setOrientation( QSplitter::Horizontal );

    QWidget* privateLayoutWidget = new QWidget( splitter2, "layout5" );
    layout5 = new QVBoxLayout( privateLayoutWidget, 0, 6, "layout5"); 

    dateSearchLine = new KListViewSearchLine( privateLayoutWidget, "dateSearchLine" );
    dateSearchLine->setEnabled( TRUE );
    dateSearchLine->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, dateSearchLine->sizePolicy().hasHeightForWidth() ) );
    dateSearchLine->setMinimumSize( QSize( 140, 0 ) );
    dateSearchLine->setMaximumSize( QSize( 32767, 32767 ) );
    layout5->addWidget( dateSearchLine );

    dateListView = new KListView( privateLayoutWidget, "dateListView" );
    dateListView->addColumn( tr2i18n( "Date" ) );
    dateListView->addColumn( tr2i18n( "Contact" ) );
    dateListView->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)7, 0, 0, dateListView->sizePolicy().hasHeightForWidth() ) );
    dateListView->setMinimumSize( QSize( 0, 0 ) );
    dateListView->setMaximumSize( QSize( 32767, 32767 ) );
    dateListView->setRootIsDecorated( FALSE );
    layout5->addWidget( dateListView );

    htmlFrame = new QFrame( splitter2, "htmlFrame" );
    htmlFrame->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 10, 0, htmlFrame->sizePolicy().hasHeightForWidth() ) );
    htmlFrame->setMinimumSize( QSize( 0, 0 ) );
    htmlFrame->setFrameShape( QFrame::WinPanel );
    htmlFrame->setFrameShadow( QFrame::Sunken );

    HistoryViewerLayout->addWidget( splitter2, 1, 0 );

    layout11 = new QHBoxLayout( 0, 0, 6, "layout11"); 

    textLabel1 = new QLabel( this, "textLabel1" );
    textLabel1->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)5, 0, 0, textLabel1->sizePolicy().hasHeightForWidth() ) );
    layout11->addWidget( textLabel1 );

    contactComboBox = new KComboBox( FALSE, this, "contactComboBox" );
    contactComboBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, contactComboBox->sizePolicy().hasHeightForWidth() ) );
    layout11->addWidget( contactComboBox );

    textLabel1_2 = new QLabel( this, "textLabel1_2" );
    layout11->addWidget( textLabel1_2 );

    messageFilterBox = new QComboBox( FALSE, this, "messageFilterBox" );
    messageFilterBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, messageFilterBox->sizePolicy().hasHeightForWidth() ) );
    messageFilterBox->setMinimumSize( QSize( 200, 0 ) );
    layout11->addWidget( messageFilterBox );

    HistoryViewerLayout->addLayout( layout11, 0, 0 );
    languageChange();
    resize( QSize(682, 634).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
HistoryViewer::~HistoryViewer()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void HistoryViewer::languageChange()
{
    statusLabel->setText( tr2i18n( "Ready" ) );
    searchErase->setText( QString::null );
    searchErase->setAccel( QKeySequence( QString::null ) );
    textLabel2->setText( tr2i18n( "Search:" ) );
    searchButton->setText( tr2i18n( "Se&arch" ) );
    dateListView->header()->setLabel( 0, tr2i18n( "Date" ) );
    dateListView->header()->setLabel( 1, tr2i18n( "Contact" ) );
    textLabel1->setText( tr2i18n( "Contact:" ) );
    textLabel1_2->setText( tr2i18n( "Message Filter:" ) );
    messageFilterBox->clear();
    messageFilterBox->insertItem( tr2i18n( "All messages" ) );
    messageFilterBox->insertItem( tr2i18n( "Only incoming" ) );
    messageFilterBox->insertItem( tr2i18n( "Only outgoing" ) );
}

/****************************************************************************
** HistoryViewer meta object code from reading C++ file 'historyviewer.h'
**
** Created: Fri Dec 18 10:30:53 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "historyviewer.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *HistoryViewer::className() const
{
    return "HistoryViewer";
}

QMetaObject *HistoryViewer::metaObj = 0;
static QMetaObjectCleanUp cleanUp_HistoryViewer( "HistoryViewer", &HistoryViewer::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString HistoryViewer::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "HistoryViewer", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString HistoryViewer::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "HistoryViewer", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* HistoryViewer::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"HistoryViewer", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_HistoryViewer.setMetaObject( metaObj );
    return metaObj;
}

void* HistoryViewer::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "HistoryViewer" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool HistoryViewer::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool HistoryViewer::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool HistoryViewer::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool HistoryViewer::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
