#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'smpppdcsprefs.ui'
**
** Created: 2015-12-18T10:32:24
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "smpppdcsprefs.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qtabwidget.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <kpushbutton.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qheader.h>
#include <klistview.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "smpppdlocationwidget.h"

/*
 *  Constructs a SMPPPDCSPrefsBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
SMPPPDCSPrefsBase::SMPPPDCSPrefsBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "SMPPPDCSPrefsBase" );
    SMPPPDCSPrefsBaseLayout = new QVBoxLayout( this, 0, 0, "SMPPPDCSPrefsBaseLayout"); 

    tabWidget = new QTabWidget( this, "tabWidget" );

    tab = new QWidget( tabWidget, "tab" );
    tabLayout = new QVBoxLayout( tab, 0, 0, "tabLayout"); 

    layout4 = new QVBoxLayout( 0, 6, 6, "layout4"); 

    csMethod = new QButtonGroup( tab, "csMethod" );
    csMethod->setColumnLayout(0, Qt::Vertical );
    csMethod->layout()->setSpacing( 6 );
    csMethod->layout()->setMargin( 6 );
    csMethodLayout = new QVBoxLayout( csMethod->layout() );
    csMethodLayout->setAlignment( Qt::AlignTop );

    useNetstat = new QRadioButton( csMethod, "useNetstat" );
    useNetstat->setChecked( TRUE );
    csMethodLayout->addWidget( useNetstat );

    useSmpppd = new QRadioButton( csMethod, "useSmpppd" );
    csMethodLayout->addWidget( useSmpppd );

    autoCSLayout = new QHBoxLayout( 0, 0, 0, "autoCSLayout"); 

    autoCSTest = new KPushButton( csMethod, "autoCSTest" );
    autoCSLayout->addWidget( autoCSTest );
    spacer4 = new QSpacerItem( 341, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    autoCSLayout->addItem( spacer4 );
    csMethodLayout->addLayout( autoCSLayout );
    layout4->addWidget( csMethod );

    smpppdPrefs = new QGroupBox( tab, "smpppdPrefs" );
    smpppdPrefs->setEnabled( FALSE );
    smpppdPrefs->setColumnLayout(0, Qt::Vertical );
    smpppdPrefs->layout()->setSpacing( 6 );
    smpppdPrefs->layout()->setMargin( 6 );
    smpppdPrefsLayout = new QVBoxLayout( smpppdPrefs->layout() );
    smpppdPrefsLayout->setAlignment( Qt::AlignTop );

    SMPPPDLocation = new SMPPPDLocationWidget( smpppdPrefs, "SMPPPDLocation" );
    smpppdPrefsLayout->addWidget( SMPPPDLocation );
    layout4->addWidget( smpppdPrefs );
    spacer18 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout4->addItem( spacer18 );
    tabLayout->addLayout( layout4 );
    tabWidget->insertTab( tab, QString::fromLatin1("") );

    tab_2 = new QWidget( tabWidget, "tab_2" );
    tabLayout_2 = new QVBoxLayout( tab_2, 0, 6, "tabLayout_2"); 
    spacer4_2 = new QSpacerItem( 20, 6, QSizePolicy::Minimum, QSizePolicy::Fixed );
    tabLayout_2->addItem( spacer4_2 );

    toIgnoreLabel = new QLabel( tab_2, "toIgnoreLabel" );
    tabLayout_2->addWidget( toIgnoreLabel );

    accountList = new KListView( tab_2, "accountList" );
    accountList->addColumn( tr2i18n( "Account" ) );
    accountList->header()->setResizeEnabled( FALSE, accountList->header()->count() - 1 );
    accountList->setAllColumnsShowFocus( TRUE );
    accountList->setResizeMode( KListView::LastColumn );
    tabLayout_2->addWidget( accountList );
    tabWidget->insertTab( tab_2, QString::fromLatin1("") );
    SMPPPDCSPrefsBaseLayout->addWidget( tabWidget );
    languageChange();
    resize( QSize(476, 225).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( tabWidget, useNetstat );
    setTabOrder( useNetstat, autoCSTest );
    setTabOrder( autoCSTest, useSmpppd );
    setTabOrder( useSmpppd, accountList );
}

/*
 *  Destroys the object and frees any allocated resources
 */
SMPPPDCSPrefsBase::~SMPPPDCSPrefsBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void SMPPPDCSPrefsBase::languageChange()
{
    setCaption( tr2i18n( "SMPPPDCS Preferences" ) );
    csMethod->setTitle( tr2i18n( "Method of Connection Status Detection" ) );
    useNetstat->setText( tr2i18n( "&netstat - Standard method of connection status detection" ) );
    QToolTip::add( useNetstat, tr2i18n( "Uses the netstat command to find a gateway; suitable on dial-up computers" ) );
    useSmpppd->setText( tr2i18n( "smpppd - Ad&vanced method of connection status detection" ) );
    QToolTip::add( useSmpppd, tr2i18n( "Uses the smpppd on a gateway; suitable for a computer in a private network" ) );
    autoCSTest->setText( tr2i18n( "&Try to Detect Automatically" ) );
    QToolTip::add( autoCSTest, tr2i18n( "Tries to find an appropriate connection method" ) );
    smpppdPrefs->setTitle( tr2i18n( "Location of the SMPPPD" ) );
    tabWidget->changeTab( tab, tr2i18n( "&Connection" ) );
    toIgnoreLabel->setText( tr2i18n( "Choose the accounts to ignore:" ) );
    accountList->header()->setLabel( 0, tr2i18n( "Account" ) );
    tabWidget->changeTab( tab_2, tr2i18n( "Acco&unts" ) );
}

/****************************************************************************
** SMPPPDCSPrefsBase meta object code from reading C++ file 'smpppdcsprefs.h'
**
** Created: Fri Dec 18 10:32:24 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "smpppdcsprefs.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *SMPPPDCSPrefsBase::className() const
{
    return "SMPPPDCSPrefsBase";
}

QMetaObject *SMPPPDCSPrefsBase::metaObj = 0;
static QMetaObjectCleanUp cleanUp_SMPPPDCSPrefsBase( "SMPPPDCSPrefsBase", &SMPPPDCSPrefsBase::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString SMPPPDCSPrefsBase::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "SMPPPDCSPrefsBase", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString SMPPPDCSPrefsBase::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "SMPPPDCSPrefsBase", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* SMPPPDCSPrefsBase::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"SMPPPDCSPrefsBase", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_SMPPPDCSPrefsBase.setMetaObject( metaObj );
    return metaObj;
}

void* SMPPPDCSPrefsBase::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "SMPPPDCSPrefsBase" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool SMPPPDCSPrefsBase::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool SMPPPDCSPrefsBase::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool SMPPPDCSPrefsBase::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool SMPPPDCSPrefsBase::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
