#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'statisticswidget.ui'
**
** Created: 2015-12-18T10:32:13
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "statisticswidget.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qtabwidget.h>
#include <qgroupbox.h>
#include <kdatepicker.h>
#include <qlabel.h>
#include <ktimewidget.h>
#include <qcombobox.h>
#include <qtextedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a StatisticsWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
StatisticsWidget::StatisticsWidget( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "StatisticsWidget" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)2, (QSizePolicy::SizeType)2, 0, 0, sizePolicy().hasHeightForWidth() ) );
    StatisticsWidgetLayout = new QGridLayout( this, 1, 1, 11, 6, "StatisticsWidgetLayout"); 

    tabWidget = new QTabWidget( this, "tabWidget" );

    TabPage = new QWidget( tabWidget, "TabPage" );
    TabPageLayout = new QGridLayout( TabPage, 1, 1, 11, 6, "TabPageLayout"); 

    groupBox1 = new QGroupBox( TabPage, "groupBox1" );
    groupBox1->setColumnLayout(0, Qt::Vertical );
    groupBox1->layout()->setSpacing( 6 );
    groupBox1->layout()->setMargin( 11 );
    groupBox1Layout = new QGridLayout( groupBox1->layout() );
    groupBox1Layout->setAlignment( Qt::AlignTop );

    layout11 = new QHBoxLayout( 0, 0, 6, "layout11"); 
    spacer5 = new QSpacerItem( 61, 31, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout11->addItem( spacer5 );

    layout9 = new QVBoxLayout( 0, 0, 6, "layout9"); 

    datePicker = new KDatePicker( groupBox1, "datePicker" );
    datePicker->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)7, 0, 0, datePicker->sizePolicy().hasHeightForWidth() ) );
    layout9->addWidget( datePicker );

    layout7 = new QHBoxLayout( 0, 0, 6, "layout7"); 

    textLabel1 = new QLabel( groupBox1, "textLabel1" );
    layout7->addWidget( textLabel1 );

    timePicker = new KTimeWidget( groupBox1, "timePicker" );
    layout7->addWidget( timePicker );
    spacer3 = new QSpacerItem( 40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout7->addItem( spacer3 );
    layout9->addLayout( layout7 );
    layout11->addLayout( layout9 );
    spacer4 = new QSpacerItem( 60, 41, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout11->addItem( spacer4 );

    groupBox1Layout->addLayout( layout11, 0, 0 );

    TabPageLayout->addWidget( groupBox1, 0, 0 );

    groupBox2 = new QGroupBox( TabPage, "groupBox2" );
    groupBox2->setColumnLayout(0, Qt::Vertical );
    groupBox2->layout()->setSpacing( 6 );
    groupBox2->layout()->setMargin( 11 );
    groupBox2Layout = new QGridLayout( groupBox2->layout() );
    groupBox2Layout->setAlignment( Qt::AlignTop );

    layout5 = new QHBoxLayout( 0, 0, 6, "layout5"); 

    questionComboBox = new QComboBox( FALSE, groupBox2, "questionComboBox" );
    questionComboBox->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, questionComboBox->sizePolicy().hasHeightForWidth() ) );
    layout5->addWidget( questionComboBox );

    askButton = new QPushButton( groupBox2, "askButton" );
    layout5->addWidget( askButton );

    groupBox2Layout->addLayout( layout5, 0, 0 );

    TabPageLayout->addWidget( groupBox2, 1, 0 );

    groupBox3 = new QGroupBox( TabPage, "groupBox3" );
    groupBox3->setColumnLayout(0, Qt::Vertical );
    groupBox3->layout()->setSpacing( 6 );
    groupBox3->layout()->setMargin( 11 );
    groupBox3Layout = new QGridLayout( groupBox3->layout() );
    groupBox3Layout->setAlignment( Qt::AlignTop );

    answerEdit = new QTextEdit( groupBox3, "answerEdit" );

    groupBox3Layout->addWidget( answerEdit, 0, 0 );

    TabPageLayout->addWidget( groupBox3, 2, 0 );
    tabWidget->insertTab( TabPage, QString::fromLatin1("") );

    StatisticsWidgetLayout->addWidget( tabWidget, 0, 0 );
    languageChange();
    resize( QSize(586, 506).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
StatisticsWidget::~StatisticsWidget()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void StatisticsWidget::languageChange()
{
    groupBox1->setTitle( tr2i18n( "Date && Time" ) );
    textLabel1->setText( tr2i18n( "Time :" ) );
    groupBox2->setTitle( tr2i18n( "Question" ) );
    questionComboBox->clear();
    questionComboBox->insertItem( tr2i18n( "Contact Status at Date & Time" ) );
    questionComboBox->insertItem( tr2i18n( "Most Used Status at Date" ) );
    askButton->setText( tr2i18n( "&Ask" ) );
    groupBox3->setTitle( tr2i18n( "Answer" ) );
    tabWidget->changeTab( TabPage, tr2i18n( "Ask &Database" ) );
}

/****************************************************************************
** StatisticsWidget meta object code from reading C++ file 'statisticswidget.h'
**
** Created: Fri Dec 18 10:32:13 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "statisticswidget.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *StatisticsWidget::className() const
{
    return "StatisticsWidget";
}

QMetaObject *StatisticsWidget::metaObj = 0;
static QMetaObjectCleanUp cleanUp_StatisticsWidget( "StatisticsWidget", &StatisticsWidget::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString StatisticsWidget::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "StatisticsWidget", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString StatisticsWidget::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "StatisticsWidget", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* StatisticsWidget::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"StatisticsWidget", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_StatisticsWidget.setMetaObject( metaObj );
    return metaObj;
}

void* StatisticsWidget::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "StatisticsWidget" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool StatisticsWidget::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool StatisticsWidget::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool StatisticsWidget::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool StatisticsWidget::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
