#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'translatorprefsbase.ui'
**
** Created: 2015-12-18T10:31:21
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "translatorprefsbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qcombobox.h>
#include <qlabel.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a TranslatorPrefsUI as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
TranslatorPrefsUI::TranslatorPrefsUI( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "TranslatorPrefsUI" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 1, 0, sizePolicy().hasHeightForWidth() ) );
    TranslatorPrefsUILayout = new QGridLayout( this, 1, 1, 11, 6, "TranslatorPrefsUILayout"); 

    Service = new QComboBox( FALSE, this, "Service" );

    TranslatorPrefsUILayout->addWidget( Service, 1, 1 );

    TextLabel2_2 = new QLabel( this, "TextLabel2_2" );

    TranslatorPrefsUILayout->addWidget( TextLabel2_2, 1, 0 );

    TextLabel2 = new QLabel( this, "TextLabel2" );

    TranslatorPrefsUILayout->addWidget( TextLabel2, 0, 0 );

    myLang = new QComboBox( FALSE, this, "myLang" );
    myLang->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 1, 0, myLang->sizePolicy().hasHeightForWidth() ) );

    TranslatorPrefsUILayout->addWidget( myLang, 0, 1 );

    IncomingMessages = new QButtonGroup( this, "IncomingMessages" );
    IncomingMessages->setColumnLayout(0, Qt::Vertical );
    IncomingMessages->layout()->setSpacing( 6 );
    IncomingMessages->layout()->setMargin( 11 );
    IncomingMessagesLayout = new QVBoxLayout( IncomingMessages->layout() );
    IncomingMessagesLayout->setAlignment( Qt::AlignTop );

    IncomingDontTranslate = new QRadioButton( IncomingMessages, "IncomingDontTranslate" );
    IncomingDontTranslate->setChecked( TRUE );
    IncomingMessages->insert( IncomingDontTranslate, 0 );
    IncomingMessagesLayout->addWidget( IncomingDontTranslate );

    IncomingShowOriginal = new QRadioButton( IncomingMessages, "IncomingShowOriginal" );
    IncomingShowOriginal->setChecked( FALSE );
    IncomingMessages->insert( IncomingShowOriginal, 1 );
    IncomingMessagesLayout->addWidget( IncomingShowOriginal );

    IncomingTranslate = new QRadioButton( IncomingMessages, "IncomingTranslate" );
    IncomingMessages->insert( IncomingTranslate, 2 );
    IncomingMessagesLayout->addWidget( IncomingTranslate );

    TranslatorPrefsUILayout->addMultiCellWidget( IncomingMessages, 2, 2, 0, 1 );

    OutgoingMessages = new QButtonGroup( this, "OutgoingMessages" );
    OutgoingMessages->setColumnLayout(0, Qt::Vertical );
    OutgoingMessages->layout()->setSpacing( 6 );
    OutgoingMessages->layout()->setMargin( 11 );
    OutgoingMessagesLayout = new QVBoxLayout( OutgoingMessages->layout() );
    OutgoingMessagesLayout->setAlignment( Qt::AlignTop );

    OutgoingDontTranslate = new QRadioButton( OutgoingMessages, "OutgoingDontTranslate" );
    OutgoingDontTranslate->setChecked( TRUE );
    OutgoingMessages->insert( OutgoingDontTranslate, 0 );
    OutgoingMessagesLayout->addWidget( OutgoingDontTranslate );

    OutgoingShowOriginal = new QRadioButton( OutgoingMessages, "OutgoingShowOriginal" );
    OutgoingShowOriginal->setChecked( FALSE );
    OutgoingMessages->insert( OutgoingShowOriginal, 1 );
    OutgoingMessagesLayout->addWidget( OutgoingShowOriginal );

    OutgoingTranslate = new QRadioButton( OutgoingMessages, "OutgoingTranslate" );
    OutgoingMessagesLayout->addWidget( OutgoingTranslate );

    OutgoingAsk = new QRadioButton( OutgoingMessages, "OutgoingAsk" );
    OutgoingMessagesLayout->addWidget( OutgoingAsk );

    TranslatorPrefsUILayout->addMultiCellWidget( OutgoingMessages, 3, 3, 0, 1 );
    Spacer2 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    TranslatorPrefsUILayout->addMultiCell( Spacer2, 4, 4, 0, 1 );
    languageChange();
    resize( QSize(401, 417).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
TranslatorPrefsUI::~TranslatorPrefsUI()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void TranslatorPrefsUI::languageChange()
{
    TextLabel2_2->setText( tr2i18n( "Translation service:" ) );
    TextLabel2->setText( tr2i18n( "Default native language:" ) );
    IncomingMessages->setTitle( tr2i18n( "Incoming Messages" ) );
    IncomingDontTranslate->setText( tr2i18n( "Do not translate" ) );
    IncomingShowOriginal->setText( tr2i18n( "Show the original message" ) );
    IncomingTranslate->setText( tr2i18n( "Translate directly" ) );
    OutgoingMessages->setTitle( tr2i18n( "Outgoing Messages" ) );
    OutgoingDontTranslate->setText( tr2i18n( "Do not translate" ) );
    OutgoingShowOriginal->setText( tr2i18n( "Show the original message" ) );
    OutgoingTranslate->setText( tr2i18n( "Translate directly" ) );
    OutgoingAsk->setText( tr2i18n( "Show dialog before sending" ) );
}

/****************************************************************************
** TranslatorPrefsUI meta object code from reading C++ file 'translatorprefsbase.h'
**
** Created: Fri Dec 18 10:31:21 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "translatorprefsbase.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *TranslatorPrefsUI::className() const
{
    return "TranslatorPrefsUI";
}

QMetaObject *TranslatorPrefsUI::metaObj = 0;
static QMetaObjectCleanUp cleanUp_TranslatorPrefsUI( "TranslatorPrefsUI", &TranslatorPrefsUI::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString TranslatorPrefsUI::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "TranslatorPrefsUI", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString TranslatorPrefsUI::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "TranslatorPrefsUI", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* TranslatorPrefsUI::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"TranslatorPrefsUI", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_TranslatorPrefsUI.setMetaObject( metaObj );
    return metaObj;
}

void* TranslatorPrefsUI::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "TranslatorPrefsUI" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool TranslatorPrefsUI::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool TranslatorPrefsUI::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool TranslatorPrefsUI::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool TranslatorPrefsUI::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
