#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'gaduadd.ui'
**
** Created: 2015-12-18T10:30:02
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "gaduadd.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <krestrictedline.h>
#include <qlineedit.h>
#include <qcheckbox.h>
#include <qheader.h>
#include <qlistview.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <qimage.h>
#include <qpixmap.h>


/*
 *  Constructs a GaduAddUI as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
GaduAddUI::GaduAddUI( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "GaduAddUI" );
    GaduAddUILayout = new QGridLayout( this, 1, 1, 11, 6, "GaduAddUILayout"); 

    layout39 = new QHBoxLayout( 0, 0, 6, "layout39"); 

    TextLabel1 = new QLabel( this, "TextLabel1" );
    TextLabel1->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, TextLabel1->sizePolicy().hasHeightForWidth() ) );
    TextLabel1->setTextFormat( QLabel::AutoText );
    TextLabel1->setScaledContents( FALSE );
    TextLabel1->setAlignment( int( QLabel::AlignVCenter ) );
    layout39->addWidget( TextLabel1 );

    addEdit_ = new KRestrictedLine( this, "addEdit_" );
    layout39->addWidget( addEdit_ );

    GaduAddUILayout->addLayout( layout39, 0, 0 );

    textLabel2 = new QLabel( this, "textLabel2" );
    textLabel2->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignRight ) );

    GaduAddUILayout->addWidget( textLabel2, 1, 0 );

    layout10 = new QHBoxLayout( 0, 0, 6, "layout10"); 

    layout8 = new QVBoxLayout( 0, 0, 6, "layout8"); 

    textLabel1 = new QLabel( this, "textLabel1" );
    textLabel1->setEnabled( TRUE );
    layout8->addWidget( textLabel1 );

    TextLabel1_2 = new QLabel( this, "TextLabel1_2" );
    TextLabel1_2->setEnabled( TRUE );
    layout8->addWidget( TextLabel1_2 );

    TextLabel1_2_2 = new QLabel( this, "TextLabel1_2_2" );
    TextLabel1_2_2->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)1, 0, 0, TextLabel1_2_2->sizePolicy().hasHeightForWidth() ) );
    layout8->addWidget( TextLabel1_2_2 );

    TextLabel1_4 = new QLabel( this, "TextLabel1_4" );
    TextLabel1_4->setEnabled( TRUE );
    TextLabel1_4->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)5, 0, 0, TextLabel1_4->sizePolicy().hasHeightForWidth() ) );
    layout8->addWidget( TextLabel1_4 );

    TextLabel1_4_2 = new QLabel( this, "TextLabel1_4_2" );
    TextLabel1_4_2->setEnabled( TRUE );
    TextLabel1_4_2->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)5, 0, 0, TextLabel1_4_2->sizePolicy().hasHeightForWidth() ) );
    layout8->addWidget( TextLabel1_4_2 );
    layout10->addLayout( layout8 );

    layout9 = new QVBoxLayout( 0, 0, 6, "layout9"); 

    fornameEdit_ = new QLineEdit( this, "fornameEdit_" );
    fornameEdit_->setEnabled( TRUE );
    layout9->addWidget( fornameEdit_ );

    snameEdit_ = new QLineEdit( this, "snameEdit_" );
    snameEdit_->setEnabled( TRUE );
    layout9->addWidget( snameEdit_ );

    nickEdit_ = new QLineEdit( this, "nickEdit_" );
    layout9->addWidget( nickEdit_ );

    emailEdit_ = new QLineEdit( this, "emailEdit_" );
    emailEdit_->setEnabled( TRUE );
    layout9->addWidget( emailEdit_ );

    telephoneEdit_ = new QLineEdit( this, "telephoneEdit_" );
    telephoneEdit_->setEnabled( TRUE );
    layout9->addWidget( telephoneEdit_ );
    layout10->addLayout( layout9 );

    GaduAddUILayout->addLayout( layout10, 2, 0 );

    notAFriend_ = new QCheckBox( this, "notAFriend_" );
    notAFriend_->setEnabled( FALSE );

    GaduAddUILayout->addWidget( notAFriend_, 4, 0 );

    groups = new QListView( this, "groups" );
    groups->addColumn( tr2i18n( "Group" ) );
    groups->header()->setClickEnabled( FALSE, groups->header()->count() - 1 );
    groups->header()->setResizeEnabled( FALSE, groups->header()->count() - 1 );

    GaduAddUILayout->addWidget( groups, 3, 0 );
    languageChange();
    resize( QSize(394, 340).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // buddies
    TextLabel1->setBuddy( addEdit_ );
    textLabel1->setBuddy( fornameEdit_ );
    TextLabel1_2->setBuddy( snameEdit_ );
    TextLabel1_2_2->setBuddy( nickEdit_ );
    TextLabel1_4->setBuddy( emailEdit_ );
    TextLabel1_4_2->setBuddy( emailEdit_ );
}

/*
 *  Destroys the object and frees any allocated resources
 */
GaduAddUI::~GaduAddUI()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void GaduAddUI::languageChange()
{
    TextLabel1->setText( tr2i18n( "Gadu-Gadu &UIN:" ) );
    QToolTip::add( TextLabel1, tr2i18n( "The user ID of the Gadu-Gadu account you would like to add." ) );
    QWhatsThis::add( TextLabel1, tr2i18n( "The user ID of the Gadu-Gadu account you would like to add.  This should be in the form of a number (no decimals, no spaces).  This field is mandatory." ) );
    QToolTip::add( addEdit_, tr2i18n( "The user ID of the Gadu-Gadu account you would like to add." ) );
    QWhatsThis::add( addEdit_, tr2i18n( "The user ID of the Gadu-Gadu account you would like to add.  This should be in the form of a number (no decimals, no spaces).  This field is mandatory." ) );
    textLabel2->setText( tr2i18n( "<i>(for example: 1234567)</i>" ) );
    textLabel1->setText( tr2i18n( "&Forename:" ) );
    QToolTip::add( textLabel1, tr2i18n( "The forename of the contact you wish to add." ) );
    QWhatsThis::add( textLabel1, tr2i18n( "The forename (first name) of the contact you wish to add.  Optionally this may include a middle name." ) );
    TextLabel1_2->setText( tr2i18n( "&Surname:" ) );
    QToolTip::add( TextLabel1_2, tr2i18n( "The surname of the contact you wish to add." ) );
    QWhatsThis::add( TextLabel1_2, tr2i18n( "The surname (last name) of the contact you wish to add." ) );
    TextLabel1_2_2->setText( tr2i18n( "N&ickname:" ) );
    QToolTip::add( TextLabel1_2_2, tr2i18n( "A nickname for the contact you wish to add." ) );
    QWhatsThis::add( TextLabel1_2_2, tr2i18n( "A nickname for the contact you wish to add." ) );
    TextLabel1_4->setText( tr2i18n( "&Email address:" ) );
    QToolTip::add( TextLabel1_4, tr2i18n( "E-Mail address for this contact." ) );
    QWhatsThis::add( TextLabel1_4, tr2i18n( "E-Mail address for this contact." ) );
    TextLabel1_4_2->setText( tr2i18n( "&Telephone number:" ) );
    QToolTip::add( TextLabel1_4_2, tr2i18n( "E-Mail address for this contact." ) );
    QWhatsThis::add( TextLabel1_4_2, tr2i18n( "E-Mail address for this contact." ) );
    QToolTip::add( fornameEdit_, tr2i18n( "The forename of the contact you wish to add." ) );
    QWhatsThis::add( fornameEdit_, tr2i18n( "The forename (first name) of the contact you wish to add.  Optionally this may include a middle name." ) );
    QToolTip::add( snameEdit_, tr2i18n( "The surname of the contact you wish to add." ) );
    QWhatsThis::add( snameEdit_, tr2i18n( "The surname (last name) of the contact you wish to add." ) );
    QToolTip::add( nickEdit_, tr2i18n( "A nickname for the contact you wish to add." ) );
    QWhatsThis::add( nickEdit_, tr2i18n( "A nickname for the contact you wish to add." ) );
    QToolTip::add( emailEdit_, tr2i18n( "E-Mail address for this contact." ) );
    QWhatsThis::add( emailEdit_, tr2i18n( "E-Mail address for this contact." ) );
    QToolTip::add( telephoneEdit_, tr2i18n( "E-Mail address for this contact." ) );
    QWhatsThis::add( telephoneEdit_, tr2i18n( "E-Mail address for this contact." ) );
    notAFriend_->setText( tr2i18n( "Offline to contact when you set \"&Just for friends\"" ) );
    QToolTip::add( notAFriend_, tr2i18n( "Check if you want to exclude this contact from the \"Just for friends\" status mode." ) );
    QWhatsThis::add( notAFriend_, tr2i18n( "Check if you want to exclude this contact from the \"Just for friends\" status mode." ) );
    groups->header()->setLabel( 0, tr2i18n( "Group" ) );
    groups->clear();
    QListViewItem * item = new QListViewItem( groups, 0 );

    item = new QListViewItem( groups, item );

}

/****************************************************************************
** GaduAddUI meta object code from reading C++ file 'gaduadd.h'
**
** Created: Fri Dec 18 10:30:02 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "gaduadd.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *GaduAddUI::className() const
{
    return "GaduAddUI";
}

QMetaObject *GaduAddUI::metaObj = 0;
static QMetaObjectCleanUp cleanUp_GaduAddUI( "GaduAddUI", &GaduAddUI::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString GaduAddUI::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "GaduAddUI", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString GaduAddUI::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "GaduAddUI", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* GaduAddUI::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"GaduAddUI", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_GaduAddUI.setMetaObject( metaObj );
    return metaObj;
}

void* GaduAddUI::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "GaduAddUI" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool GaduAddUI::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool GaduAddUI::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool GaduAddUI::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool GaduAddUI::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
