#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'gwchatsearchwidget.ui'
**
** Created: 2015-12-18T10:20:58
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "gwchatsearchwidget.h"

#include <qvariant.h>
#include <qheader.h>
#include <klistview.h>
#include <kpushbutton.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a GroupWiseChatSearchWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
GroupWiseChatSearchWidget::GroupWiseChatSearchWidget( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "GroupWiseChatSearchWidget" );
    GroupWiseChatSearchWidgetLayout = new QVBoxLayout( this, 11, 6, "GroupWiseChatSearchWidgetLayout"); 

    m_chatrooms = new KListView( this, "m_chatrooms" );
    m_chatrooms->addColumn( tr2i18n( "Chatroom " ) );
    m_chatrooms->addColumn( tr2i18n( "Owner" ) );
    m_chatrooms->addColumn( tr2i18n( "Members" ) );
    m_chatrooms->setAllColumnsShowFocus( TRUE );
    m_chatrooms->setFullWidth( TRUE );
    m_chatrooms->setItemsMovable( FALSE );
    GroupWiseChatSearchWidgetLayout->addWidget( m_chatrooms );

    layout2 = new QHBoxLayout( 0, 0, 6, "layout2"); 

    m_btnProperties = new KPushButton( this, "m_btnProperties" );
    layout2->addWidget( m_btnProperties );
    spacer3 = new QSpacerItem( 340, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout2->addItem( spacer3 );

    m_btnRefresh = new QPushButton( this, "m_btnRefresh" );
    layout2->addWidget( m_btnRefresh );
    GroupWiseChatSearchWidgetLayout->addLayout( layout2 );
    languageChange();
    resize( QSize(579, 480).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
GroupWiseChatSearchWidget::~GroupWiseChatSearchWidget()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void GroupWiseChatSearchWidget::languageChange()
{
    m_chatrooms->header()->setLabel( 0, tr2i18n( "Chatroom " ) );
    m_chatrooms->header()->setLabel( 1, tr2i18n( "Owner" ) );
    m_chatrooms->header()->setLabel( 2, tr2i18n( "Members" ) );
    m_btnProperties->setText( tr2i18n( "&Properties" ) );
    m_btnRefresh->setText( tr2i18n( "&Refresh" ) );
}

/****************************************************************************
** GroupWiseChatSearchWidget meta object code from reading C++ file 'gwchatsearchwidget.h'
**
** Created: Fri Dec 18 10:20:58 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "gwchatsearchwidget.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *GroupWiseChatSearchWidget::className() const
{
    return "GroupWiseChatSearchWidget";
}

QMetaObject *GroupWiseChatSearchWidget::metaObj = 0;
static QMetaObjectCleanUp cleanUp_GroupWiseChatSearchWidget( "GroupWiseChatSearchWidget", &GroupWiseChatSearchWidget::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString GroupWiseChatSearchWidget::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "GroupWiseChatSearchWidget", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString GroupWiseChatSearchWidget::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "GroupWiseChatSearchWidget", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* GroupWiseChatSearchWidget::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"GroupWiseChatSearchWidget", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_GroupWiseChatSearchWidget.setMetaObject( metaObj );
    return metaObj;
}

void* GroupWiseChatSearchWidget::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "GroupWiseChatSearchWidget" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool GroupWiseChatSearchWidget::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool GroupWiseChatSearchWidget::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool GroupWiseChatSearchWidget::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool GroupWiseChatSearchWidget::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
