#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'networkconfig.ui'
**
** Created: 2015-12-18T10:22:33
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "networkconfig.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlineedit.h>
#include <qlabel.h>
#include <qgroupbox.h>
#include <qlistbox.h>
#include <qspinbox.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "networkconfig.ui.h"

/*
 *  Constructs a NetworkConfig as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
NetworkConfig::NetworkConfig( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "NetworkConfig" );
    NetworkConfigLayout = new QGridLayout( this, 1, 1, 11, 6, "NetworkConfigLayout"); 

    description = new QLineEdit( this, "description" );

    NetworkConfigLayout->addMultiCellWidget( description, 1, 1, 4, 6 );

    textLabel10 = new QLabel( this, "textLabel10" );
    textLabel10->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)5, 0, 0, textLabel10->sizePolicy().hasHeightForWidth() ) );

    NetworkConfigLayout->addWidget( textLabel10, 1, 3 );

    groupBox2 = new QGroupBox( this, "groupBox2" );
    groupBox2->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)3, 0, 0, groupBox2->sizePolicy().hasHeightForWidth() ) );
    groupBox2->setMargin( 4 );
    groupBox2->setColumnLayout(0, Qt::Vertical );
    groupBox2->layout()->setSpacing( 6 );
    groupBox2->layout()->setMargin( 11 );
    groupBox2Layout = new QGridLayout( groupBox2->layout() );
    groupBox2Layout->setAlignment( Qt::AlignTop );

    hostList = new QListBox( groupBox2, "hostList" );
    hostList->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)3, 0, 0, hostList->sizePolicy().hasHeightForWidth() ) );

    groupBox2Layout->addMultiCellWidget( hostList, 0, 2, 0, 3 );

    password = new QLineEdit( groupBox2, "password" );
    password->setEchoMode( QLineEdit::Password );

    groupBox2Layout->addMultiCellWidget( password, 4, 4, 1, 4 );

    textLabel6 = new QLabel( groupBox2, "textLabel6" );

    groupBox2Layout->addWidget( textLabel6, 3, 2 );

    port = new QSpinBox( groupBox2, "port" );
    port->setMaxValue( 65536 );
    port->setMinValue( 1 );
    port->setValue( 6667 );

    groupBox2Layout->addMultiCellWidget( port, 3, 3, 3, 4 );

    textLabel4 = new QLabel( groupBox2, "textLabel4" );

    groupBox2Layout->addWidget( textLabel4, 4, 0 );

    textLabel5 = new QLabel( groupBox2, "textLabel5" );

    groupBox2Layout->addWidget( textLabel5, 3, 0 );

    host = new QLineEdit( groupBox2, "host" );
    host->setReadOnly( TRUE );

    groupBox2Layout->addWidget( host, 3, 1 );

    useSSL = new QCheckBox( groupBox2, "useSSL" );

    groupBox2Layout->addMultiCellWidget( useSSL, 5, 5, 0, 1 );

    removeHost = new QPushButton( groupBox2, "removeHost" );
    removeHost->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, removeHost->sizePolicy().hasHeightForWidth() ) );

    groupBox2Layout->addMultiCellWidget( removeHost, 6, 6, 3, 4 );

    newHost = new QPushButton( groupBox2, "newHost" );
    newHost->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, newHost->sizePolicy().hasHeightForWidth() ) );

    groupBox2Layout->addWidget( newHost, 6, 2 );
    spacer3 = new QSpacerItem( 210, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    groupBox2Layout->addMultiCell( spacer3, 6, 6, 0, 1 );

    downButton = new QPushButton( groupBox2, "downButton" );
    downButton->setEnabled( FALSE );

    groupBox2Layout->addWidget( downButton, 2, 4 );
    spacer4 = new QSpacerItem( 20, 151, QSizePolicy::Minimum, QSizePolicy::Expanding );
    groupBox2Layout->addItem( spacer4, 0, 4 );

    upButton = new QPushButton( groupBox2, "upButton" );
    upButton->setEnabled( FALSE );

    groupBox2Layout->addWidget( upButton, 1, 4 );

    NetworkConfigLayout->addMultiCellWidget( groupBox2, 2, 2, 3, 6 );

    cancelButton = new QPushButton( this, "cancelButton" );

    NetworkConfigLayout->addWidget( cancelButton, 3, 6 );

    saveButton = new QPushButton( this, "saveButton" );

    NetworkConfigLayout->addWidget( saveButton, 3, 5 );

    newNetwork = new QPushButton( this, "newNetwork" );

    NetworkConfigLayout->addWidget( newNetwork, 3, 0 );

    networkList = new QListBox( this, "networkList" );
    networkList->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)7, 0, 0, networkList->sizePolicy().hasHeightForWidth() ) );

    NetworkConfigLayout->addMultiCellWidget( networkList, 0, 2, 0, 2 );
    spacer5 = new QSpacerItem( 260, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    NetworkConfigLayout->addMultiCell( spacer5, 3, 3, 3, 4 );

    renameNetwork = new QPushButton( this, "renameNetwork" );

    NetworkConfigLayout->addWidget( renameNetwork, 3, 1 );

    removeNetwork = new QPushButton( this, "removeNetwork" );

    NetworkConfigLayout->addWidget( removeNetwork, 3, 2 );
    languageChange();
    resize( QSize(670, 468).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( cancelButton, SIGNAL( clicked() ), this, SLOT( reject() ) );
    connect( saveButton, SIGNAL( clicked() ), this, SLOT( accept() ) );

    // tab order
    setTabOrder( networkList, newNetwork );
    setTabOrder( newNetwork, renameNetwork );
    setTabOrder( renameNetwork, removeNetwork );
    setTabOrder( removeNetwork, description );
    setTabOrder( description, hostList );
    setTabOrder( hostList, upButton );
    setTabOrder( upButton, downButton );
    setTabOrder( downButton, host );
    setTabOrder( host, port );
    setTabOrder( port, password );
    setTabOrder( password, useSSL );
    setTabOrder( useSSL, newHost );
    setTabOrder( newHost, removeHost );
    setTabOrder( removeHost, saveButton );
    setTabOrder( saveButton, cancelButton );

    // buddies
    textLabel10->setBuddy( description );
    textLabel6->setBuddy( port );
    textLabel4->setBuddy( password );
    textLabel5->setBuddy( host );
}

/*
 *  Destroys the object and frees any allocated resources
 */
NetworkConfig::~NetworkConfig()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void NetworkConfig::languageChange()
{
    setCaption( tr2i18n( "Network Configuration" ) );
    textLabel10->setText( tr2i18n( "&Description:" ) );
    groupBox2->setTitle( tr2i18n( "Host Con&figuration" ) );
    QToolTip::add( hostList, tr2i18n( "The IRC servers associated with this network" ) );
    QWhatsThis::add( hostList, tr2i18n( "The IRC servers associated with this network. Use the up and down buttons to alter the order in which connections are attempted." ) );
    QToolTip::add( password, tr2i18n( "Most IRC servers do not require a password" ) );
    textLabel6->setText( tr2i18n( "Por&t:" ) );
    textLabel4->setText( tr2i18n( "&Password:" ) );
    textLabel5->setText( tr2i18n( "&Host:" ) );
    QToolTip::add( host, QString::null );
    useSSL->setText( tr2i18n( "Use SS&L" ) );
    QToolTip::add( useSSL, tr2i18n( "Check this to enable SSL for this connection" ) );
    removeHost->setText( tr2i18n( "&Remove" ) );
    newHost->setText( tr2i18n( "&New..." ) );
    downButton->setText( tr2i18n( "Down" ) );
    QToolTip::add( downButton, tr2i18n( "Move this server down" ) );
    QWhatsThis::add( downButton, tr2i18n( "Move this server down in connection attempt priority" ) );
    upButton->setText( tr2i18n( "Up" ) );
    QToolTip::add( upButton, tr2i18n( "Move this server up" ) );
    QWhatsThis::add( upButton, tr2i18n( "Move this server up in connection attempt priority" ) );
    cancelButton->setText( tr2i18n( "&Cancel" ) );
    saveButton->setText( tr2i18n( "&Save" ) );
    newNetwork->setText( tr2i18n( "Ne&w" ) );
    renameNetwork->setText( tr2i18n( "Rena&me..." ) );
    removeNetwork->setText( tr2i18n( "Remo&ve" ) );
}

/****************************************************************************
** NetworkConfig meta object code from reading C++ file 'networkconfig.h'
**
** Created: Fri Dec 18 10:22:33 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "networkconfig.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *NetworkConfig::className() const
{
    return "NetworkConfig";
}

QMetaObject *NetworkConfig::metaObj = 0;
static QMetaObjectCleanUp cleanUp_NetworkConfig( "NetworkConfig", &NetworkConfig::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString NetworkConfig::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "NetworkConfig", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString NetworkConfig::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "NetworkConfig", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* NetworkConfig::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QDialog::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QUMethod slot_1 = {"accept", 0, 0 };
    static const QUMethod slot_2 = {"reject", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected },
	{ "accept()", &slot_1, QMetaData::Protected },
	{ "reject()", &slot_2, QMetaData::Protected }
    };
    static const QUMethod signal_0 = {"accepted", 0, 0 };
    static const QUMethod signal_1 = {"rejected", 0, 0 };
    static const QMetaData signal_tbl[] = {
	{ "accepted()", &signal_0, QMetaData::Public },
	{ "rejected()", &signal_1, QMetaData::Public }
    };
    metaObj = QMetaObject::new_metaobject(
	"NetworkConfig", parentObject,
	slot_tbl, 3,
	signal_tbl, 2,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_NetworkConfig.setMetaObject( metaObj );
    return metaObj;
}

void* NetworkConfig::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "NetworkConfig" ) )
	return this;
    return QDialog::qt_cast( clname );
}

// SIGNAL accepted
void NetworkConfig::accepted()
{
    activate_signal( staticMetaObject()->signalOffset() + 0 );
}

// SIGNAL rejected
void NetworkConfig::rejected()
{
    activate_signal( staticMetaObject()->signalOffset() + 1 );
}

bool NetworkConfig::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    case 1: accept(); break;
    case 2: reject(); break;
    default:
	return QDialog::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool NetworkConfig::qt_emit( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->signalOffset() ) {
    case 0: accepted(); break;
    case 1: rejected(); break;
    default:
	return QDialog::qt_emit(_id,_o);
    }
    return TRUE;
}
#ifndef QT_NO_PROPERTIES

bool NetworkConfig::qt_property( int id, int f, QVariant* v)
{
    return QDialog::qt_property( id, f, v);
}

bool NetworkConfig::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
