#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'dlgbrowse.ui'
**
** Created: 2015-12-18T10:26:52
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "dlgbrowse.h"

#include <qvariant.h>
#include <qsplitter.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qtable.h>
#include <kpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a dlgBrowse as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
dlgBrowse::dlgBrowse( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "dlgBrowse" );
    dlgBrowseLayout = new QGridLayout( this, 1, 1, 11, 6, "dlgBrowseLayout"); 

    splitter1 = new QSplitter( this, "splitter1" );
    splitter1->setOrientation( QSplitter::Horizontal );

    dynamicForm = new QGroupBox( splitter1, "dynamicForm" );
    dynamicForm->setColumnLayout(0, Qt::Vertical );
    dynamicForm->layout()->setSpacing( 6 );
    dynamicForm->layout()->setMargin( 11 );
    dynamicFormLayout = new QVBoxLayout( dynamicForm->layout() );
    dynamicFormLayout->setAlignment( Qt::AlignTop );

    lblWait = new QLabel( dynamicForm, "lblWait" );
    lblWait->setLineWidth( 1 );
    lblWait->setAlignment( int( QLabel::WordBreak | QLabel::AlignVCenter ) );
    dynamicFormLayout->addWidget( lblWait );

    tblResults = new QTable( splitter1, "tblResults" );
    tblResults->setNumCols( tblResults->numCols() + 1 );
    tblResults->horizontalHeader()->setLabel( tblResults->numCols() - 1, tr2i18n( "JID" ) );
    tblResults->setNumCols( tblResults->numCols() + 1 );
    tblResults->horizontalHeader()->setLabel( tblResults->numCols() - 1, tr2i18n( "First Name" ) );
    tblResults->setNumCols( tblResults->numCols() + 1 );
    tblResults->horizontalHeader()->setLabel( tblResults->numCols() - 1, tr2i18n( "Last Name" ) );
    tblResults->setNumCols( tblResults->numCols() + 1 );
    tblResults->horizontalHeader()->setLabel( tblResults->numCols() - 1, tr2i18n( "Nick" ) );
    tblResults->setNumCols( tblResults->numCols() + 1 );
    tblResults->horizontalHeader()->setLabel( tblResults->numCols() - 1, tr2i18n( "Email" ) );
    tblResults->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, 0, 0, tblResults->sizePolicy().hasHeightForWidth() ) );
    tblResults->setResizePolicy( QTable::AutoOneFit );
    tblResults->setNumRows( 0 );
    tblResults->setNumCols( 5 );
    tblResults->setReadOnly( TRUE );
    tblResults->setSelectionMode( QTable::NoSelection );
    tblResults->setFocusStyle( QTable::FollowStyle );

    dlgBrowseLayout->addWidget( splitter1, 0, 0 );

    buttonsLayout = new QHBoxLayout( 0, 0, 6, "buttonsLayout"); 
    buttonsSpacer = new QSpacerItem( 51, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    buttonsLayout->addItem( buttonsSpacer );

    btnSearch = new KPushButton( this, "btnSearch" );
    btnSearch->setEnabled( FALSE );
    btnSearch->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, btnSearch->sizePolicy().hasHeightForWidth() ) );
    btnSearch->setDefault( TRUE );
    buttonsLayout->addWidget( btnSearch );

    btnClose = new KPushButton( this, "btnClose" );
    btnClose->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, btnClose->sizePolicy().hasHeightForWidth() ) );
    btnClose->setAutoDefault( TRUE );
    btnClose->setDefault( FALSE );
    buttonsLayout->addWidget( btnClose );

    dlgBrowseLayout->addLayout( buttonsLayout, 1, 0 );
    languageChange();
    resize( QSize(818, 381).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( btnClose, SIGNAL( clicked() ), this, SLOT( close() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
dlgBrowse::~dlgBrowse()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void dlgBrowse::languageChange()
{
    setCaption( tr2i18n( "Jabber Search" ) );
    dynamicForm->setTitle( tr2i18n( "Search For" ) );
    lblWait->setText( tr2i18n( "Please wait while retrieving search form..." ) );
    tblResults->horizontalHeader()->setLabel( 0, tr2i18n( "JID" ) );
    tblResults->horizontalHeader()->setLabel( 1, tr2i18n( "First Name" ) );
    tblResults->horizontalHeader()->setLabel( 2, tr2i18n( "Last Name" ) );
    tblResults->horizontalHeader()->setLabel( 3, tr2i18n( "Nick" ) );
    tblResults->horizontalHeader()->setLabel( 4, tr2i18n( "Email" ) );
    btnSearch->setText( tr2i18n( "&Search" ) );
    btnClose->setText( tr2i18n( "&Close" ) );
}

/****************************************************************************
** dlgBrowse meta object code from reading C++ file 'dlgbrowse.h'
**
** Created: Fri Dec 18 10:26:52 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "dlgbrowse.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *dlgBrowse::className() const
{
    return "dlgBrowse";
}

QMetaObject *dlgBrowse::metaObj = 0;
static QMetaObjectCleanUp cleanUp_dlgBrowse( "dlgBrowse", &dlgBrowse::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString dlgBrowse::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "dlgBrowse", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString dlgBrowse::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "dlgBrowse", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* dlgBrowse::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QDialog::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"dlgBrowse", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_dlgBrowse.setMetaObject( metaObj );
    return metaObj;
}

void* dlgBrowse::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "dlgBrowse" ) )
	return this;
    return QDialog::qt_cast( clname );
}

bool dlgBrowse::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QDialog::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool dlgBrowse::qt_emit( int _id, QUObject* _o )
{
    return QDialog::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool dlgBrowse::qt_property( int id, int f, QVariant* v)
{
    return QDialog::qt_property( id, f, v);
}

bool dlgBrowse::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
