#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'dlgchatroomslist.ui'
**
** Created: 2015-12-18T10:26:54
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "dlgchatroomslist.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qtable.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <qimage.h>
#include <qpixmap.h>


/*
 *  Constructs a dlgChatRoomsList which is a child of 'parent', with the
 *  name 'name'.' 
 */
dlgChatRoomsList::dlgChatRoomsList( QWidget* parent,  const char* name )
    : KDialog( parent, name )
{
    if ( !name )
	setName( "dlgChatRoomsList" );
    dlgChatRoomsListLayout = new QVBoxLayout( this, 11, 6, "dlgChatRoomsListLayout"); 

    layout4 = new QHBoxLayout( 0, 0, 6, "layout4"); 

    lblServer = new QLabel( this, "lblServer" );
    layout4->addWidget( lblServer );

    leServer = new QLineEdit( this, "leServer" );
    layout4->addWidget( leServer );

    pbQuery = new QPushButton( this, "pbQuery" );
    layout4->addWidget( pbQuery );
    dlgChatRoomsListLayout->addLayout( layout4 );

    tblChatRoomsList = new QTable( this, "tblChatRoomsList" );
    tblChatRoomsList->setNumCols( tblChatRoomsList->numCols() + 1 );
    tblChatRoomsList->horizontalHeader()->setLabel( tblChatRoomsList->numCols() - 1, tr2i18n( "Chatroom Name" ) );
    tblChatRoomsList->setNumCols( tblChatRoomsList->numCols() + 1 );
    tblChatRoomsList->horizontalHeader()->setLabel( tblChatRoomsList->numCols() - 1, tr2i18n( "Chatroom Description" ) );
    tblChatRoomsList->setFocusPolicy( QTable::ClickFocus );
    tblChatRoomsList->setNumRows( 0 );
    tblChatRoomsList->setNumCols( 2 );
    tblChatRoomsList->setRowMovingEnabled( TRUE );
    tblChatRoomsList->setColumnMovingEnabled( TRUE );
    tblChatRoomsList->setReadOnly( TRUE );
    tblChatRoomsList->setSelectionMode( QTable::SingleRow );
    tblChatRoomsList->setFocusStyle( QTable::FollowStyle );
    dlgChatRoomsListLayout->addWidget( tblChatRoomsList );

    layout5 = new QHBoxLayout( 0, 0, 6, "layout5"); 
    spacer2 = new QSpacerItem( 121, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout5->addItem( spacer2 );

    pbJoin = new QPushButton( this, "pbJoin" );
    layout5->addWidget( pbJoin );

    pbClose = new QPushButton( this, "pbClose" );
    layout5->addWidget( pbClose );
    dlgChatRoomsListLayout->addLayout( layout5 );
    languageChange();
    resize( QSize(467, 298).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( pbClose, SIGNAL( clicked() ), this, SLOT( close() ) );
    connect( pbJoin, SIGNAL( clicked() ), this, SLOT( slotJoin() ) );
    connect( pbQuery, SIGNAL( clicked() ), this, SLOT( slotQuery() ) );
    connect( tblChatRoomsList, SIGNAL( clicked(int,int,int,const QPoint&) ), this, SLOT( slotClick(int,int,int,const QPoint&) ) );
    connect( tblChatRoomsList, SIGNAL( doubleClicked(int,int,int,const QPoint&) ), this, SLOT( slotDoubleClick(int,int,int,const QPoint&) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
dlgChatRoomsList::~dlgChatRoomsList()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void dlgChatRoomsList::languageChange()
{
    setCaption( tr2i18n( "List Chatrooms" ) );
    lblServer->setText( tr2i18n( "Server" ) );
    pbQuery->setText( tr2i18n( "&Query" ) );
    tblChatRoomsList->horizontalHeader()->setLabel( 0, tr2i18n( "Chatroom Name" ) );
    tblChatRoomsList->horizontalHeader()->setLabel( 1, tr2i18n( "Chatroom Description" ) );
    pbJoin->setText( tr2i18n( "&Join" ) );
    pbClose->setText( tr2i18n( "Clos&e" ) );
}

void dlgChatRoomsList::slotQuery()
{
    qWarning( "dlgChatRoomsList::slotQuery(): Not implemented yet" );
}

void dlgChatRoomsList::slotJoin()
{
    qWarning( "dlgChatRoomsList::slotJoin(): Not implemented yet" );
}

void dlgChatRoomsList::slotClick(int,int,int,const QPoint&)
{
    qWarning( "dlgChatRoomsList::slotClick(int,int,int,const QPoint&): Not implemented yet" );
}

void dlgChatRoomsList::slotDoubleClick(int,int,int,const QPoint&)
{
    qWarning( "dlgChatRoomsList::slotDoubleClick(int,int,int,const QPoint&): Not implemented yet" );
}

/****************************************************************************
** dlgChatRoomsList meta object code from reading C++ file 'dlgchatroomslist.h'
**
** Created: Fri Dec 18 10:26:54 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "dlgchatroomslist.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *dlgChatRoomsList::className() const
{
    return "dlgChatRoomsList";
}

QMetaObject *dlgChatRoomsList::metaObj = 0;
static QMetaObjectCleanUp cleanUp_dlgChatRoomsList( "dlgChatRoomsList", &dlgChatRoomsList::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString dlgChatRoomsList::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "dlgChatRoomsList", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString dlgChatRoomsList::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "dlgChatRoomsList", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* dlgChatRoomsList::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = KDialog::staticMetaObject();
    static const QUMethod slot_0 = {"slotQuery", 0, 0 };
    static const QUMethod slot_1 = {"slotJoin", 0, 0 };
    static const QUParameter param_slot_2[] = {
	{ "row", &static_QUType_int, 0, QUParameter::In },
	{ "col", &static_QUType_int, 0, QUParameter::In },
	{ "button", &static_QUType_int, 0, QUParameter::In },
	{ "mousePos", &static_QUType_varptr, "\x0e", QUParameter::In }
    };
    static const QUMethod slot_2 = {"slotClick", 4, param_slot_2 };
    static const QUParameter param_slot_3[] = {
	{ "row", &static_QUType_int, 0, QUParameter::In },
	{ "col", &static_QUType_int, 0, QUParameter::In },
	{ "button", &static_QUType_int, 0, QUParameter::In },
	{ "mousePos", &static_QUType_varptr, "\x0e", QUParameter::In }
    };
    static const QUMethod slot_3 = {"slotDoubleClick", 4, param_slot_3 };
    static const QUMethod slot_4 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "slotQuery()", &slot_0, QMetaData::Public },
	{ "slotJoin()", &slot_1, QMetaData::Public },
	{ "slotClick(int,int,int,const QPoint&)", &slot_2, QMetaData::Public },
	{ "slotDoubleClick(int,int,int,const QPoint&)", &slot_3, QMetaData::Public },
	{ "languageChange()", &slot_4, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"dlgChatRoomsList", parentObject,
	slot_tbl, 5,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_dlgChatRoomsList.setMetaObject( metaObj );
    return metaObj;
}

void* dlgChatRoomsList::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "dlgChatRoomsList" ) )
	return this;
    return KDialog::qt_cast( clname );
}

bool dlgChatRoomsList::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: slotQuery(); break;
    case 1: slotJoin(); break;
    case 2: slotClick((int)static_QUType_int.get(_o+1),(int)static_QUType_int.get(_o+2),(int)static_QUType_int.get(_o+3),(const QPoint&)*((const QPoint*)static_QUType_ptr.get(_o+4))); break;
    case 3: slotDoubleClick((int)static_QUType_int.get(_o+1),(int)static_QUType_int.get(_o+2),(int)static_QUType_int.get(_o+3),(const QPoint&)*((const QPoint*)static_QUType_ptr.get(_o+4))); break;
    case 4: languageChange(); break;
    default:
	return KDialog::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool dlgChatRoomsList::qt_emit( int _id, QUObject* _o )
{
    return KDialog::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool dlgChatRoomsList::qt_property( int id, int f, QVariant* v)
{
    return KDialog::qt_property( id, f, v);
}

bool dlgChatRoomsList::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
