#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'dlgsendraw.ui'
**
** Created: 2015-12-18T10:26:51
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "dlgsendraw.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qtextedit.h>
#include <qcombobox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a DlgSendRaw as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
DlgSendRaw::DlgSendRaw( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "DlgSendRaw" );
    DlgSendRawLayout = new QVBoxLayout( this, 11, 6, "DlgSendRawLayout"); 

    layout4 = new QVBoxLayout( 0, 0, 6, "layout4"); 

    lblInfo = new QLabel( this, "lblInfo" );
    lblInfo->setPaletteForegroundColor( QColor( 0, 0, 0 ) );
    layout4->addWidget( lblInfo );

    tePacket = new QTextEdit( this, "tePacket" );
    layout4->addWidget( tePacket );

    inputWidget = new QComboBox( FALSE, this, "inputWidget" );
    layout4->addWidget( inputWidget );

    layout3 = new QHBoxLayout( 0, 0, 6, "layout3"); 

    btnClear = new QPushButton( this, "btnClear" );
    layout3->addWidget( btnClear );

    btnSend = new QPushButton( this, "btnSend" );
    layout3->addWidget( btnSend );
    spacer2 = new QSpacerItem( 16, 25, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout3->addItem( spacer2 );

    btnClose = new QPushButton( this, "btnClose" );
    layout3->addWidget( btnClose );
    layout4->addLayout( layout3 );
    DlgSendRawLayout->addLayout( layout4 );
    languageChange();
    resize( QSize(519, 233).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
DlgSendRaw::~DlgSendRaw()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void DlgSendRaw::languageChange()
{
    setCaption( tr2i18n( "Send Raw XML Packet" ) );
    lblInfo->setText( tr2i18n( "Type in the packet that should be sent to the server:" ) );
    inputWidget->clear();
    inputWidget->insertItem( tr2i18n( "User Defined" ) );
    inputWidget->insertItem( tr2i18n( "Account Deletion" ) );
    inputWidget->insertItem( tr2i18n( "Availability Status" ) );
    inputWidget->insertItem( tr2i18n( "Last Active Time" ) );
    inputWidget->insertItem( tr2i18n( "Message with Body" ) );
    inputWidget->insertItem( tr2i18n( "Message with Subject" ) );
    inputWidget->insertItem( tr2i18n( "Add Roster Item" ) );
    inputWidget->insertItem( tr2i18n( "Delete Roster Item" ) );
    inputWidget->insertItem( tr2i18n( "Subscription" ) );
    btnClear->setText( tr2i18n( "Clea&r" ) );
    btnSend->setText( tr2i18n( "&Send" ) );
    btnClose->setText( tr2i18n( "&Close" ) );
}

/****************************************************************************
** DlgSendRaw meta object code from reading C++ file 'dlgsendraw.h'
**
** Created: Fri Dec 18 10:26:51 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "dlgsendraw.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *DlgSendRaw::className() const
{
    return "DlgSendRaw";
}

QMetaObject *DlgSendRaw::metaObj = 0;
static QMetaObjectCleanUp cleanUp_DlgSendRaw( "DlgSendRaw", &DlgSendRaw::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString DlgSendRaw::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "DlgSendRaw", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString DlgSendRaw::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "DlgSendRaw", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* DlgSendRaw::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QDialog::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"DlgSendRaw", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_DlgSendRaw.setMetaObject( metaObj );
    return metaObj;
}

void* DlgSendRaw::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "DlgSendRaw" ) )
	return this;
    return QDialog::qt_cast( clname );
}

bool DlgSendRaw::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QDialog::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool DlgSendRaw::qt_emit( int _id, QUObject* _o )
{
    return QDialog::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool DlgSendRaw::qt_property( int id, int f, QVariant* v)
{
    return QDialog::qt_property( id, f, v);
}

bool DlgSendRaw::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
