#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'dlgservices.ui'
**
** Created: 2015-12-18T10:26:51
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "dlgservices.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qheader.h>
#include <qlistview.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a dlgServices as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
dlgServices::dlgServices( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "dlgServices" );
    setSizeGripEnabled( FALSE );
    dlgServicesLayout = new QVBoxLayout( this, 11, 6, "dlgServicesLayout"); 

    layout2 = new QHBoxLayout( 0, 0, 6, "layout2"); 

    lblServer = new QLabel( this, "lblServer" );
    lblServer->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)1, 0, 0, lblServer->sizePolicy().hasHeightForWidth() ) );
    layout2->addWidget( lblServer );

    leServer = new QLineEdit( this, "leServer" );
    leServer->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)1, 0, 0, leServer->sizePolicy().hasHeightForWidth() ) );
    layout2->addWidget( leServer );

    btnQuery = new QPushButton( this, "btnQuery" );
    btnQuery->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)1, 0, 0, btnQuery->sizePolicy().hasHeightForWidth() ) );
    btnQuery->setAutoDefault( TRUE );
    btnQuery->setDefault( TRUE );
    layout2->addWidget( btnQuery );
    dlgServicesLayout->addLayout( layout2 );

    lvServices = new QListView( this, "lvServices" );
    lvServices->addColumn( tr2i18n( "Jid" ) );
    lvServices->addColumn( tr2i18n( "Name" ) );
    dlgServicesLayout->addWidget( lvServices );

    layout1 = new QHBoxLayout( 0, 0, 6, "layout1"); 
    spacer1 = new QSpacerItem( 111, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout1->addItem( spacer1 );

    btnRegister = new QPushButton( this, "btnRegister" );
    btnRegister->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)1, 0, 0, btnRegister->sizePolicy().hasHeightForWidth() ) );
    layout1->addWidget( btnRegister );

    btnBrowse = new QPushButton( this, "btnBrowse" );
    btnBrowse->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)1, 0, 0, btnBrowse->sizePolicy().hasHeightForWidth() ) );
    layout1->addWidget( btnBrowse );

    btnClose = new QPushButton( this, "btnClose" );
    btnClose->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)1, 0, 0, btnClose->sizePolicy().hasHeightForWidth() ) );
    layout1->addWidget( btnClose );
    dlgServicesLayout->addLayout( layout1 );
    languageChange();
    resize( QSize(446, 292).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( btnClose, SIGNAL( clicked() ), this, SLOT( close() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
dlgServices::~dlgServices()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void dlgServices::languageChange()
{
    setCaption( tr2i18n( "Jabber Service Management" ) );
    lblServer->setText( tr2i18n( "Server:" ) );
    btnQuery->setText( tr2i18n( "&Query Server" ) );
    lvServices->header()->setLabel( 0, tr2i18n( "Jid" ) );
    lvServices->header()->setLabel( 1, tr2i18n( "Name" ) );
    btnRegister->setText( tr2i18n( "&Register" ) );
    btnBrowse->setText( tr2i18n( "&Browse" ) );
    btnClose->setText( tr2i18n( "&Close" ) );
}

/****************************************************************************
** dlgServices meta object code from reading C++ file 'dlgservices.h'
**
** Created: Fri Dec 18 10:26:51 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "dlgservices.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *dlgServices::className() const
{
    return "dlgServices";
}

QMetaObject *dlgServices::metaObj = 0;
static QMetaObjectCleanUp cleanUp_dlgServices( "dlgServices", &dlgServices::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString dlgServices::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "dlgServices", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString dlgServices::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "dlgServices", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* dlgServices::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QDialog::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"dlgServices", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_dlgServices.setMetaObject( metaObj );
    return metaObj;
}

void* dlgServices::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "dlgServices" ) )
	return this;
    return QDialog::qt_cast( clname );
}

bool dlgServices::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QDialog::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool dlgServices::qt_emit( int _id, QUObject* _o )
{
    return QDialog::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool dlgServices::qt_property( int id, int f, QVariant* v)
{
    return QDialog::qt_property( id, f, v);
}

bool dlgServices::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
