#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'aiminfobase.ui'
**
** Created: 2015-12-18T10:24:17
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "aiminfobase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <ktextbrowser.h>
#include <qframe.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a AIMUserInfoWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
AIMUserInfoWidget::AIMUserInfoWidget( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "AIMUserInfoWidget" );
    setMinimumSize( QSize( 360, 400 ) );
    AIMUserInfoWidgetLayout = new QVBoxLayout( this, 0, 6, "AIMUserInfoWidgetLayout"); 

    layout9 = new QHBoxLayout( 0, 0, 6, "layout9"); 

    lblNickName = new QLabel( this, "lblNickName" );
    lblNickName->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)4, (QSizePolicy::SizeType)4, 0, 0, lblNickName->sizePolicy().hasHeightForWidth() ) );
    layout9->addWidget( lblNickName );

    txtNickName = new QLineEdit( this, "txtNickName" );
    txtNickName->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, txtNickName->sizePolicy().hasHeightForWidth() ) );
    layout9->addWidget( txtNickName );

    lblScreenName = new QLabel( this, "lblScreenName" );
    lblScreenName->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)4, (QSizePolicy::SizeType)4, 0, 0, lblScreenName->sizePolicy().hasHeightForWidth() ) );
    layout9->addWidget( lblScreenName );

    txtScreenName = new QLineEdit( this, "txtScreenName" );
    txtScreenName->setReadOnly( TRUE );
    layout9->addWidget( txtScreenName );
    AIMUserInfoWidgetLayout->addLayout( layout9 );

    layout10 = new QHBoxLayout( 0, 0, 6, "layout10"); 

    lblWarnLevel = new QLabel( this, "lblWarnLevel" );
    layout10->addWidget( lblWarnLevel );

    txtWarnLevel = new QLineEdit( this, "txtWarnLevel" );
    txtWarnLevel->setReadOnly( TRUE );
    layout10->addWidget( txtWarnLevel );

    lblIdleTime = new QLabel( this, "lblIdleTime" );
    layout10->addWidget( lblIdleTime );

    txtIdleTime = new QLineEdit( this, "txtIdleTime" );
    txtIdleTime->setReadOnly( TRUE );
    layout10->addWidget( txtIdleTime );
    AIMUserInfoWidgetLayout->addLayout( layout10 );

    layout11 = new QHBoxLayout( 0, 0, 6, "layout11"); 

    lblOnlineSince = new QLabel( this, "lblOnlineSince" );
    layout11->addWidget( lblOnlineSince );

    txtOnlineSince = new QLineEdit( this, "txtOnlineSince" );
    txtOnlineSince->setReadOnly( TRUE );
    layout11->addWidget( txtOnlineSince );
    AIMUserInfoWidgetLayout->addLayout( layout11 );

    lblAwayMessage = new QLabel( this, "lblAwayMessage" );
    lblAwayMessage->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)1, 0, 0, lblAwayMessage->sizePolicy().hasHeightForWidth() ) );
    lblAwayMessage->setAlignment( int( QLabel::AlignTop ) );
    AIMUserInfoWidgetLayout->addWidget( lblAwayMessage );

    txtAwayMessage = new KTextBrowser( this, "txtAwayMessage" );
    txtAwayMessage->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)5, 0, 0, txtAwayMessage->sizePolicy().hasHeightForWidth() ) );
    txtAwayMessage->setTextFormat( KTextBrowser::AutoText );
    AIMUserInfoWidgetLayout->addWidget( txtAwayMessage );

    textLabel1 = new QLabel( this, "textLabel1" );
    AIMUserInfoWidgetLayout->addWidget( textLabel1 );

    userInfoFrame = new QFrame( this, "userInfoFrame" );
    userInfoFrame->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, 0, 0, userInfoFrame->sizePolicy().hasHeightForWidth() ) );
    userInfoFrame->setMinimumSize( QSize( 64, 16 ) );
    userInfoFrame->setFrameShape( QFrame::NoFrame );
    userInfoFrame->setFrameShadow( QFrame::Plain );
    userInfoFrame->setLineWidth( 0 );
    AIMUserInfoWidgetLayout->addWidget( userInfoFrame );
    languageChange();
    resize( QSize(360, 408).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( txtNickName, txtScreenName );
    setTabOrder( txtScreenName, txtWarnLevel );
    setTabOrder( txtWarnLevel, txtIdleTime );
    setTabOrder( txtIdleTime, txtOnlineSince );
    setTabOrder( txtOnlineSince, txtAwayMessage );
}

/*
 *  Destroys the object and frees any allocated resources
 */
AIMUserInfoWidget::~AIMUserInfoWidget()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void AIMUserInfoWidget::languageChange()
{
    lblNickName->setText( tr2i18n( "Nickname:" ) );
    lblScreenName->setText( tr2i18n( "Screen name:" ) );
    lblWarnLevel->setText( tr2i18n( "Warning level:" ) );
    lblIdleTime->setText( tr2i18n( "Idle minutes:" ) );
    lblOnlineSince->setText( tr2i18n( "Online since:" ) );
    lblAwayMessage->setText( tr2i18n( "Away message:" ) );
    textLabel1->setText( tr2i18n( "Profile:" ) );
}

/****************************************************************************
** AIMUserInfoWidget meta object code from reading C++ file 'aiminfobase.h'
**
** Created: Fri Dec 18 10:24:17 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "aiminfobase.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *AIMUserInfoWidget::className() const
{
    return "AIMUserInfoWidget";
}

QMetaObject *AIMUserInfoWidget::metaObj = 0;
static QMetaObjectCleanUp cleanUp_AIMUserInfoWidget( "AIMUserInfoWidget", &AIMUserInfoWidget::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString AIMUserInfoWidget::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "AIMUserInfoWidget", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString AIMUserInfoWidget::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "AIMUserInfoWidget", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* AIMUserInfoWidget::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"AIMUserInfoWidget", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_AIMUserInfoWidget.setMetaObject( metaObj );
    return metaObj;
}

void* AIMUserInfoWidget::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "AIMUserInfoWidget" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool AIMUserInfoWidget::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool AIMUserInfoWidget::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool AIMUserInfoWidget::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool AIMUserInfoWidget::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
