#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'wpuserinfowidget.ui'
**
** Created: 2015-12-18T10:25:59
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "wpuserinfowidget.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <klineedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a WPUserInfoWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
WPUserInfoWidget::WPUserInfoWidget( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "WPUserInfoWidget" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)5, 0, 0, sizePolicy().hasHeightForWidth() ) );
    WPUserInfoWidgetLayout = new QGridLayout( this, 1, 1, 0, 6, "WPUserInfoWidgetLayout"); 

    layout6 = new QHBoxLayout( 0, 0, 6, "layout6"); 

    layout5 = new QVBoxLayout( 0, 0, 6, "layout5"); 

    lblComputerName = new QLabel( this, "lblComputerName" );
    layout5->addWidget( lblComputerName );

    textLabel2_2 = new QLabel( this, "textLabel2_2" );
    layout5->addWidget( textLabel2_2 );

    textLabel2 = new QLabel( this, "textLabel2" );
    layout5->addWidget( textLabel2 );

    textLabel3 = new QLabel( this, "textLabel3" );
    layout5->addWidget( textLabel3 );

    textLabel1 = new QLabel( this, "textLabel1" );
    layout5->addWidget( textLabel1 );
    layout6->addLayout( layout5 );

    layout4 = new QVBoxLayout( 0, 0, 6, "layout4"); 

    sComputerName = new KLineEdit( this, "sComputerName" );
    sComputerName->setReadOnly( TRUE );
    layout4->addWidget( sComputerName );

    sComment = new KLineEdit( this, "sComment" );
    sComment->setReadOnly( TRUE );
    layout4->addWidget( sComment );

    sWorkgroup = new KLineEdit( this, "sWorkgroup" );
    sWorkgroup->setReadOnly( TRUE );
    layout4->addWidget( sWorkgroup );

    sOS = new KLineEdit( this, "sOS" );
    sOS->setReadOnly( TRUE );
    layout4->addWidget( sOS );

    sServer = new KLineEdit( this, "sServer" );
    sServer->setReadOnly( TRUE );
    layout4->addWidget( sServer );
    layout6->addLayout( layout4 );

    WPUserInfoWidgetLayout->addLayout( layout6, 0, 0 );
    languageChange();
    resize( QSize(402, 175).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( sComputerName, sWorkgroup );
    setTabOrder( sWorkgroup, sOS );
    setTabOrder( sOS, sServer );

    // buddies
    lblComputerName->setBuddy( sComputerName );
    textLabel2->setBuddy( sWorkgroup );
    textLabel3->setBuddy( sOS );
    textLabel1->setBuddy( sServer );
}

/*
 *  Destroys the object and frees any allocated resources
 */
WPUserInfoWidget::~WPUserInfoWidget()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void WPUserInfoWidget::languageChange()
{
    lblComputerName->setText( tr2i18n( "&Computer name:" ) );
    QToolTip::add( lblComputerName, tr2i18n( "The hostname of the computer for this contact." ) );
    QWhatsThis::add( lblComputerName, tr2i18n( "The hostname of the computer for this contact." ) );
    textLabel2_2->setText( tr2i18n( "Comment:" ) );
    textLabel2->setText( tr2i18n( "&Workgroup/domain:" ) );
    QToolTip::add( textLabel2, tr2i18n( "The workgroup or domain the contact's computer is on." ) );
    QWhatsThis::add( textLabel2, tr2i18n( "The workgroup or domain the contact's computer is on." ) );
    textLabel3->setText( tr2i18n( "Operating s&ystem:" ) );
    QToolTip::add( textLabel3, tr2i18n( "The operating system the contact's computer is running." ) );
    QWhatsThis::add( textLabel3, tr2i18n( "The operating system the contact's computer is running." ) );
    textLabel1->setText( tr2i18n( "Ser&ver software:" ) );
    QToolTip::add( textLabel1, tr2i18n( "The software the contact's computer is running." ) );
    QWhatsThis::add( textLabel1, tr2i18n( "The software the contact's computer is running." ) );
    QToolTip::add( sComputerName, tr2i18n( "The hostname of the computer for this contact." ) );
    QWhatsThis::add( sComputerName, tr2i18n( "The hostname of the computer for this contact." ) );
    QToolTip::add( sComment, tr2i18n( "The comment of the computer for this contact." ) );
    QWhatsThis::add( sComment, tr2i18n( "The comment of the computer for this contact." ) );
    QToolTip::add( sWorkgroup, tr2i18n( "The workgroup or domain the contact's computer is on." ) );
    QWhatsThis::add( sWorkgroup, tr2i18n( "The workgroup or domain the contact's computer is on." ) );
    QToolTip::add( sOS, tr2i18n( "The operating system the contact's computer is running." ) );
    QWhatsThis::add( sOS, tr2i18n( "The operating system the contact's computer is running." ) );
    QToolTip::add( sServer, tr2i18n( "The software the contact's computer is running." ) );
    QWhatsThis::add( sServer, tr2i18n( "The software the contact's computer is running." ) );
}

/****************************************************************************
** WPUserInfoWidget meta object code from reading C++ file 'wpuserinfowidget.h'
**
** Created: Fri Dec 18 10:25:59 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "wpuserinfowidget.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *WPUserInfoWidget::className() const
{
    return "WPUserInfoWidget";
}

QMetaObject *WPUserInfoWidget::metaObj = 0;
static QMetaObjectCleanUp cleanUp_WPUserInfoWidget( "WPUserInfoWidget", &WPUserInfoWidget::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString WPUserInfoWidget::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "WPUserInfoWidget", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString WPUserInfoWidget::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "WPUserInfoWidget", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* WPUserInfoWidget::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"WPUserInfoWidget", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_WPUserInfoWidget.setMetaObject( metaObj );
    return metaObj;
}

void* WPUserInfoWidget::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "WPUserInfoWidget" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool WPUserInfoWidget::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool WPUserInfoWidget::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool WPUserInfoWidget::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool WPUserInfoWidget::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
