#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'yahooinvitelistbase.ui'
**
** Created: 2015-12-18T10:25:30
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "yahooinvitelistbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qlistbox.h>
#include <qlineedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a YahooInviteListBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
YahooInviteListBase::YahooInviteListBase( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "YahooInviteListBase" );
    YahooInviteListBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "YahooInviteListBaseLayout"); 

    layout19 = new QVBoxLayout( 0, 0, 6, "layout19"); 

    groupBox3 = new QGroupBox( this, "groupBox3" );
    groupBox3->setColumnLayout(0, Qt::Vertical );
    groupBox3->layout()->setSpacing( 6 );
    groupBox3->layout()->setMargin( 11 );
    groupBox3Layout = new QGridLayout( groupBox3->layout() );
    groupBox3Layout->setAlignment( Qt::AlignTop );

    layout5 = new QVBoxLayout( 0, 0, 6, "layout5"); 

    textLabel2 = new QLabel( groupBox3, "textLabel2" );
    layout5->addWidget( textLabel2 );

    listFriends = new QListBox( groupBox3, "listFriends" );
    listFriends->setMinimumSize( QSize( 0, 180 ) );
    layout5->addWidget( listFriends );

    groupBox3Layout->addLayout( layout5, 0, 0 );

    layout4 = new QVBoxLayout( 0, 0, 6, "layout4"); 

    textLabel2_2 = new QLabel( groupBox3, "textLabel2_2" );
    layout4->addWidget( textLabel2_2 );

    listInvited = new QListBox( groupBox3, "listInvited" );
    listInvited->setMinimumSize( QSize( 0, 150 ) );
    layout4->addWidget( listInvited );

    layout2 = new QHBoxLayout( 0, 0, 6, "layout2"); 

    editBuddyAdd = new QLineEdit( groupBox3, "editBuddyAdd" );
    layout2->addWidget( editBuddyAdd );

    btnCustomAdd = new QPushButton( groupBox3, "btnCustomAdd" );
    layout2->addWidget( btnCustomAdd );
    layout4->addLayout( layout2 );

    groupBox3Layout->addLayout( layout4, 0, 2 );

    layout10 = new QVBoxLayout( 0, 0, 6, "layout10"); 
    spacer1_2 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout10->addItem( spacer1_2 );

    btn_Add = new QPushButton( groupBox3, "btn_Add" );
    layout10->addWidget( btn_Add );

    btn_Remove = new QPushButton( groupBox3, "btn_Remove" );
    layout10->addWidget( btn_Remove );
    spacer1 = new QSpacerItem( 20, 90, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout10->addItem( spacer1 );

    groupBox3Layout->addLayout( layout10, 0, 1 );
    layout19->addWidget( groupBox3 );

    layout14 = new QHBoxLayout( 0, 0, 6, "layout14"); 

    txtInvMsg = new QLabel( this, "txtInvMsg" );
    layout14->addWidget( txtInvMsg );
    spacer4 = new QSpacerItem( 20, 21, QSizePolicy::Fixed, QSizePolicy::Minimum );
    layout14->addItem( spacer4 );

    editMessage = new QLineEdit( this, "editMessage" );
    layout14->addWidget( editMessage );
    layout19->addLayout( layout14 );

    layout18 = new QHBoxLayout( 0, 0, 6, "layout18"); 

    btnCancel = new QPushButton( this, "btnCancel" );
    btnCancel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, btnCancel->sizePolicy().hasHeightForWidth() ) );
    layout18->addWidget( btnCancel );
    spacer5 = new QSpacerItem( 350, 31, QSizePolicy::Maximum, QSizePolicy::Minimum );
    layout18->addItem( spacer5 );

    btnInvite = new QPushButton( this, "btnInvite" );
    btnInvite->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, btnInvite->sizePolicy().hasHeightForWidth() ) );
    layout18->addWidget( btnInvite );
    layout19->addLayout( layout18 );

    YahooInviteListBaseLayout->addLayout( layout19, 0, 0 );
    languageChange();
    resize( QSize(529, 418).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( btnCancel, SIGNAL( clicked() ), this, SLOT( btnCancel_clicked() ) );
    connect( btnCustomAdd, SIGNAL( clicked() ), this, SLOT( btnAddCustom_clicked() ) );
    connect( btnInvite, SIGNAL( clicked() ), this, SLOT( btnInvite_clicked() ) );
    connect( btn_Add, SIGNAL( clicked() ), this, SLOT( btnAdd_clicked() ) );
    connect( btn_Remove, SIGNAL( clicked() ), this, SLOT( btnRemove_clicked() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
YahooInviteListBase::~YahooInviteListBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void YahooInviteListBase::languageChange()
{
    setCaption( tr2i18n( "Invite Friends to Conference" ) );
    groupBox3->setTitle( tr2i18n( "Conference Members" ) );
    textLabel2->setText( tr2i18n( "Friend List" ) );
    listFriends->clear();
    listFriends->insertItem( tr2i18n( "New Item" ) );
    textLabel2_2->setText( tr2i18n( "Chat Invitation List" ) );
    listInvited->clear();
    listInvited->insertItem( tr2i18n( "New Item" ) );
    btnCustomAdd->setText( tr2i18n( "Add" ) );
    btn_Add->setText( tr2i18n( "Add >>" ) );
    btn_Remove->setText( tr2i18n( "<< Remove" ) );
    txtInvMsg->setText( tr2i18n( "Invitation Message" ) );
    btnCancel->setText( tr2i18n( "Cancel" ) );
    btnInvite->setText( tr2i18n( "Invite" ) );
}

void YahooInviteListBase::btnAdd_clicked()
{
    qWarning( "YahooInviteListBase::btnAdd_clicked(): Not implemented yet" );
}

void YahooInviteListBase::btnRemove_clicked()
{
    qWarning( "YahooInviteListBase::btnRemove_clicked(): Not implemented yet" );
}

void YahooInviteListBase::btnAddCustom_clicked()
{
    qWarning( "YahooInviteListBase::btnAddCustom_clicked(): Not implemented yet" );
}

void YahooInviteListBase::btnCancel_clicked()
{
    qWarning( "YahooInviteListBase::btnCancel_clicked(): Not implemented yet" );
}

void YahooInviteListBase::btnInvite_clicked()
{
    qWarning( "YahooInviteListBase::btnInvite_clicked(): Not implemented yet" );
}

/****************************************************************************
** YahooInviteListBase meta object code from reading C++ file 'yahooinvitelistbase.h'
**
** Created: Fri Dec 18 10:25:30 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "yahooinvitelistbase.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *YahooInviteListBase::className() const
{
    return "YahooInviteListBase";
}

QMetaObject *YahooInviteListBase::metaObj = 0;
static QMetaObjectCleanUp cleanUp_YahooInviteListBase( "YahooInviteListBase", &YahooInviteListBase::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString YahooInviteListBase::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "YahooInviteListBase", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString YahooInviteListBase::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "YahooInviteListBase", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* YahooInviteListBase::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QDialog::staticMetaObject();
    static const QUMethod slot_0 = {"btnAdd_clicked", 0, 0 };
    static const QUMethod slot_1 = {"btnRemove_clicked", 0, 0 };
    static const QUMethod slot_2 = {"btnAddCustom_clicked", 0, 0 };
    static const QUMethod slot_3 = {"btnCancel_clicked", 0, 0 };
    static const QUMethod slot_4 = {"btnInvite_clicked", 0, 0 };
    static const QUMethod slot_5 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "btnAdd_clicked()", &slot_0, QMetaData::Public },
	{ "btnRemove_clicked()", &slot_1, QMetaData::Public },
	{ "btnAddCustom_clicked()", &slot_2, QMetaData::Public },
	{ "btnCancel_clicked()", &slot_3, QMetaData::Public },
	{ "btnInvite_clicked()", &slot_4, QMetaData::Public },
	{ "languageChange()", &slot_5, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"YahooInviteListBase", parentObject,
	slot_tbl, 6,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_YahooInviteListBase.setMetaObject( metaObj );
    return metaObj;
}

void* YahooInviteListBase::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "YahooInviteListBase" ) )
	return this;
    return QDialog::qt_cast( clname );
}

bool YahooInviteListBase::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: btnAdd_clicked(); break;
    case 1: btnRemove_clicked(); break;
    case 2: btnAddCustom_clicked(); break;
    case 3: btnCancel_clicked(); break;
    case 4: btnInvite_clicked(); break;
    case 5: languageChange(); break;
    default:
	return QDialog::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool YahooInviteListBase::qt_emit( int _id, QUObject* _o )
{
    return QDialog::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool YahooInviteListBase::qt_property( int id, int f, QVariant* v)
{
    return QDialog::qt_property( id, f, v);
}

bool YahooInviteListBase::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
