#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'yahooworkinfowidget.ui'
**
** Created: 2015-12-18T10:25:31
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "yahooworkinfowidget.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qbuttongroup.h>
#include <qtextedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a YahooWorkInfoWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
YahooWorkInfoWidget::YahooWorkInfoWidget( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "YahooWorkInfoWidget" );
    YahooWorkInfoWidgetLayout = new QGridLayout( this, 1, 1, 11, 6, "YahooWorkInfoWidgetLayout"); 

    groupBox2 = new QGroupBox( this, "groupBox2" );
    groupBox2->setColumnLayout(0, Qt::Vertical );
    groupBox2->layout()->setSpacing( 6 );
    groupBox2->layout()->setMargin( 11 );
    groupBox2Layout = new QGridLayout( groupBox2->layout() );
    groupBox2Layout->setAlignment( Qt::AlignTop );

    textLabel10 = new QLabel( groupBox2, "textLabel10" );

    groupBox2Layout->addWidget( textLabel10, 1, 0 );

    phoneEdit = new QLineEdit( groupBox2, "phoneEdit" );
    phoneEdit->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, phoneEdit->sizePolicy().hasHeightForWidth() ) );
    phoneEdit->setReadOnly( FALSE );

    groupBox2Layout->addWidget( phoneEdit, 1, 1 );

    YahooWorkInfoWidgetLayout->addWidget( groupBox2, 0, 0 );

    buttonGroup1 = new QButtonGroup( this, "buttonGroup1" );
    buttonGroup1->setColumnLayout(0, Qt::Vertical );
    buttonGroup1->layout()->setSpacing( 6 );
    buttonGroup1->layout()->setMargin( 11 );
    buttonGroup1Layout = new QGridLayout( buttonGroup1->layout() );
    buttonGroup1Layout->setAlignment( Qt::AlignTop );

    textLabel1 = new QLabel( buttonGroup1, "textLabel1" );

    buttonGroup1Layout->addWidget( textLabel1, 0, 0 );

    textLabel8 = new QLabel( buttonGroup1, "textLabel8" );

    buttonGroup1Layout->addWidget( textLabel8, 1, 0 );

    companyEdit = new QLineEdit( buttonGroup1, "companyEdit" );
    companyEdit->setReadOnly( FALSE );

    buttonGroup1Layout->addWidget( companyEdit, 0, 1 );

    homepageEdit = new QLineEdit( buttonGroup1, "homepageEdit" );
    homepageEdit->setReadOnly( FALSE );

    buttonGroup1Layout->addWidget( homepageEdit, 1, 1 );

    textLabel9 = new QLabel( buttonGroup1, "textLabel9" );
    textLabel9->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, textLabel9->sizePolicy().hasHeightForWidth() ) );

    buttonGroup1Layout->addWidget( textLabel9, 7, 0 );

    countryEdit = new QLineEdit( buttonGroup1, "countryEdit" );
    countryEdit->setReadOnly( FALSE );

    buttonGroup1Layout->addWidget( countryEdit, 7, 1 );

    addressEdit = new QTextEdit( buttonGroup1, "addressEdit" );

    buttonGroup1Layout->addMultiCellWidget( addressEdit, 2, 3, 1, 1 );

    textLabel2 = new QLabel( buttonGroup1, "textLabel2" );

    buttonGroup1Layout->addWidget( textLabel2, 2, 0 );
    spacer9 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    buttonGroup1Layout->addItem( spacer9, 3, 0 );

    cityEdit = new QLineEdit( buttonGroup1, "cityEdit" );
    cityEdit->setReadOnly( FALSE );

    buttonGroup1Layout->addWidget( cityEdit, 5, 1 );

    stateEdit = new QLineEdit( buttonGroup1, "stateEdit" );
    stateEdit->setReadOnly( FALSE );

    buttonGroup1Layout->addWidget( stateEdit, 6, 1 );

    textLabel5 = new QLabel( buttonGroup1, "textLabel5" );

    buttonGroup1Layout->addWidget( textLabel5, 6, 0 );

    textLabel3 = new QLabel( buttonGroup1, "textLabel3" );

    buttonGroup1Layout->addWidget( textLabel3, 5, 0 );

    textLabel4 = new QLabel( buttonGroup1, "textLabel4" );

    buttonGroup1Layout->addWidget( textLabel4, 4, 0 );

    zipEdit = new QLineEdit( buttonGroup1, "zipEdit" );
    zipEdit->setReadOnly( FALSE );

    buttonGroup1Layout->addWidget( zipEdit, 4, 1 );

    YahooWorkInfoWidgetLayout->addWidget( buttonGroup1, 1, 0 );
    spacer2 = new QSpacerItem( 20, 150, QSizePolicy::Minimum, QSizePolicy::Expanding );
    YahooWorkInfoWidgetLayout->addItem( spacer2, 2, 0 );
    languageChange();
    resize( QSize(328, 681).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( phoneEdit, companyEdit );
    setTabOrder( companyEdit, homepageEdit );
    setTabOrder( homepageEdit, addressEdit );
    setTabOrder( addressEdit, zipEdit );
    setTabOrder( zipEdit, cityEdit );
    setTabOrder( cityEdit, stateEdit );
    setTabOrder( stateEdit, countryEdit );
}

/*
 *  Destroys the object and frees any allocated resources
 */
YahooWorkInfoWidget::~YahooWorkInfoWidget()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void YahooWorkInfoWidget::languageChange()
{
    groupBox2->setTitle( tr2i18n( "Personal Work Information" ) );
    textLabel10->setText( tr2i18n( "Phone:" ) );
    buttonGroup1->setTitle( tr2i18n( "Company Location Information" ) );
    textLabel1->setText( tr2i18n( "Name:" ) );
    textLabel8->setText( tr2i18n( "Homepage:" ) );
    textLabel9->setText( tr2i18n( "Country:" ) );
    textLabel2->setText( tr2i18n( "Address:" ) );
    textLabel5->setText( tr2i18n( "State:" ) );
    textLabel3->setText( tr2i18n( "City:" ) );
    textLabel4->setText( tr2i18n( "Zip:" ) );
}

/****************************************************************************
** YahooWorkInfoWidget meta object code from reading C++ file 'yahooworkinfowidget.h'
**
** Created: Fri Dec 18 10:25:31 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "yahooworkinfowidget.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *YahooWorkInfoWidget::className() const
{
    return "YahooWorkInfoWidget";
}

QMetaObject *YahooWorkInfoWidget::metaObj = 0;
static QMetaObjectCleanUp cleanUp_YahooWorkInfoWidget( "YahooWorkInfoWidget", &YahooWorkInfoWidget::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString YahooWorkInfoWidget::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "YahooWorkInfoWidget", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString YahooWorkInfoWidget::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "YahooWorkInfoWidget", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* YahooWorkInfoWidget::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"YahooWorkInfoWidget", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_YahooWorkInfoWidget.setMetaObject( metaObj );
    return metaObj;
}

void* YahooWorkInfoWidget::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "YahooWorkInfoWidget" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool YahooWorkInfoWidget::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool YahooWorkInfoWidget::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool YahooWorkInfoWidget::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool YahooWorkInfoWidget::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
