#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'appearanceconfig_contactlist.ui'
**
** Created: 2015-12-18T10:20:24
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "appearanceconfig_contactlist.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qcheckbox.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <kurlrequester.h>
#include <qspinbox.h>
#include <qlabel.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a AppearanceConfig_ContactList as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
AppearanceConfig_ContactList::AppearanceConfig_ContactList( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "AppearanceConfig_ContactList" );
    AppearanceConfig_ContactListLayout = new QVBoxLayout( this, 11, 6, "AppearanceConfig_ContactListLayout"); 

    layout4 = new QHBoxLayout( 0, 0, 6, "layout4"); 

    groupBox1 = new QGroupBox( this, "groupBox1" );
    groupBox1->setColumnLayout(0, Qt::Vertical );
    groupBox1->layout()->setSpacing( 6 );
    groupBox1->layout()->setMargin( 11 );
    groupBox1Layout = new QVBoxLayout( groupBox1->layout() );
    groupBox1Layout->setAlignment( Qt::AlignTop );

    mSortByGroup = new QCheckBox( groupBox1, "mSortByGroup" );
    groupBox1Layout->addWidget( mSortByGroup );

    mTreeContactList = new QCheckBox( groupBox1, "mTreeContactList" );
    groupBox1Layout->addWidget( mTreeContactList );

    layout3 = new QHBoxLayout( 0, 0, 6, "layout3"); 
    spacer3_2 = new QSpacerItem( 16, 16, QSizePolicy::Fixed, QSizePolicy::Minimum );
    layout3->addItem( spacer3_2 );

    mIndentContacts = new QCheckBox( groupBox1, "mIndentContacts" );
    layout3->addWidget( mIndentContacts );
    groupBox1Layout->addLayout( layout3 );
    layout4->addWidget( groupBox1 );

    groupBox10 = new QGroupBox( this, "groupBox10" );
    groupBox10->setColumnLayout(0, Qt::Vertical );
    groupBox10->layout()->setSpacing( 6 );
    groupBox10->layout()->setMargin( 11 );
    groupBox10Layout = new QVBoxLayout( groupBox10->layout() );
    groupBox10Layout->setAlignment( Qt::AlignTop );

    mDisplayMode = new QButtonGroup( groupBox10, "mDisplayMode" );
    mDisplayMode->setColumnLayout(0, Qt::Vertical );
    mDisplayMode->layout()->setSpacing( 6 );
    mDisplayMode->layout()->setMargin( 11 );
    mDisplayModeLayout = new QVBoxLayout( mDisplayMode->layout() );
    mDisplayModeLayout->setAlignment( Qt::AlignTop );

    radioButton8 = new QRadioButton( mDisplayMode, "radioButton8" );
    radioButton8->setChecked( TRUE );
    mDisplayModeLayout->addWidget( radioButton8 );

    radioButton9 = new QRadioButton( mDisplayMode, "radioButton9" );
    mDisplayModeLayout->addWidget( radioButton9 );

    radioButton10 = new QRadioButton( mDisplayMode, "radioButton10" );
    mDisplayModeLayout->addWidget( radioButton10 );
    groupBox10Layout->addWidget( mDisplayMode );

    mIconMode = new QCheckBox( groupBox10, "mIconMode" );
    groupBox10Layout->addWidget( mIconMode );
    layout4->addWidget( groupBox10 );
    AppearanceConfig_ContactListLayout->addLayout( layout4 );

    groupBox5 = new QGroupBox( this, "groupBox5" );
    groupBox5->setColumnLayout(0, Qt::Vertical );
    groupBox5->layout()->setSpacing( 6 );
    groupBox5->layout()->setMargin( 11 );
    groupBox5Layout = new QVBoxLayout( groupBox5->layout() );
    groupBox5Layout->setAlignment( Qt::AlignTop );

    mThemeURL = new KURLRequester( groupBox5, "mThemeURL" );
    mThemeURL->setMode( 15 );
    groupBox5Layout->addWidget( mThemeURL );
    AppearanceConfig_ContactListLayout->addWidget( groupBox5 );

    groupBox2 = new QGroupBox( this, "groupBox2" );
    groupBox2->setColumnLayout(0, Qt::Vertical );
    groupBox2->layout()->setSpacing( 6 );
    groupBox2->layout()->setMargin( 11 );
    groupBox2Layout = new QVBoxLayout( groupBox2->layout() );
    groupBox2Layout->setAlignment( Qt::AlignTop );

    mAnimateChanges = new QCheckBox( groupBox2, "mAnimateChanges" );
    groupBox2Layout->addWidget( mAnimateChanges );

    mFadeVisibility = new QCheckBox( groupBox2, "mFadeVisibility" );
    groupBox2Layout->addWidget( mFadeVisibility );

    mFoldVisibility = new QCheckBox( groupBox2, "mFoldVisibility" );
    groupBox2Layout->addWidget( mFoldVisibility );
    AppearanceConfig_ContactListLayout->addWidget( groupBox2 );

    groupBox3 = new QGroupBox( this, "groupBox3" );
    groupBox3->setColumnLayout(0, Qt::Vertical );
    groupBox3->layout()->setSpacing( 6 );
    groupBox3->layout()->setMargin( 11 );
    groupBox3Layout = new QVBoxLayout( groupBox3->layout() );
    groupBox3Layout->setAlignment( Qt::AlignTop );

    mAutoHide = new QCheckBox( groupBox3, "mAutoHide" );
    groupBox3Layout->addWidget( mAutoHide );

    layout2 = new QHBoxLayout( 0, 0, 6, "layout2"); 
    spacer4 = new QSpacerItem( 16, 16, QSizePolicy::Fixed, QSizePolicy::Minimum );
    layout2->addItem( spacer4 );

    mAutoHideTimeout = new QSpinBox( groupBox3, "mAutoHideTimeout" );
    mAutoHideTimeout->setEnabled( TRUE );
    mAutoHideTimeout->setMaxValue( 300 );
    mAutoHideTimeout->setMinValue( 3 );
    mAutoHideTimeout->setValue( 30 );
    layout2->addWidget( mAutoHideTimeout );

    textLabel1 = new QLabel( groupBox3, "textLabel1" );
    textLabel1->setEnabled( TRUE );
    layout2->addWidget( textLabel1 );
    spacer5 = new QSpacerItem( 81, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout2->addItem( spacer5 );
    groupBox3Layout->addLayout( layout2 );
    AppearanceConfig_ContactListLayout->addWidget( groupBox3 );

    layout8 = new QHBoxLayout( 0, 0, 6, "layout8"); 

    mEditTooltips = new QPushButton( this, "mEditTooltips" );
    layout8->addWidget( mEditTooltips );
    spacer3 = new QSpacerItem( 16, 16, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout8->addItem( spacer3 );
    AppearanceConfig_ContactListLayout->addLayout( layout8 );
    spacer15 = new QSpacerItem( 20, 16, QSizePolicy::Minimum, QSizePolicy::Expanding );
    AppearanceConfig_ContactListLayout->addItem( spacer15 );
    languageChange();
    resize( QSize(707, 507).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( mTreeContactList, SIGNAL( toggled(bool) ), mIndentContacts, SLOT( setDisabled(bool) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
AppearanceConfig_ContactList::~AppearanceConfig_ContactList()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void AppearanceConfig_ContactList::languageChange()
{
    setCaption( tr2i18n( "Contact List Appearance" ) );
    groupBox1->setTitle( tr2i18n( "Layout" ) );
    mSortByGroup->setText( tr2i18n( "Arrange metacontacts by &group" ) );
    mTreeContactList->setText( tr2i18n( "Show tree &branch lines" ) );
    mIndentContacts->setText( tr2i18n( "In&dent contacts" ) );
    groupBox10->setTitle( tr2i18n( "Contact Display Mode" ) );
    mDisplayMode->setTitle( tr2i18n( "List Style" ) );
    radioButton8->setText( tr2i18n( "&Classic, left-aligned status icons" ) );
    radioButton8->setAccel( QKeySequence( tr2i18n( "Alt+C" ) ) );
    radioButton9->setText( tr2i18n( "&Right-aligned status icons" ) );
    radioButton9->setAccel( QKeySequence( tr2i18n( "Alt+R" ) ) );
    radioButton10->setText( tr2i18n( "Detailed &view" ) );
    radioButton10->setAccel( QKeySequence( tr2i18n( "Alt+V" ) ) );
    mIconMode->setText( tr2i18n( "Use contact photos when available" ) );
    groupBox5->setTitle( tr2i18n( "Displayed Theme Path" ) );
    groupBox2->setTitle( tr2i18n( "Contact List Animations" ) );
    mAnimateChanges->setText( tr2i18n( "&Animate changes to contact list items" ) );
    mAnimateChanges->setAccel( QKeySequence( tr2i18n( "Alt+A" ) ) );
    mFadeVisibility->setText( tr2i18n( "Fade in / out contacts as the&y appear / disappear" ) );
    mFoldVisibility->setText( tr2i18n( "Fo&ld in / out contacts as they appear / disappear" ) );
    groupBox3->setTitle( tr2i18n( "Contact List Auto-Hide" ) );
    QWhatsThis::add( groupBox3, tr2i18n( "When enabled, the contact list will automatically be hidden a fixed amount of time after the mouse cursor leaves the window. You can set the amount of time in the 'Time until autohide' box below." ) );
    mAutoHide->setText( tr2i18n( "A&uto-hide contact list" ) );
    mAutoHideTimeout->setSuffix( tr2i18n( " Sec" ) );
    QWhatsThis::add( mAutoHideTimeout, tr2i18n( "The timeout value for both contact list and scrollbar auto-hiding." ) );
    textLabel1->setText( tr2i18n( "after the cursor left the window" ) );
    mEditTooltips->setText( tr2i18n( "Change &Tooltip Contents..." ) );
}

/****************************************************************************
** AppearanceConfig_ContactList meta object code from reading C++ file 'appearanceconfig_contactlist.h'
**
** Created: Fri Dec 18 10:20:24 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "appearanceconfig_contactlist.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *AppearanceConfig_ContactList::className() const
{
    return "AppearanceConfig_ContactList";
}

QMetaObject *AppearanceConfig_ContactList::metaObj = 0;
static QMetaObjectCleanUp cleanUp_AppearanceConfig_ContactList( "AppearanceConfig_ContactList", &AppearanceConfig_ContactList::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString AppearanceConfig_ContactList::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "AppearanceConfig_ContactList", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString AppearanceConfig_ContactList::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "AppearanceConfig_ContactList", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* AppearanceConfig_ContactList::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QDialog::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"AppearanceConfig_ContactList", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_AppearanceConfig_ContactList.setMetaObject( metaObj );
    return metaObj;
}

void* AppearanceConfig_ContactList::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "AppearanceConfig_ContactList" ) )
	return this;
    return QDialog::qt_cast( clname );
}

bool AppearanceConfig_ContactList::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QDialog::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool AppearanceConfig_ContactList::qt_emit( int _id, QUObject* _o )
{
    return QDialog::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool AppearanceConfig_ContactList::qt_property( int id, int f, QVariant* v)
{
    return QDialog::qt_property( id, f, v);
}

bool AppearanceConfig_ContactList::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
