#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'appearanceconfig_emoticons.ui'
**
** Created: 2015-12-18T10:20:25
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "appearanceconfig_emoticons.h"

#include <qvariant.h>
#include <qcheckbox.h>
#include <qlabel.h>
#include <klistbox.h>
#include <ktextedit.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a AppearanceConfig_Emoticons as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
AppearanceConfig_Emoticons::AppearanceConfig_Emoticons( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "AppearanceConfig_Emoticons" );
    AppearanceConfig_EmoticonsLayout = new QVBoxLayout( this, 11, 6, "AppearanceConfig_EmoticonsLayout"); 

    chkUseEmoticons = new QCheckBox( this, "chkUseEmoticons" );
    chkUseEmoticons->setChecked( TRUE );
    AppearanceConfig_EmoticonsLayout->addWidget( chkUseEmoticons );

    chkRequireSpaces = new QCheckBox( this, "chkRequireSpaces" );
    chkRequireSpaces->setChecked( TRUE );
    AppearanceConfig_EmoticonsLayout->addWidget( chkRequireSpaces );

    textLabel1 = new QLabel( this, "textLabel1" );
    textLabel1->setFocusPolicy( QLabel::NoFocus );
    AppearanceConfig_EmoticonsLayout->addWidget( textLabel1 );

    icon_theme_list = new KListBox( this, "icon_theme_list" );
    AppearanceConfig_EmoticonsLayout->addWidget( icon_theme_list );

    lblPreview = new QLabel( this, "lblPreview" );
    AppearanceConfig_EmoticonsLayout->addWidget( lblPreview );

    icon_theme_preview = new KTextEdit( this, "icon_theme_preview" );
    icon_theme_preview->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, icon_theme_preview->sizePolicy().hasHeightForWidth() ) );
    icon_theme_preview->setMaximumSize( QSize( 32767, 64 ) );
    icon_theme_preview->setReadOnly( TRUE );
    AppearanceConfig_EmoticonsLayout->addWidget( icon_theme_preview );

    layout2 = new QHBoxLayout( 0, 0, 6, "layout2"); 

    btnGetThemes = new QPushButton( this, "btnGetThemes" );
    layout2->addWidget( btnGetThemes );

    btnEditThemes = new QPushButton( this, "btnEditThemes" );
    layout2->addWidget( btnEditThemes );

    btnEditThemes_2 = new QPushButton( this, "btnEditThemes_2" );
    layout2->addWidget( btnEditThemes_2 );

    btnInstallTheme = new QPushButton( this, "btnInstallTheme" );
    layout2->addWidget( btnInstallTheme );

    btnRemoveTheme = new QPushButton( this, "btnRemoveTheme" );
    btnRemoveTheme->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, btnRemoveTheme->sizePolicy().hasHeightForWidth() ) );
    layout2->addWidget( btnRemoveTheme );
    spacer1 = new QSpacerItem( 31, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout2->addItem( spacer1 );
    AppearanceConfig_EmoticonsLayout->addLayout( layout2 );
    languageChange();
    resize( QSize(541, 395).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( chkUseEmoticons, SIGNAL( toggled(bool) ), chkRequireSpaces, SLOT( setEnabled(bool) ) );
    connect( chkUseEmoticons, SIGNAL( toggled(bool) ), lblPreview, SLOT( setEnabled(bool) ) );
    connect( chkUseEmoticons, SIGNAL( toggled(bool) ), icon_theme_list, SLOT( setEnabled(bool) ) );
    connect( chkUseEmoticons, SIGNAL( toggled(bool) ), lblPreview, SLOT( setEnabled(bool) ) );
    connect( chkUseEmoticons, SIGNAL( toggled(bool) ), textLabel1, SLOT( setEnabled(bool) ) );
    connect( chkUseEmoticons, SIGNAL( toggled(bool) ), btnGetThemes, SLOT( setEnabled(bool) ) );
    connect( chkUseEmoticons, SIGNAL( toggled(bool) ), btnInstallTheme, SLOT( setEnabled(bool) ) );
    connect( chkUseEmoticons, SIGNAL( toggled(bool) ), btnRemoveTheme, SLOT( setEnabled(bool) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
AppearanceConfig_Emoticons::~AppearanceConfig_Emoticons()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void AppearanceConfig_Emoticons::languageChange()
{
    chkUseEmoticons->setText( tr2i18n( "&Use emoticons" ) );
    QWhatsThis::add( chkUseEmoticons, tr2i18n( "If this is checked, the text representation of emoticons in messages will be replaced by an image" ) );
    chkRequireSpaces->setText( tr2i18n( "&Require separators (spaces) around emoticons" ) );
    QWhatsThis::add( chkRequireSpaces, tr2i18n( "If this is checked, only emoticons that are separated from the text by spaces will be shown as images." ) );
    textLabel1->setText( tr2i18n( "Select emoticon theme:" ) );
    lblPreview->setText( tr2i18n( "Preview:" ) );
    btnGetThemes->setText( tr2i18n( "&Get New Themes..." ) );
    QWhatsThis::add( btnGetThemes, tr2i18n( "Download emoticon theme from the Internet" ) );
    btnEditThemes->setText( tr2i18n( "&Edit Theme..." ) );
    QWhatsThis::add( btnEditThemes, tr2i18n( "Edit the selected emoticons theme" ) );
    btnEditThemes_2->setText( tr2i18n( "&Edit Theme..." ) );
    QWhatsThis::add( btnEditThemes_2, tr2i18n( "Edit the selected emoticons theme" ) );
    btnInstallTheme->setText( tr2i18n( "&Install Theme File..." ) );
    btnRemoveTheme->setText( tr2i18n( "Remove Theme" ) );
}

/****************************************************************************
** AppearanceConfig_Emoticons meta object code from reading C++ file 'appearanceconfig_emoticons.h'
**
** Created: Fri Dec 18 10:20:25 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "appearanceconfig_emoticons.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *AppearanceConfig_Emoticons::className() const
{
    return "AppearanceConfig_Emoticons";
}

QMetaObject *AppearanceConfig_Emoticons::metaObj = 0;
static QMetaObjectCleanUp cleanUp_AppearanceConfig_Emoticons( "AppearanceConfig_Emoticons", &AppearanceConfig_Emoticons::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString AppearanceConfig_Emoticons::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "AppearanceConfig_Emoticons", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString AppearanceConfig_Emoticons::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "AppearanceConfig_Emoticons", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* AppearanceConfig_Emoticons::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"AppearanceConfig_Emoticons", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_AppearanceConfig_Emoticons.setMetaObject( metaObj );
    return metaObj;
}

void* AppearanceConfig_Emoticons::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "AppearanceConfig_Emoticons" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool AppearanceConfig_Emoticons::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool AppearanceConfig_Emoticons::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool AppearanceConfig_Emoticons::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool AppearanceConfig_Emoticons::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
