#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'behaviorconfig_chat.ui'
**
** Created: 2015-12-18T10:20:18
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "behaviorconfig_chat.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qbuttongroup.h>
#include <qcombobox.h>
#include <qlabel.h>
#include <qcheckbox.h>
#include <qspinbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a BehaviorConfig_Chat as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
BehaviorConfig_Chat::BehaviorConfig_Chat( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "BehaviorConfig_Chat" );
    BehaviorConfig_ChatLayout = new QGridLayout( this, 1, 1, 11, 6, "BehaviorConfig_ChatLayout"); 

    interfaceGroup = new QButtonGroup( this, "interfaceGroup" );
    interfaceGroup->setColumnLayout(0, Qt::Vertical );
    interfaceGroup->layout()->setSpacing( 6 );
    interfaceGroup->layout()->setMargin( 11 );
    interfaceGroupLayout = new QHBoxLayout( interfaceGroup->layout() );
    interfaceGroupLayout->setAlignment( Qt::AlignTop );

    viewPlugin = new QComboBox( FALSE, interfaceGroup, "viewPlugin" );
    interfaceGroupLayout->addWidget( viewPlugin );

    viewPluginLabel = new QLabel( interfaceGroup, "viewPluginLabel" );
    interfaceGroupLayout->addWidget( viewPluginLabel );
    spacer5 = new QSpacerItem( 40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    interfaceGroupLayout->addItem( spacer5 );

    BehaviorConfig_ChatLayout->addWidget( interfaceGroup, 4, 0 );
    spacer2 = new QSpacerItem( 20, 240, QSizePolicy::Minimum, QSizePolicy::Expanding );
    BehaviorConfig_ChatLayout->addItem( spacer2, 8, 0 );

    chatWindowGroup = new QButtonGroup( this, "chatWindowGroup" );
    chatWindowGroup->setColumnLayout(0, Qt::Vertical );
    chatWindowGroup->layout()->setSpacing( 6 );
    chatWindowGroup->layout()->setMargin( 11 );
    chatWindowGroupLayout = new QGridLayout( chatWindowGroup->layout() );
    chatWindowGroupLayout->setAlignment( Qt::AlignTop );

    cmbChatGroupingPolicy = new QComboBox( FALSE, chatWindowGroup, "cmbChatGroupingPolicy" );

    chatWindowGroupLayout->addWidget( cmbChatGroupingPolicy, 7, 0 );

    BehaviorConfig_ChatLayout->addWidget( chatWindowGroup, 5, 0 );

    highlightEnabled = new QCheckBox( this, "highlightEnabled" );
    highlightEnabled->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, highlightEnabled->sizePolicy().hasHeightForWidth() ) );

    BehaviorConfig_ChatLayout->addWidget( highlightEnabled, 2, 0 );

    cb_SpellCheckChk = new QCheckBox( this, "cb_SpellCheckChk" );
    cb_SpellCheckChk->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, cb_SpellCheckChk->sizePolicy().hasHeightForWidth() ) );

    BehaviorConfig_ChatLayout->addWidget( cb_SpellCheckChk, 3, 0 );

    cb_ShowEventsChk = new QCheckBox( this, "cb_ShowEventsChk" );

    BehaviorConfig_ChatLayout->addWidget( cb_ShowEventsChk, 1, 0 );

    layout3 = new QHBoxLayout( 0, 0, 6, "layout3"); 

    truncateContactNameEnabled = new QCheckBox( this, "truncateContactNameEnabled" );
    layout3->addWidget( truncateContactNameEnabled );
    spacer3 = new QSpacerItem( 120, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout3->addItem( spacer3 );

    mMaxContactNameLength = new QSpinBox( this, "mMaxContactNameLength" );
    mMaxContactNameLength->setEnabled( FALSE );
    mMaxContactNameLength->setMinValue( 5 );
    mMaxContactNameLength->setValue( 20 );
    layout3->addWidget( mMaxContactNameLength );

    BehaviorConfig_ChatLayout->addLayout( layout3, 6, 0 );

    layout4 = new QHBoxLayout( 0, 0, 6, "layout4"); 

    txtChatViewBufferSize = new QLabel( this, "txtChatViewBufferSize" );
    layout4->addWidget( txtChatViewBufferSize );
    spacer6 = new QSpacerItem( 212, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout4->addItem( spacer6 );

    mChatViewBufferSize = new QSpinBox( this, "mChatViewBufferSize" );
    mChatViewBufferSize->setMaxValue( 9000 );
    mChatViewBufferSize->setMinValue( 2 );
    mChatViewBufferSize->setValue( 250 );
    layout4->addWidget( mChatViewBufferSize );

    BehaviorConfig_ChatLayout->addLayout( layout4, 7, 0 );
    languageChange();
    resize( QSize(564, 537).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( truncateContactNameEnabled, SIGNAL( toggled(bool) ), mMaxContactNameLength, SLOT( setEnabled(bool) ) );

    // tab order
    setTabOrder( cb_ShowEventsChk, highlightEnabled );
    setTabOrder( highlightEnabled, cb_SpellCheckChk );
    setTabOrder( cb_SpellCheckChk, viewPlugin );
    setTabOrder( viewPlugin, cmbChatGroupingPolicy );
    setTabOrder( cmbChatGroupingPolicy, truncateContactNameEnabled );
    setTabOrder( truncateContactNameEnabled, mMaxContactNameLength );
    setTabOrder( mMaxContactNameLength, mChatViewBufferSize );

    // buddies
    viewPluginLabel->setBuddy( viewPlugin );
    txtChatViewBufferSize->setBuddy( mChatViewBufferSize );
}

/*
 *  Destroys the object and frees any allocated resources
 */
BehaviorConfig_Chat::~BehaviorConfig_Chat()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void BehaviorConfig_Chat::languageChange()
{
    setCaption( tr2i18n( "Chat" ) );
    interfaceGroup->setTitle( tr2i18n( "&Interface Preference" ) );
    viewPluginLabel->setText( QString::null );
    chatWindowGroup->setTitle( tr2i18n( "Chat Window Grouping &Policy" ) );
    cmbChatGroupingPolicy->clear();
    cmbChatGroupingPolicy->insertItem( tr2i18n( "Open All Messages in New Chat Window" ) );
    cmbChatGroupingPolicy->insertItem( tr2i18n( "Group Messages From Same Account in Same Chat Window" ) );
    cmbChatGroupingPolicy->insertItem( tr2i18n( "Group All Messages in Same Chat Window" ) );
    cmbChatGroupingPolicy->insertItem( tr2i18n( "Group Messages From Contacts in Same Group in Same Chat Window" ) );
    cmbChatGroupingPolicy->insertItem( tr2i18n( "Group Messages From Same Metacontact in Same Chat Window" ) );
    QWhatsThis::add( cmbChatGroupingPolicy, tr2i18n( "<dl>\n"
"                                <dt><tt>Open all messages in a new chat window</tt>\n"
"                                <dd>Every chat will have its own window.\n"
"                                <dt><tt>Group messages from the same account in the same chat window</tt>\n"
"                                <dd>All chats for one account get grouped in to one window by using tabs.\n"
"                                <dt><tt>Group all messages in the same chat window</tt>\n"
"                                <dd>All chats get grouped in to one window by using tabs.\n"
"                                <dt><tt>Group messages from contacts in the same group in the same chat window</tt>\n"
"                                <dd>All chats from one group get grouped in to one window by using tabs.\n"
"                                <dt><tt>Group messages from the same metacontact in the same chat window</tt>\n"
"                                <dd>All chats from one metacontact get grouped in to one window by using tabs.\n"
"                                </dl>\n"
"                        " ) );
    highlightEnabled->setText( tr2i18n( "High&light messages containing your nickname" ) );
    cb_SpellCheckChk->setText( tr2i18n( "E&nable automatic spell checking" ) );
    cb_ShowEventsChk->setText( tr2i18n( "&Show events in chat window" ) );
    truncateContactNameEnabled->setText( tr2i18n( "T&runcate contact name with more characters than:" ) );
    txtChatViewBufferSize->setText( tr2i18n( "&Maximum number of chat window lines:" ) );
    QWhatsThis::add( txtChatViewBufferSize, tr2i18n( "Limit the maximum number of lines visible in a chat window to improve speed for complex layouts." ) );
}

/****************************************************************************
** BehaviorConfig_Chat meta object code from reading C++ file 'behaviorconfig_chat.h'
**
** Created: Fri Dec 18 10:20:18 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "behaviorconfig_chat.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *BehaviorConfig_Chat::className() const
{
    return "BehaviorConfig_Chat";
}

QMetaObject *BehaviorConfig_Chat::metaObj = 0;
static QMetaObjectCleanUp cleanUp_BehaviorConfig_Chat( "BehaviorConfig_Chat", &BehaviorConfig_Chat::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString BehaviorConfig_Chat::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "BehaviorConfig_Chat", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString BehaviorConfig_Chat::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "BehaviorConfig_Chat", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* BehaviorConfig_Chat::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"BehaviorConfig_Chat", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_BehaviorConfig_Chat.setMetaObject( metaObj );
    return metaObj;
}

void* BehaviorConfig_Chat::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "BehaviorConfig_Chat" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool BehaviorConfig_Chat::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool BehaviorConfig_Chat::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool BehaviorConfig_Chat::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool BehaviorConfig_Chat::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
