#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'customnotifications.ui'
**
** Created: 2015-12-18T10:19:17
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "customnotifications.h"

#include <qvariant.h>
#include <qlabel.h>
#include <qcombobox.h>
#include <kurlrequester.h>
#include <qcheckbox.h>
#include <qlineedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a CustomNotificationWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
CustomNotificationWidget::CustomNotificationWidget( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "CustomNotificationWidget" );
    CustomNotificationWidgetLayout = new QVBoxLayout( this, 11, 6, "CustomNotificationWidgetLayout"); 

    layout13 = new QHBoxLayout( 0, 0, 6, "layout13"); 

    textLabel1 = new QLabel( this, "textLabel1" );
    layout13->addWidget( textLabel1 );

    cmbEvents = new QComboBox( FALSE, this, "cmbEvents" );
    layout13->addWidget( cmbEvents );
    CustomNotificationWidgetLayout->addLayout( layout13 );

    layout12 = new QGridLayout( 0, 1, 1, 0, 6, "layout12"); 

    customSound = new KURLRequester( this, "customSound" );
    customSound->setEnabled( FALSE );

    layout12->addWidget( customSound, 0, 1 );

    chkCustomSound = new QCheckBox( this, "chkCustomSound" );

    layout12->addWidget( chkCustomSound, 0, 0 );
    spacer10 = new QSpacerItem( 140, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout12->addItem( spacer10, 2, 1 );

    chkCustomChat = new QCheckBox( this, "chkCustomChat" );

    layout12->addWidget( chkCustomChat, 2, 0 );

    chkCustomMsg = new QCheckBox( this, "chkCustomMsg" );

    layout12->addWidget( chkCustomMsg, 1, 0 );

    customMsg = new QLineEdit( this, "customMsg" );
    customMsg->setEnabled( FALSE );

    layout12->addWidget( customMsg, 1, 1 );

    chkMsgSS = new QCheckBox( this, "chkMsgSS" );
    chkMsgSS->setEnabled( FALSE );

    layout12->addWidget( chkMsgSS, 1, 2 );

    chkSoundSS = new QCheckBox( this, "chkSoundSS" );
    chkSoundSS->setEnabled( FALSE );

    layout12->addWidget( chkSoundSS, 0, 2 );

    chkChatSS = new QCheckBox( this, "chkChatSS" );
    chkChatSS->setEnabled( FALSE );

    layout12->addWidget( chkChatSS, 2, 2 );
    CustomNotificationWidgetLayout->addLayout( layout12 );

    chkSuppressCommon = new QCheckBox( this, "chkSuppressCommon" );
    chkSuppressCommon->setChecked( FALSE );
    CustomNotificationWidgetLayout->addWidget( chkSuppressCommon );
    languageChange();
    resize( QSize(389, 220).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( chkCustomSound, SIGNAL( toggled(bool) ), customSound, SLOT( setEnabled(bool) ) );
    connect( chkCustomSound, SIGNAL( toggled(bool) ), chkSoundSS, SLOT( setEnabled(bool) ) );
    connect( chkCustomMsg, SIGNAL( toggled(bool) ), customMsg, SLOT( setEnabled(bool) ) );
    connect( chkCustomMsg, SIGNAL( toggled(bool) ), chkMsgSS, SLOT( setEnabled(bool) ) );
    connect( chkCustomChat, SIGNAL( toggled(bool) ), chkChatSS, SLOT( setEnabled(bool) ) );

    // tab order
    setTabOrder( cmbEvents, chkCustomSound );
    setTabOrder( chkCustomSound, customSound );
    setTabOrder( customSound, chkSoundSS );
    setTabOrder( chkSoundSS, chkCustomMsg );
    setTabOrder( chkCustomMsg, customMsg );
    setTabOrder( customMsg, chkMsgSS );
    setTabOrder( chkMsgSS, chkCustomChat );
    setTabOrder( chkCustomChat, chkChatSS );
    setTabOrder( chkChatSS, chkSuppressCommon );

    // buddies
    textLabel1->setBuddy( cmbEvents );
}

/*
 *  Destroys the object and frees any allocated resources
 */
CustomNotificationWidget::~CustomNotificationWidget()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void CustomNotificationWidget::languageChange()
{
    textLabel1->setText( tr2i18n( "On &event:" ) );
    QToolTip::add( cmbEvents, tr2i18n( "Choose the event that should have a custom notification" ) );
    QToolTip::add( customSound, tr2i18n( "Select the sound to play" ) );
    chkCustomSound->setText( tr2i18n( "&Play a sound:" ) );
    QToolTip::add( chkCustomSound, tr2i18n( "Play a sound when this event occurs for this contact" ) );
    chkCustomChat->setText( tr2i18n( "Start a cha&t" ) );
    QToolTip::add( chkCustomChat, tr2i18n( "Open a chat window with this contact when this event occurs for this contact" ) );
    chkCustomMsg->setText( tr2i18n( "&Display a message:" ) );
    QToolTip::add( chkCustomMsg, tr2i18n( "Display a message on your screen when this event occurs for this contact" ) );
    QToolTip::add( customMsg, tr2i18n( "Enter the message to display" ) );
    chkMsgSS->setText( tr2i18n( "D&isplay once" ) );
    QToolTip::add( chkMsgSS, tr2i18n( "Only display a message the next time the event occurs" ) );
    chkSoundSS->setText( tr2i18n( "P&lay once" ) );
    QToolTip::add( chkSoundSS, tr2i18n( "Only play a sound the next time the event occurs" ) );
    chkChatSS->setText( tr2i18n( "T&rigger once" ) );
    QToolTip::add( chkChatSS, tr2i18n( "Only start a chat the next time the event occurs" ) );
    chkSuppressCommon->setText( tr2i18n( "S&uppress standard notifications" ) );
    QToolTip::add( chkSuppressCommon, tr2i18n( "Check to prevent notifications common to all contacts from happening for this contact" ) );
}

/****************************************************************************
** CustomNotificationWidget meta object code from reading C++ file 'customnotifications.h'
**
** Created: Fri Dec 18 10:19:17 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "customnotifications.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *CustomNotificationWidget::className() const
{
    return "CustomNotificationWidget";
}

QMetaObject *CustomNotificationWidget::metaObj = 0;
static QMetaObjectCleanUp cleanUp_CustomNotificationWidget( "CustomNotificationWidget", &CustomNotificationWidget::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString CustomNotificationWidget::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "CustomNotificationWidget", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString CustomNotificationWidget::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "CustomNotificationWidget", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* CustomNotificationWidget::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"CustomNotificationWidget", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_CustomNotificationWidget.setMetaObject( metaObj );
    return metaObj;
}

void* CustomNotificationWidget::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "CustomNotificationWidget" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool CustomNotificationWidget::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool CustomNotificationWidget::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool CustomNotificationWidget::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool CustomNotificationWidget::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
