#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'kabcexport_base.ui'
**
** Created: 2015-12-18T10:19:16
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kabcexport_base.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qwidget.h>
#include <qlabel.h>
#include <qgroupbox.h>
#include <qlistbox.h>
#include <qheader.h>
#include <qlistview.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a KabcExportWizard_Base as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The wizard will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal wizard.
 */
KabcExportWizard_Base::KabcExportWizard_Base( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QWizard( parent, name, modal, fl )
{
    if ( !name )
	setName( "KabcExportWizard_Base" );

    page = new QWidget( this, "page" );
    pageLayout = new QVBoxLayout( page, 11, 6, "pageLayout"); 

    textLabel1 = new QLabel( page, "textLabel1" );
    textLabel1->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)1, 0, 0, textLabel1->sizePolicy().hasHeightForWidth() ) );
    textLabel1->setAlignment( int( QLabel::WordBreak | QLabel::AlignVCenter ) );
    pageLayout->addWidget( textLabel1 );

    groupBox1 = new QGroupBox( page, "groupBox1" );
    groupBox1->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)3, 0, 0, groupBox1->sizePolicy().hasHeightForWidth() ) );

    m_addrBooks = new QListBox( groupBox1, "m_addrBooks" );
    m_addrBooks->setGeometry( QRect( 11, 31, 230, 140 ) );
    m_addrBooks->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)3, 0, 0, m_addrBooks->sizePolicy().hasHeightForWidth() ) );
    pageLayout->addWidget( groupBox1 );
    addPage( page, QString("") );

    WizardPage = new QWidget( this, "WizardPage" );
    WizardPageLayout = new QVBoxLayout( WizardPage, 11, 6, "WizardPageLayout"); 

    textLabel3 = new QLabel( WizardPage, "textLabel3" );
    textLabel3->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)1, 0, 0, textLabel3->sizePolicy().hasHeightForWidth() ) );
    WizardPageLayout->addWidget( textLabel3 );

    m_contactList = new QListView( WizardPage, "m_contactList" );
    m_contactList->addColumn( tr2i18n( "Contact" ) );
    m_contactList->setAllColumnsShowFocus( TRUE );
    m_contactList->setResizeMode( QListView::AllColumns );
    WizardPageLayout->addWidget( m_contactList );

    layout3 = new QHBoxLayout( 0, 0, 6, "layout3"); 

    m_btnSelectAll = new QPushButton( WizardPage, "m_btnSelectAll" );
    layout3->addWidget( m_btnSelectAll );

    m_btnDeselectAll = new QPushButton( WizardPage, "m_btnDeselectAll" );
    layout3->addWidget( m_btnDeselectAll );
    spacer11 = new QSpacerItem( 51, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout3->addItem( spacer11 );
    WizardPageLayout->addLayout( layout3 );
    addPage( WizardPage, QString("") );
    languageChange();
    resize( QSize(423, 398).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KabcExportWizard_Base::~KabcExportWizard_Base()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KabcExportWizard_Base::languageChange()
{
    setCaption( tr2i18n( "Export Contacts" ) );
    textLabel1->setText( tr2i18n( "This wizard helps you export instant messaging contacts to the KDE address book." ) );
    groupBox1->setTitle( tr2i18n( "&Select Address Book" ) );
    setTitle( page, tr2i18n( "Export Contacts to Address Book" ) );
    textLabel3->setText( tr2i18n( "Selected contacts will be added to the KDE address book." ) );
    m_contactList->header()->setLabel( 0, tr2i18n( "Contact" ) );
    m_btnSelectAll->setText( tr2i18n( "Select &All" ) );
    m_btnDeselectAll->setText( tr2i18n( "&Deselect All" ) );
    setTitle( WizardPage, tr2i18n( "Select Contacts to Export" ) );
}

/****************************************************************************
** KabcExportWizard_Base meta object code from reading C++ file 'kabcexport_base.h'
**
** Created: Fri Dec 18 10:19:16 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "kabcexport_base.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *KabcExportWizard_Base::className() const
{
    return "KabcExportWizard_Base";
}

QMetaObject *KabcExportWizard_Base::metaObj = 0;
static QMetaObjectCleanUp cleanUp_KabcExportWizard_Base( "KabcExportWizard_Base", &KabcExportWizard_Base::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString KabcExportWizard_Base::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "KabcExportWizard_Base", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString KabcExportWizard_Base::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "KabcExportWizard_Base", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* KabcExportWizard_Base::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWizard::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"KabcExportWizard_Base", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_KabcExportWizard_Base.setMetaObject( metaObj );
    return metaObj;
}

void* KabcExportWizard_Base::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "KabcExportWizard_Base" ) )
	return this;
    return QWizard::qt_cast( clname );
}

bool KabcExportWizard_Base::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWizard::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool KabcExportWizard_Base::qt_emit( int _id, QUObject* _o )
{
    return QWizard::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool KabcExportWizard_Base::qt_property( int id, int f, QVariant* v)
{
    return QWizard::qt_property( id, f, v);
}

bool KabcExportWizard_Base::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
