#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'fileconfirmbase.ui'
**
** Created: 2015-12-18T10:17:39
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "fileconfirmbase.h"

#include <qvariant.h>
#include <qlabel.h>
#include <klineedit.h>
#include <kpushbutton.h>
#include <qtextedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a FileConfirmBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
FileConfirmBase::FileConfirmBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "FileConfirmBase" );
    FileConfirmBaseLayout = new QGridLayout( this, 1, 1, 3, 6, "FileConfirmBaseLayout"); 

    TextLabel1 = new QLabel( this, "TextLabel1" );
    TextLabel1->setAlignment( int( QLabel::WordBreak | QLabel::AlignVCenter ) );

    FileConfirmBaseLayout->addMultiCellWidget( TextLabel1, 0, 0, 0, 2 );

    TextLabel1_2 = new QLabel( this, "TextLabel1_2" );

    FileConfirmBaseLayout->addWidget( TextLabel1_2, 1, 0 );

    TextLabel7 = new QLabel( this, "TextLabel7" );

    FileConfirmBaseLayout->addWidget( TextLabel7, 2, 0 );

    m_saveto = new KLineEdit( this, "m_saveto" );

    FileConfirmBaseLayout->addWidget( m_saveto, 6, 1 );

    cmdBrowse = new KPushButton( this, "cmdBrowse" );

    FileConfirmBaseLayout->addWidget( cmdBrowse, 6, 2 );

    TextLabel11 = new QLabel( this, "TextLabel11" );

    FileConfirmBaseLayout->addWidget( TextLabel11, 5, 0 );

    TextLabel8 = new QLabel( this, "TextLabel8" );

    FileConfirmBaseLayout->addWidget( TextLabel8, 3, 0 );

    m_description = new QTextEdit( this, "m_description" );
    m_description->setReadOnly( TRUE );

    FileConfirmBaseLayout->addMultiCellWidget( m_description, 3, 4, 1, 2 );
    Spacer6 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    FileConfirmBaseLayout->addItem( Spacer6, 4, 0 );

    TextLabel13 = new QLabel( this, "TextLabel13" );

    FileConfirmBaseLayout->addWidget( TextLabel13, 6, 0 );

    m_from = new KLineEdit( this, "m_from" );
    m_from->setReadOnly( TRUE );

    FileConfirmBaseLayout->addMultiCellWidget( m_from, 1, 1, 1, 2 );

    m_filename = new KLineEdit( this, "m_filename" );
    m_filename->setReadOnly( TRUE );

    FileConfirmBaseLayout->addMultiCellWidget( m_filename, 2, 2, 1, 2 );

    m_size = new KLineEdit( this, "m_size" );
    m_size->setReadOnly( TRUE );

    FileConfirmBaseLayout->addMultiCellWidget( m_size, 5, 5, 1, 2 );
    languageChange();
    resize( QSize(410, 307).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
FileConfirmBase::~FileConfirmBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void FileConfirmBase::languageChange()
{
    setCaption( tr2i18n( "A User Would Like to Send You a File" ) );
    TextLabel1->setText( tr2i18n( "A user is trying to send you a file. The file will only be downloaded if you accept this dialog. If you do not wish to receive it, please click 'Refuse'. This file will never be executed by Kopete at any point during or after the transfer." ) );
    TextLabel1_2->setText( tr2i18n( "From:" ) );
    TextLabel7->setText( tr2i18n( "File name:" ) );
    cmdBrowse->setText( tr2i18n( "&Browse..." ) );
    TextLabel11->setText( tr2i18n( "Size:" ) );
    TextLabel8->setText( tr2i18n( "Description:" ) );
    TextLabel13->setText( tr2i18n( "Save to:" ) );
}

/****************************************************************************
** FileConfirmBase meta object code from reading C++ file 'fileconfirmbase.h'
**
** Created: Fri Dec 18 10:17:39 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "fileconfirmbase.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *FileConfirmBase::className() const
{
    return "FileConfirmBase";
}

QMetaObject *FileConfirmBase::metaObj = 0;
static QMetaObjectCleanUp cleanUp_FileConfirmBase( "FileConfirmBase", &FileConfirmBase::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString FileConfirmBase::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "FileConfirmBase", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString FileConfirmBase::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "FileConfirmBase", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* FileConfirmBase::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"FileConfirmBase", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_FileConfirmBase.setMetaObject( metaObj );
    return metaObj;
}

void* FileConfirmBase::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "FileConfirmBase" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool FileConfirmBase::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool FileConfirmBase::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool FileConfirmBase::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool FileConfirmBase::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
