#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'highlightprefsbase.ui'
**
** Created: 2015-12-18T10:31:49
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "highlightprefsbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qheader.h>
#include <klistview.h>
#include <qlabel.h>
#include <klineedit.h>
#include <qcheckbox.h>
#include <qbuttongroup.h>
#include <kcombobox.h>
#include <kcolorbutton.h>
#include <kurlrequester.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a HighlightPrefsUI as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
HighlightPrefsUI::HighlightPrefsUI( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "HighlighPrefsUI" );
    HighlighPrefsUILayout = new QVBoxLayout( this, 11, 6, "HighlighPrefsUILayout"); 

    groupBox1 = new QGroupBox( this, "groupBox1" );
    groupBox1->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)3, 0, 0, groupBox1->sizePolicy().hasHeightForWidth() ) );
    groupBox1->setColumnLayout(0, Qt::Vertical );
    groupBox1->layout()->setSpacing( 6 );
    groupBox1->layout()->setMargin( 11 );
    groupBox1Layout = new QGridLayout( groupBox1->layout() );
    groupBox1Layout->setAlignment( Qt::AlignTop );

    m_add = new QPushButton( groupBox1, "m_add" );

    groupBox1Layout->addWidget( m_add, 1, 0 );

    m_remove = new QPushButton( groupBox1, "m_remove" );
    m_remove->setEnabled( FALSE );

    groupBox1Layout->addWidget( m_remove, 1, 1 );

    m_rename = new QPushButton( groupBox1, "m_rename" );
    m_rename->setEnabled( FALSE );

    groupBox1Layout->addWidget( m_rename, 1, 2 );

    m_list = new KListView( groupBox1, "m_list" );
    m_list->addColumn( tr2i18n( "Filters" ) );
    m_list->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, 0, 0, m_list->sizePolicy().hasHeightForWidth() ) );

    groupBox1Layout->addMultiCellWidget( m_list, 0, 0, 0, 2 );
    HighlighPrefsUILayout->addWidget( groupBox1 );

    groupBox2 = new QGroupBox( this, "groupBox2" );
    groupBox2->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)5, 0, 0, groupBox2->sizePolicy().hasHeightForWidth() ) );
    groupBox2->setColumnLayout(0, Qt::Vertical );
    groupBox2->layout()->setSpacing( 6 );
    groupBox2->layout()->setMargin( 11 );
    groupBox2Layout = new QVBoxLayout( groupBox2->layout() );
    groupBox2Layout->setAlignment( Qt::AlignTop );

    textLabel1 = new QLabel( groupBox2, "textLabel1" );
    textLabel1->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, textLabel1->sizePolicy().hasHeightForWidth() ) );
    groupBox2Layout->addWidget( textLabel1 );

    m_search = new KLineEdit( groupBox2, "m_search" );
    groupBox2Layout->addWidget( m_search );

    layout3 = new QHBoxLayout( 0, 0, 6, "layout3"); 

    m_regexp = new QCheckBox( groupBox2, "m_regexp" );
    layout3->addWidget( m_regexp );

    m_editregexp = new QPushButton( groupBox2, "m_editregexp" );
    m_editregexp->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, m_editregexp->sizePolicy().hasHeightForWidth() ) );
    layout3->addWidget( m_editregexp );
    spacer3 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout3->addItem( spacer3 );
    groupBox2Layout->addLayout( layout3 );

    m_case = new QCheckBox( groupBox2, "m_case" );
    groupBox2Layout->addWidget( m_case );
    HighlighPrefsUILayout->addWidget( groupBox2 );

    buttonGroup2 = new QButtonGroup( this, "buttonGroup2" );
    buttonGroup2->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)5, 0, 0, buttonGroup2->sizePolicy().hasHeightForWidth() ) );
    buttonGroup2->setColumnLayout(0, Qt::Vertical );
    buttonGroup2->layout()->setSpacing( 6 );
    buttonGroup2->layout()->setMargin( 11 );
    buttonGroup2Layout = new QVBoxLayout( buttonGroup2->layout() );
    buttonGroup2Layout->setAlignment( Qt::AlignTop );

    layout4 = new QHBoxLayout( 0, 0, 6, "layout4"); 

    m_setImportance = new QCheckBox( buttonGroup2, "m_setImportance" );
    m_setImportance->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)0, 0, 0, m_setImportance->sizePolicy().hasHeightForWidth() ) );
    layout4->addWidget( m_setImportance );

    m_importance = new KComboBox( FALSE, buttonGroup2, "m_importance" );
    m_importance->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)0, 0, 0, m_importance->sizePolicy().hasHeightForWidth() ) );
    layout4->addWidget( m_importance );
    spacer4 = new QSpacerItem( 31, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout4->addItem( spacer4 );
    buttonGroup2Layout->addLayout( layout4 );

    layout5 = new QHBoxLayout( 0, 0, 6, "layout5"); 

    m_setBG = new QCheckBox( buttonGroup2, "m_setBG" );
    layout5->addWidget( m_setBG );

    m_BG = new KColorButton( buttonGroup2, "m_BG" );
    m_BG->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, m_BG->sizePolicy().hasHeightForWidth() ) );
    layout5->addWidget( m_BG );
    spacer5 = new QSpacerItem( 31, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout5->addItem( spacer5 );
    buttonGroup2Layout->addLayout( layout5 );

    layout6 = new QHBoxLayout( 0, 0, 6, "layout6"); 

    m_setFG = new QCheckBox( buttonGroup2, "m_setFG" );
    layout6->addWidget( m_setFG );

    m_FG = new KColorButton( buttonGroup2, "m_FG" );
    m_FG->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, m_FG->sizePolicy().hasHeightForWidth() ) );
    layout6->addWidget( m_FG );
    spacer6 = new QSpacerItem( 41, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout6->addItem( spacer6 );
    buttonGroup2Layout->addLayout( layout6 );

    layout7 = new QHBoxLayout( 0, 0, 6, "layout7"); 

    m_sound = new QCheckBox( buttonGroup2, "m_sound" );
    layout7->addWidget( m_sound );

    m_soundFN = new KURLRequester( buttonGroup2, "m_soundFN" );
    layout7->addWidget( m_soundFN );
    buttonGroup2Layout->addLayout( layout7 );

    layout8 = new QHBoxLayout( 0, 0, 6, "layout8"); 

    m_raise = new QCheckBox( buttonGroup2, "m_raise" );
    layout8->addWidget( m_raise );
    buttonGroup2Layout->addLayout( layout8 );
    HighlighPrefsUILayout->addWidget( buttonGroup2 );
    languageChange();
    resize( QSize(513, 504).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( m_list, m_add );
    setTabOrder( m_add, m_remove );
    setTabOrder( m_remove, m_rename );
    setTabOrder( m_rename, m_search );
    setTabOrder( m_search, m_regexp );
    setTabOrder( m_regexp, m_editregexp );
    setTabOrder( m_editregexp, m_case );
    setTabOrder( m_case, m_setImportance );
    setTabOrder( m_setImportance, m_importance );
    setTabOrder( m_importance, m_setBG );
    setTabOrder( m_setBG, m_BG );
    setTabOrder( m_BG, m_setFG );
    setTabOrder( m_setFG, m_FG );
    setTabOrder( m_FG, m_sound );
    setTabOrder( m_sound, m_soundFN );
    setTabOrder( m_soundFN, m_raise );
}

/*
 *  Destroys the object and frees any allocated resources
 */
HighlightPrefsUI::~HighlightPrefsUI()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void HighlightPrefsUI::languageChange()
{
    setCaption( tr2i18n( "HighlighPrefsUI" ) );
    groupBox1->setTitle( tr2i18n( "Available Filters" ) );
    m_add->setText( tr2i18n( "Add" ) );
    m_remove->setText( tr2i18n( "Remove" ) );
    m_rename->setText( tr2i18n( "Rename..." ) );
    m_list->header()->setLabel( 0, tr2i18n( "Filters" ) );
    groupBox2->setTitle( tr2i18n( "Criteria" ) );
    textLabel1->setText( tr2i18n( "If the message contains:" ) );
    m_regexp->setText( tr2i18n( "Regular expression" ) );
    m_editregexp->setText( tr2i18n( "Edit..." ) );
    m_case->setText( tr2i18n( "Case sensitive" ) );
    buttonGroup2->setTitle( tr2i18n( "Action" ) );
    m_setImportance->setText( tr2i18n( "Set the message importance to:" ) );
    m_importance->clear();
    m_importance->insertItem( tr2i18n( "Low" ) );
    m_importance->insertItem( tr2i18n( "Normal" ) );
    m_importance->insertItem( tr2i18n( "Highlight" ) );
    m_setBG->setText( tr2i18n( "Change the background color to:" ) );
    m_BG->setText( QString::null );
    m_setFG->setText( tr2i18n( "Change the foreground color to:" ) );
    m_FG->setText( QString::null );
    m_sound->setText( tr2i18n( "Play a sound:" ) );
    m_raise->setText( tr2i18n( "Raise window" ) );
}

/****************************************************************************
** HighlightPrefsUI meta object code from reading C++ file 'highlightprefsbase.h'
**
** Created: Fri Dec 18 10:31:49 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "highlightprefsbase.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *HighlightPrefsUI::className() const
{
    return "HighlightPrefsUI";
}

QMetaObject *HighlightPrefsUI::metaObj = 0;
static QMetaObjectCleanUp cleanUp_HighlightPrefsUI( "HighlightPrefsUI", &HighlightPrefsUI::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString HighlightPrefsUI::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "HighlightPrefsUI", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString HighlightPrefsUI::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "HighlightPrefsUI", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* HighlightPrefsUI::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"HighlightPrefsUI", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_HighlightPrefsUI.setMetaObject( metaObj );
    return metaObj;
}

void* HighlightPrefsUI::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "HighlightPrefsUI" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool HighlightPrefsUI::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool HighlightPrefsUI::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool HighlightPrefsUI::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool HighlightPrefsUI::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
