#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'historyprefsui.ui'
**
** Created: 2015-12-18T10:30:50
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "historyprefsui.h"

#include <qvariant.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <knuminput.h>
#include <kcolorbutton.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a HistoryPrefsUI as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
HistoryPrefsUI::HistoryPrefsUI( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "HistoryPrefsWidget" );
    HistoryPrefsWidgetLayout = new QVBoxLayout( this, 11, 6, "HistoryPrefsWidgetLayout"); 

    grpChatHistory = new QGroupBox( this, "grpChatHistory" );
    grpChatHistory->setColumnLayout(0, Qt::Vertical );
    grpChatHistory->layout()->setSpacing( 6 );
    grpChatHistory->layout()->setMargin( 11 );
    grpChatHistoryLayout = new QGridLayout( grpChatHistory->layout() );
    grpChatHistoryLayout->setAlignment( Qt::AlignTop );

    lblNoLinesPerPage = new QLabel( grpChatHistory, "lblNoLinesPerPage" );

    grpChatHistoryLayout->addWidget( lblNoLinesPerPage, 3, 0 );

    Number_ChatWindow = new KIntSpinBox( grpChatHistory, "Number_ChatWindow" );
    Number_ChatWindow->setMaxValue( 32768 );
    Number_ChatWindow->setMinValue( 1 );
    Number_ChatWindow->setValue( 10 );

    grpChatHistoryLayout->addWidget( Number_ChatWindow, 3, 1 );

    colorLabel = new QLabel( grpChatHistory, "colorLabel" );

    grpChatHistoryLayout->addWidget( colorLabel, 2, 0 );

    History_color = new KColorButton( grpChatHistory, "History_color" );
    History_color->setColor( QColor( 170, 170, 127 ) );

    grpChatHistoryLayout->addWidget( History_color, 2, 1 );

    Number_Auto_chatwindow = new KIntSpinBox( grpChatHistory, "Number_Auto_chatwindow" );
    Number_Auto_chatwindow->setMaxValue( 32768 );
    Number_Auto_chatwindow->setMinValue( 1 );
    Number_Auto_chatwindow->setValue( 7 );

    grpChatHistoryLayout->addWidget( Number_Auto_chatwindow, 1, 1 );

    numberLabel = new QLabel( grpChatHistory, "numberLabel" );

    grpChatHistoryLayout->addWidget( numberLabel, 1, 0 );

    chkShowPrevious = new QCheckBox( grpChatHistory, "chkShowPrevious" );
    chkShowPrevious->setChecked( TRUE );

    grpChatHistoryLayout->addMultiCellWidget( chkShowPrevious, 0, 0, 0, 1 );
    HistoryPrefsWidgetLayout->addWidget( grpChatHistory );
    spacer2 = new QSpacerItem( 31, 90, QSizePolicy::Minimum, QSizePolicy::Expanding );
    HistoryPrefsWidgetLayout->addItem( spacer2 );
    languageChange();
    resize( QSize(363, 212).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( chkShowPrevious, SIGNAL( toggled(bool) ), numberLabel, SLOT( setEnabled(bool) ) );
    connect( chkShowPrevious, SIGNAL( toggled(bool) ), Number_Auto_chatwindow, SLOT( setEnabled(bool) ) );

    // tab order
    setTabOrder( chkShowPrevious, Number_Auto_chatwindow );
    setTabOrder( Number_Auto_chatwindow, History_color );

    // buddies
    colorLabel->setBuddy( History_color );
    numberLabel->setBuddy( Number_Auto_chatwindow );
}

/*
 *  Destroys the object and frees any allocated resources
 */
HistoryPrefsUI::~HistoryPrefsUI()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void HistoryPrefsUI::languageChange()
{
    setCaption( tr2i18n( "HistoryPrefsWidget" ) );
    grpChatHistory->setTitle( tr2i18n( "Chat History" ) );
    lblNoLinesPerPage->setText( tr2i18n( "Number of messages per page:" ) );
    QWhatsThis::add( lblNoLinesPerPage, tr2i18n( "The number of messages that are shown when browsing history in the chat window" ) );
    QWhatsThis::add( Number_ChatWindow, tr2i18n( "The number of message that are shown when borwsing history in the chat window" ) );
    colorLabel->setText( tr2i18n( "Color of messages:" ) );
    QWhatsThis::add( colorLabel, tr2i18n( "Color of history messages in the chat window" ) );
    History_color->setText( QString::null );
    QWhatsThis::add( History_color, tr2i18n( "Color of history messages in the chat window" ) );
    QWhatsThis::add( Number_Auto_chatwindow, tr2i18n( "This is the number of messages that will be added automatically in the chat window when opening a new chat." ) );
    numberLabel->setText( tr2i18n( "Number of messages to show:" ) );
    QWhatsThis::add( numberLabel, tr2i18n( "This is the number of messages that will be added automatically in the chat window when opening a new chat." ) );
    chkShowPrevious->setText( tr2i18n( "Show chat history in new chats" ) );
    QWhatsThis::add( chkShowPrevious, tr2i18n( "When a new chat is opened, automatically add the last few messages between you and that contact." ) );
}

/****************************************************************************
** HistoryPrefsUI meta object code from reading C++ file 'historyprefsui.h'
**
** Created: Fri Dec 18 10:30:50 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "historyprefsui.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *HistoryPrefsUI::className() const
{
    return "HistoryPrefsUI";
}

QMetaObject *HistoryPrefsUI::metaObj = 0;
static QMetaObjectCleanUp cleanUp_HistoryPrefsUI( "HistoryPrefsUI", &HistoryPrefsUI::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString HistoryPrefsUI::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "HistoryPrefsUI", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString HistoryPrefsUI::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "HistoryPrefsUI", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* HistoryPrefsUI::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"HistoryPrefsUI", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_HistoryPrefsUI.setMetaObject( metaObj );
    return metaObj;
}

void* HistoryPrefsUI::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "HistoryPrefsUI" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool HistoryPrefsUI::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool HistoryPrefsUI::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool HistoryPrefsUI::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool HistoryPrefsUI::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
