#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'nowlisteningprefs.ui'
**
** Created: 2015-12-18T10:31:31
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "nowlisteningprefs.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qframe.h>
#include <qtabwidget.h>
#include <qlineedit.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qcheckbox.h>
#include <klistbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a NowListeningPrefsUI as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
NowListeningPrefsUI::NowListeningPrefsUI( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "NowListeningPrefsUI" );
    NowListeningPrefsUILayout = new QGridLayout( this, 1, 1, 11, 6, "NowListeningPrefsUILayout"); 

    advertiseNewMediaToBuddiesLabel = new QLabel( this, "advertiseNewMediaToBuddiesLabel" );
    advertiseNewMediaToBuddiesLabel->setAlignment( int( QLabel::AlignVCenter ) );

    NowListeningPrefsUILayout->addWidget( advertiseNewMediaToBuddiesLabel, 0, 0 );

    advertiseNewMediaToBuddiesHLine = new QFrame( this, "advertiseNewMediaToBuddiesHLine" );
    advertiseNewMediaToBuddiesHLine->setFrameShape( QFrame::HLine );
    advertiseNewMediaToBuddiesHLine->setFrameShadow( QFrame::Sunken );

    NowListeningPrefsUILayout->addWidget( advertiseNewMediaToBuddiesHLine, 1, 0 );

    tabWidget2 = new QTabWidget( this, "tabWidget2" );

    TabPage = new QWidget( tabWidget2, "TabPage" );
    TabPageLayout = new QVBoxLayout( TabPage, 11, 6, "TabPageLayout"); 

    layout4 = new QVBoxLayout( 0, 0, 6, "layout4"); 

    useThisMessageLabel = new QLabel( TabPage, "useThisMessageLabel" );
    layout4->addWidget( useThisMessageLabel );

    helperLabel = new QLabel( TabPage, "helperLabel" );
    helperLabel->setAlignment( int( QLabel::WordBreak | QLabel::AlignVCenter ) );
    layout4->addWidget( helperLabel );

    layout2 = new QVBoxLayout( 0, 0, 6, "layout2"); 

    m_headerLabel = new QLabel( TabPage, "m_headerLabel" );
    m_headerLabel->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignLeft ) );
    layout2->addWidget( m_headerLabel );

    kcfg_Header = new QLineEdit( TabPage, "kcfg_Header" );
    layout2->addWidget( kcfg_Header );

    m_perTrackLabel = new QLabel( TabPage, "m_perTrackLabel" );
    m_perTrackLabel->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignLeft ) );
    layout2->addWidget( m_perTrackLabel );

    kcfg_PerTrack = new QLineEdit( TabPage, "kcfg_PerTrack" );
    layout2->addWidget( kcfg_PerTrack );

    m_conjunctionLabel = new QLabel( TabPage, "m_conjunctionLabel" );
    m_conjunctionLabel->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignLeft ) );
    layout2->addWidget( m_conjunctionLabel );

    kcfg_Conjunction = new QLineEdit( TabPage, "kcfg_Conjunction" );
    layout2->addWidget( kcfg_Conjunction );
    layout4->addLayout( layout2 );
    TabPageLayout->addLayout( layout4 );
    spacer4 = new QSpacerItem( 20, 40, QSizePolicy::Minimum, QSizePolicy::Expanding );
    TabPageLayout->addItem( spacer4 );
    tabWidget2->insertTab( TabPage, QString::fromLatin1("") );

    tab = new QWidget( tabWidget2, "tab" );
    tabLayout = new QVBoxLayout( tab, 11, 6, "tabLayout"); 

    buttonGroup2 = new QButtonGroup( tab, "buttonGroup2" );
    buttonGroup2->setFrameShape( QButtonGroup::NoFrame );
    buttonGroup2->setColumnLayout(0, Qt::Vertical );
    buttonGroup2->layout()->setSpacing( 6 );
    buttonGroup2->layout()->setMargin( 11 );
    buttonGroup2Layout = new QVBoxLayout( buttonGroup2->layout() );
    buttonGroup2Layout->setAlignment( Qt::AlignTop );

    kcfg_ExplicitAdvertising = new QRadioButton( buttonGroup2, "kcfg_ExplicitAdvertising" );
    buttonGroup2Layout->addWidget( kcfg_ExplicitAdvertising );

    kcfg_ChatAdvertising = new QRadioButton( buttonGroup2, "kcfg_ChatAdvertising" );
    buttonGroup2Layout->addWidget( kcfg_ChatAdvertising );

    kcfg_StatusAdvertising = new QRadioButton( buttonGroup2, "kcfg_StatusAdvertising" );
    buttonGroup2Layout->addWidget( kcfg_StatusAdvertising );

    kcfg_AppendStatusAdvertising = new QRadioButton( buttonGroup2, "kcfg_AppendStatusAdvertising" );
    buttonGroup2Layout->addWidget( kcfg_AppendStatusAdvertising );
    tabLayout->addWidget( buttonGroup2 );
    spacer3 = new QSpacerItem( 20, 80, QSizePolicy::Minimum, QSizePolicy::Expanding );
    tabLayout->addItem( spacer3 );
    tabWidget2->insertTab( tab, QString::fromLatin1("") );

    tab_2 = new QWidget( tabWidget2, "tab_2" );
    tabLayout_2 = new QVBoxLayout( tab_2, 11, 6, "tabLayout_2"); 

    layout2_2 = new QVBoxLayout( 0, 0, 6, "layout2_2"); 

    kcfg_UseSpecifiedMediaPlayer = new QCheckBox( tab_2, "kcfg_UseSpecifiedMediaPlayer" );
    layout2_2->addWidget( kcfg_UseSpecifiedMediaPlayer );

    kcfg_SelectedMediaPlayer = new KListBox( tab_2, "kcfg_SelectedMediaPlayer" );
    kcfg_SelectedMediaPlayer->setEnabled( FALSE );
    kcfg_SelectedMediaPlayer->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, kcfg_SelectedMediaPlayer->sizePolicy().hasHeightForWidth() ) );
    kcfg_SelectedMediaPlayer->setColumnMode( KListBox::FixedNumber );
    kcfg_SelectedMediaPlayer->setRowMode( KListBox::Variable );
    kcfg_SelectedMediaPlayer->setVariableHeight( FALSE );
    layout2_2->addWidget( kcfg_SelectedMediaPlayer );
    tabLayout_2->addLayout( layout2_2 );
    spacer5 = new QSpacerItem( 20, 40, QSizePolicy::Minimum, QSizePolicy::Expanding );
    tabLayout_2->addItem( spacer5 );
    tabWidget2->insertTab( tab_2, QString::fromLatin1("") );

    NowListeningPrefsUILayout->addWidget( tabWidget2, 2, 0 );
    spacer6 = new QSpacerItem( 20, 40, QSizePolicy::Minimum, QSizePolicy::Expanding );
    NowListeningPrefsUILayout->addItem( spacer6, 3, 0 );
    languageChange();
    resize( QSize(391, 370).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( kcfg_UseSpecifiedMediaPlayer, SIGNAL( toggled(bool) ), kcfg_SelectedMediaPlayer, SLOT( setEnabled(bool) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
NowListeningPrefsUI::~NowListeningPrefsUI()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void NowListeningPrefsUI::languageChange()
{
    setCaption( tr2i18n( "Now Listening" ) );
    advertiseNewMediaToBuddiesLabel->setText( tr2i18n( "<b>Share Your Musical Taste</b>" ) );
    useThisMessageLabel->setText( tr2i18n( "Use this message when advertising:" ) );
    helperLabel->setText( tr2i18n( "%track, %artist, %album, %player will be substituted if known.\n"
"Expressions in brackets depend on a substitution being made." ) );
    m_headerLabel->setText( tr2i18n( "Start with:" ) );
    kcfg_Header->setText( tr2i18n( "Now Listening To: " ) );
    m_perTrackLabel->setText( tr2i18n( "For each track:" ) );
    kcfg_PerTrack->setText( tr2i18n( "%track (by %artist)(on %album)" ) );
    m_conjunctionLabel->setText( tr2i18n( "Conjunction (if >1 track):" ) );
    kcfg_Conjunction->setText( tr2i18n( ", and " ) );
    tabWidget2->changeTab( TabPage, tr2i18n( "Messa&ge" ) );
    buttonGroup2->setTitle( QString::null );
    kcfg_ExplicitAdvertising->setText( tr2i18n( "Explicit &via \"Tools->Send Media Info\",\n"
"or by typing \"/media\" in the chat\n"
"window edit area." ) );
    kcfg_ChatAdvertising->setText( tr2i18n( "&Show in chat window (automatic)" ) );
    kcfg_StatusAdvertising->setText( tr2i18n( "Show &the music you are listening to \n"
"in place of your status message." ) );
    kcfg_AppendStatusAdvertising->setText( tr2i18n( "Appe&nd to your status message" ) );
    tabWidget2->changeTab( tab, tr2i18n( "A&dvertising Mode" ) );
    kcfg_UseSpecifiedMediaPlayer->setText( tr2i18n( "Use &specified media player" ) );
    tabWidget2->changeTab( tab_2, tr2i18n( "Media Pla&yer" ) );
}

/****************************************************************************
** NowListeningPrefsUI meta object code from reading C++ file 'nowlisteningprefs.h'
**
** Created: Fri Dec 18 10:31:31 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "nowlisteningprefs.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *NowListeningPrefsUI::className() const
{
    return "NowListeningPrefsUI";
}

QMetaObject *NowListeningPrefsUI::metaObj = 0;
static QMetaObjectCleanUp cleanUp_NowListeningPrefsUI( "NowListeningPrefsUI", &NowListeningPrefsUI::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString NowListeningPrefsUI::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "NowListeningPrefsUI", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString NowListeningPrefsUI::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "NowListeningPrefsUI", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* NowListeningPrefsUI::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"NowListeningPrefsUI", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_NowListeningPrefsUI.setMetaObject( metaObj );
    return metaObj;
}

void* NowListeningPrefsUI::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "NowListeningPrefsUI" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool NowListeningPrefsUI::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool NowListeningPrefsUI::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool NowListeningPrefsUI::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool NowListeningPrefsUI::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
