#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'smpppdlocationui.ui'
**
** Created: 2015-12-18T10:32:25
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "smpppdlocationui.h"

#include <qvariant.h>
#include <qlabel.h>
#include <klineedit.h>
#include <knuminput.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a SMPPPDLocationWidgetBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
SMPPPDLocationWidgetBase::SMPPPDLocationWidgetBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "SMPPPDLocationWidgetBase" );
    SMPPPDLocationWidgetBaseLayout = new QVBoxLayout( this, 0, 6, "SMPPPDLocationWidgetBaseLayout"); 

    textLabel1 = new QLabel( this, "textLabel1" );
    SMPPPDLocationWidgetBaseLayout->addWidget( textLabel1 );

    server = new KLineEdit( this, "server" );
    server->setCursor( QCursor( 4 ) );
    server->setMaxLength( 256 );
    SMPPPDLocationWidgetBaseLayout->addWidget( server );

    textLabel2 = new QLabel( this, "textLabel2" );
    SMPPPDLocationWidgetBaseLayout->addWidget( textLabel2 );

    layout14 = new QHBoxLayout( 0, 0, 6, "layout14"); 

    port = new KIntNumInput( this, "port" );
    port->setCursor( QCursor( 4 ) );
    port->setValue( 3185 );
    port->setMinValue( 0 );
    layout14->addWidget( port );

    textLabel3 = new QLabel( this, "textLabel3" );
    layout14->addWidget( textLabel3 );
    spacer15 = new QSpacerItem( 130, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout14->addItem( spacer15 );
    SMPPPDLocationWidgetBaseLayout->addLayout( layout14 );

    m_passwordLabel = new QLabel( this, "m_passwordLabel" );
    SMPPPDLocationWidgetBaseLayout->addWidget( m_passwordLabel );

    Password = new KLineEdit( this, "Password" );
    Password->setCursor( QCursor( 4 ) );
    Password->setEchoMode( KLineEdit::Password );
    SMPPPDLocationWidgetBaseLayout->addWidget( Password );
    languageChange();
    resize( QSize(365, 167).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // buddies
    textLabel1->setBuddy( server );
    textLabel2->setBuddy( port );
    m_passwordLabel->setBuddy( Password );
}

/*
 *  Destroys the object and frees any allocated resources
 */
SMPPPDLocationWidgetBase::~SMPPPDLocationWidgetBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void SMPPPDLocationWidgetBase::languageChange()
{
    setCaption( tr2i18n( "SMPPPDLocation" ) );
    textLabel1->setText( tr2i18n( "Ser&ver:" ) );
    server->setText( tr2i18n( "localhost" ) );
    QToolTip::add( server, tr2i18n( "The server on which the SMPPPD is running" ) );
    textLabel2->setText( tr2i18n( "P&ort:" ) );
    QToolTip::add( port, tr2i18n( "The port on which the SMPPPD is running on" ) );
    textLabel3->setText( tr2i18n( "Default: 3185" ) );
    m_passwordLabel->setText( tr2i18n( "Pass&word:" ) );
    QToolTip::add( Password, tr2i18n( "The password to authenticate with the smpppd" ) );
}

/****************************************************************************
** SMPPPDLocationWidgetBase meta object code from reading C++ file 'smpppdlocationui.h'
**
** Created: Fri Dec 18 10:32:25 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "smpppdlocationui.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *SMPPPDLocationWidgetBase::className() const
{
    return "SMPPPDLocationWidgetBase";
}

QMetaObject *SMPPPDLocationWidgetBase::metaObj = 0;
static QMetaObjectCleanUp cleanUp_SMPPPDLocationWidgetBase( "SMPPPDLocationWidgetBase", &SMPPPDLocationWidgetBase::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString SMPPPDLocationWidgetBase::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "SMPPPDLocationWidgetBase", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString SMPPPDLocationWidgetBase::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "SMPPPDLocationWidgetBase", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* SMPPPDLocationWidgetBase::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"SMPPPDLocationWidgetBase", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_SMPPPDLocationWidgetBase.setMetaObject( metaObj );
    return metaObj;
}

void* SMPPPDLocationWidgetBase::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "SMPPPDLocationWidgetBase" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool SMPPPDLocationWidgetBase::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool SMPPPDLocationWidgetBase::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool SMPPPDLocationWidgetBase::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool SMPPPDLocationWidgetBase::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
