#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'texteffectprefs.ui'
**
** Created: 2015-12-18T10:31:44
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "texteffectprefs.h"

#include <qvariant.h>
#include <knuminput.h>
#include <qpushbutton.h>
#include <qtabwidget.h>
#include <qgroupbox.h>
#include <klistbox.h>
#include <qcheckbox.h>
#include <qframe.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a TextEffectPrefs as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
TextEffectPrefs::TextEffectPrefs( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "TextEffectPrefs" );
    TextEffectPrefsLayout = new QGridLayout( this, 1, 1, 5, 0, "TextEffectPrefsLayout"); 

    TabWidget3 = new QTabWidget( this, "TabWidget3" );

    tab = new QWidget( TabWidget3, "tab" );
    tabLayout = new QGridLayout( tab, 1, 1, 11, 6, "tabLayout"); 

    groupBox1 = new QGroupBox( tab, "groupBox1" );
    groupBox1->setColumnLayout(0, Qt::Vertical );
    groupBox1->layout()->setSpacing( 6 );
    groupBox1->layout()->setMargin( 11 );
    groupBox1Layout = new QGridLayout( groupBox1->layout() );
    groupBox1Layout->setAlignment( Qt::AlignTop );

    mColorsListBox = new KListBox( groupBox1, "mColorsListBox" );

    groupBox1Layout->addMultiCellWidget( mColorsListBox, 0, 4, 0, 0 );

    mColorsAdd = new QPushButton( groupBox1, "mColorsAdd" );

    groupBox1Layout->addWidget( mColorsAdd, 0, 1 );

    mColorsRemove = new QPushButton( groupBox1, "mColorsRemove" );

    groupBox1Layout->addWidget( mColorsRemove, 1, 1 );

    mColorsUp = new QPushButton( groupBox1, "mColorsUp" );

    groupBox1Layout->addWidget( mColorsUp, 2, 1 );

    mColorsDown = new QPushButton( groupBox1, "mColorsDown" );

    groupBox1Layout->addWidget( mColorsDown, 3, 1 );
    spacer2 = new QSpacerItem( 21, 81, QSizePolicy::Minimum, QSizePolicy::Expanding );
    groupBox1Layout->addItem( spacer2, 4, 1 );

    tabLayout->addWidget( groupBox1, 0, 0 );

    m_colorRandom = new QCheckBox( tab, "m_colorRandom" );

    tabLayout->addWidget( m_colorRandom, 1, 0 );

    Line1 = new QFrame( tab, "Line1" );
    Line1->setFrameShape( QFrame::HLine );
    Line1->setFrameShadow( QFrame::Sunken );
    Line1->setFrameShape( QFrame::HLine );

    tabLayout->addWidget( Line1, 2, 0 );

    m_fg = new QCheckBox( tab, "m_fg" );

    tabLayout->addWidget( m_fg, 3, 0 );

    m_char = new QCheckBox( tab, "m_char" );

    tabLayout->addWidget( m_char, 4, 0 );

    m_words = new QCheckBox( tab, "m_words" );

    tabLayout->addWidget( m_words, 5, 0 );
    TabWidget3->insertTab( tab, QString::fromLatin1("") );

    tab_2 = new QWidget( TabWidget3, "tab_2" );
    tabLayout_2 = new QVBoxLayout( tab_2, 11, 6, "tabLayout_2"); 

    m_lamer = new QCheckBox( tab_2, "m_lamer" );
    m_lamer->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, m_lamer->sizePolicy().hasHeightForWidth() ) );
    tabLayout_2->addWidget( m_lamer );

    m_casewaves = new QCheckBox( tab_2, "m_casewaves" );
    m_casewaves->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, m_casewaves->sizePolicy().hasHeightForWidth() ) );
    tabLayout_2->addWidget( m_casewaves );
    Spacer5_2 = new QSpacerItem( 20, 279, QSizePolicy::Minimum, QSizePolicy::Expanding );
    tabLayout_2->addItem( Spacer5_2 );
    TabWidget3->insertTab( tab_2, QString::fromLatin1("") );

    TextEffectPrefsLayout->addWidget( TabWidget3, 0, 0 );
    languageChange();
    resize( QSize(630, 529).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
}

/*
 *  Destroys the object and frees any allocated resources
 */
TextEffectPrefs::~TextEffectPrefs()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void TextEffectPrefs::languageChange()
{
    groupBox1->setTitle( tr2i18n( "Colors" ) );
    mColorsAdd->setText( tr2i18n( "&Add..." ) );
    mColorsRemove->setText( tr2i18n( "&Remove" ) );
    mColorsUp->setText( tr2i18n( "Move &Up" ) );
    mColorsDown->setText( tr2i18n( "Move &Down" ) );
    m_colorRandom->setText( tr2i18n( "Random order" ) );
    m_fg->setText( tr2i18n( "Change global text foreground color" ) );
    m_char->setText( tr2i18n( "Change color every letter" ) );
    m_words->setText( tr2i18n( "Change color every word" ) );
    TabWidget3->changeTab( tab, tr2i18n( "&Colors" ) );
    m_lamer->setText( tr2i18n( "L4m3r t4lk" ) );
    m_casewaves->setText( tr2i18n( "CasE wAVes" ) );
    TabWidget3->changeTab( tab_2, tr2i18n( "Effects" ) );
}

/****************************************************************************
** TextEffectPrefs meta object code from reading C++ file 'texteffectprefs.h'
**
** Created: Fri Dec 18 10:31:44 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "texteffectprefs.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *TextEffectPrefs::className() const
{
    return "TextEffectPrefs";
}

QMetaObject *TextEffectPrefs::metaObj = 0;
static QMetaObjectCleanUp cleanUp_TextEffectPrefs( "TextEffectPrefs", &TextEffectPrefs::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString TextEffectPrefs::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "TextEffectPrefs", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString TextEffectPrefs::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "TextEffectPrefs", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* TextEffectPrefs::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"TextEffectPrefs", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_TextEffectPrefs.setMetaObject( metaObj );
    return metaObj;
}

void* TextEffectPrefs::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "TextEffectPrefs" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool TextEffectPrefs::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool TextEffectPrefs::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool TextEffectPrefs::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool TextEffectPrefs::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
