#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'gaduawayui.ui'
**
** Created: 2015-12-18T10:30:03
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "gaduawayui.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a GaduAwayUI as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
GaduAwayUI::GaduAwayUI( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "GaduAwayUI" );
    setBackgroundOrigin( QWidget::WidgetOrigin );
    setFocusPolicy( QWidget::TabFocus );
    GaduAwayUILayout = new QGridLayout( this, 1, 1, 0, 6, "GaduAwayUILayout"); 

    layout3 = new QVBoxLayout( 0, 0, 6, "layout3"); 

    statusGroup_ = new QButtonGroup( this, "statusGroup_" );
    statusGroup_->setColumnLayout(0, Qt::Vertical );
    statusGroup_->layout()->setSpacing( 6 );
    statusGroup_->layout()->setMargin( 11 );
    statusGroup_Layout = new QGridLayout( statusGroup_->layout() );
    statusGroup_Layout->setAlignment( Qt::AlignTop );

    layout2 = new QVBoxLayout( 0, 0, 6, "layout2"); 

    onlineButton_ = new QRadioButton( statusGroup_, "onlineButton_" );
    statusGroup_->insert( onlineButton_, 4 );
    layout2->addWidget( onlineButton_ );

    awayButton_ = new QRadioButton( statusGroup_, "awayButton_" );
    statusGroup_->insert( awayButton_, 5 );
    layout2->addWidget( awayButton_ );

    invisibleButton_ = new QRadioButton( statusGroup_, "invisibleButton_" );
    statusGroup_->insert( invisibleButton_, 22 );
    layout2->addWidget( invisibleButton_ );

    offlineButton_ = new QRadioButton( statusGroup_, "offlineButton_" );
    statusGroup_->insert( offlineButton_, 21 );
    layout2->addWidget( offlineButton_ );

    statusGroup_Layout->addLayout( layout2, 0, 0 );
    layout3->addWidget( statusGroup_ );

    layout278 = new QHBoxLayout( 0, 0, 6, "layout278"); 

    textLabel3 = new QLabel( this, "textLabel3" );
    layout278->addWidget( textLabel3 );

    textEdit_ = new QLineEdit( this, "textEdit_" );
    textEdit_->setAcceptDrops( FALSE );
    textEdit_->setMaxLength( 70 );
    layout278->addWidget( textEdit_ );
    layout3->addLayout( layout278 );

    GaduAwayUILayout->addLayout( layout3, 0, 0 );
    languageChange();
    resize( QSize(332, 188).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( textEdit_, onlineButton_ );
    setTabOrder( onlineButton_, awayButton_ );
    setTabOrder( awayButton_, invisibleButton_ );
    setTabOrder( invisibleButton_, offlineButton_ );

    // buddies
    textLabel3->setBuddy( textEdit_ );
}

/*
 *  Destroys the object and frees any allocated resources
 */
GaduAwayUI::~GaduAwayUI()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void GaduAwayUI::languageChange()
{
    setCaption( tr2i18n( "Away Dialog" ) );
    statusGroup_->setTitle( tr2i18n( "Status" ) );
    QWhatsThis::add( statusGroup_, tr2i18n( "Choose status, by default present status is selected. \n"
"So all you need to do is just to type in your description. \n"
"Choosing Offline status will disconnect you, with given description." ) );
    onlineButton_->setText( tr2i18n( "O&nline" ) );
    QToolTip::add( onlineButton_, tr2i18n( "Set your status to Online." ) );
    QWhatsThis::add( onlineButton_, tr2i18n( "Set your status to Online, indicating that you are available to chat with anyone who wishes." ) );
    awayButton_->setText( tr2i18n( "&Busy" ) );
    QToolTip::add( awayButton_, tr2i18n( "Set your status to busy." ) );
    QWhatsThis::add( awayButton_, tr2i18n( "Set your status to busy, indicating that you may should not be bothered with trivial chat, and may not be able to reply immediately." ) );
    invisibleButton_->setText( tr2i18n( "&Invisible" ) );
    QToolTip::add( invisibleButton_, tr2i18n( "Set status to invisible, which will hide your presence from other users." ) );
    QWhatsThis::add( invisibleButton_, tr2i18n( "Set status to invisible, which will hide your presence from other users (who will see you as offline).  However you may still chat, and see the online presence of others." ) );
    offlineButton_->setText( tr2i18n( "O&ffline" ) );
    QToolTip::add( offlineButton_, tr2i18n( "Choose this status to disconnect with description entered below." ) );
    QWhatsThis::add( offlineButton_, tr2i18n( "Choose this status to disconnect with description entered below." ) );
    textLabel3->setText( tr2i18n( "&Message:" ) );
    QToolTip::add( textLabel3, tr2i18n( "Description of your status." ) );
    QWhatsThis::add( textLabel3, tr2i18n( "Description of your status (up to 70 characters)." ) );
    QToolTip::add( textEdit_, tr2i18n( "Description of your status." ) );
    QWhatsThis::add( textEdit_, tr2i18n( "Description of your status (up to 70 characters)." ) );
}

/****************************************************************************
** GaduAwayUI meta object code from reading C++ file 'gaduawayui.h'
**
** Created: Fri Dec 18 10:30:03 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "gaduawayui.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *GaduAwayUI::className() const
{
    return "GaduAwayUI";
}

QMetaObject *GaduAwayUI::metaObj = 0;
static QMetaObjectCleanUp cleanUp_GaduAwayUI( "GaduAwayUI", &GaduAwayUI::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString GaduAwayUI::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "GaduAwayUI", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString GaduAwayUI::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "GaduAwayUI", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* GaduAwayUI::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"GaduAwayUI", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_GaduAwayUI.setMetaObject( metaObj );
    return metaObj;
}

void* GaduAwayUI::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "GaduAwayUI" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool GaduAwayUI::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool GaduAwayUI::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool GaduAwayUI::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool GaduAwayUI::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
