#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'gwaccountpreferences.ui'
**
** Created: 2015-12-18T10:20:56
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "gwaccountpreferences.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qtabwidget.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qcheckbox.h>
#include <qframe.h>
#include <qspinbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "kopetepasswordwidget.h"

/*
 *  Constructs a GroupWiseAccountPreferences as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
GroupWiseAccountPreferences::GroupWiseAccountPreferences( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "GroupWiseAccountPreferences" );
    GroupWiseAccountPreferencesLayout = new QVBoxLayout( this, 0, 0, "GroupWiseAccountPreferencesLayout"); 

    tabWidget11 = new QTabWidget( this, "tabWidget11" );

    tab = new QWidget( tabWidget11, "tab" );
    tabLayout = new QVBoxLayout( tab, 11, 6, "tabLayout"); 

    groupBox55 = new QGroupBox( tab, "groupBox55" );
    groupBox55->setColumnLayout(0, Qt::Vertical );
    groupBox55->layout()->setSpacing( 6 );
    groupBox55->layout()->setMargin( 11 );
    groupBox55Layout = new QVBoxLayout( groupBox55->layout() );
    groupBox55Layout->setAlignment( Qt::AlignTop );

    layout1 = new QHBoxLayout( 0, 0, 6, "layout1"); 

    textLabel1 = new QLabel( groupBox55, "textLabel1" );
    layout1->addWidget( textLabel1 );

    m_userId = new QLineEdit( groupBox55, "m_userId" );
    layout1->addWidget( m_userId );
    groupBox55Layout->addLayout( layout1 );

    m_password = new Kopete::UI::PasswordWidget( groupBox55, "m_password" );
    groupBox55Layout->addWidget( m_password );

    m_autoConnect = new QCheckBox( groupBox55, "m_autoConnect" );
    groupBox55Layout->addWidget( m_autoConnect );

    line1 = new QFrame( groupBox55, "line1" );
    line1->setFrameShape( QFrame::HLine );
    line1->setFrameShadow( QFrame::Sunken );
    line1->setFrameShape( QFrame::HLine );
    groupBox55Layout->addWidget( line1 );

    layout66 = new QHBoxLayout( 0, 0, 6, "layout66"); 

    labelServer = new QLabel( groupBox55, "labelServer" );
    labelServer->setEnabled( TRUE );
    labelServer->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, labelServer->sizePolicy().hasHeightForWidth() ) );
    layout66->addWidget( labelServer );

    m_server = new QLineEdit( groupBox55, "m_server" );
    m_server->setEnabled( TRUE );
    layout66->addWidget( m_server );

    labelPort = new QLabel( groupBox55, "labelPort" );
    labelPort->setEnabled( TRUE );
    labelPort->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, labelPort->sizePolicy().hasHeightForWidth() ) );
    layout66->addWidget( labelPort );

    m_port = new QSpinBox( groupBox55, "m_port" );
    m_port->setEnabled( TRUE );
    m_port->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, m_port->sizePolicy().hasHeightForWidth() ) );
    m_port->setButtonSymbols( QSpinBox::UpDownArrows );
    m_port->setMaxValue( 65535 );
    m_port->setMinValue( 1 );
    m_port->setValue( 8300 );
    layout66->addWidget( m_port );
    groupBox55Layout->addLayout( layout66 );
    tabLayout->addWidget( groupBox55 );
    tabWidget11->insertTab( tab, QString::fromLatin1("") );

    TabPage = new QWidget( tabWidget11, "TabPage" );
    TabPageLayout = new QVBoxLayout( TabPage, 11, 6, "TabPageLayout"); 

    m_alwaysAccept = new QCheckBox( TabPage, "m_alwaysAccept" );
    TabPageLayout->addWidget( m_alwaysAccept );
    spacer7 = new QSpacerItem( 20, 91, QSizePolicy::Minimum, QSizePolicy::Expanding );
    TabPageLayout->addItem( spacer7 );
    tabWidget11->insertTab( TabPage, QString::fromLatin1("") );
    GroupWiseAccountPreferencesLayout->addWidget( tabWidget11 );

    labelStatusMessage = new QLabel( this, "labelStatusMessage" );
    labelStatusMessage->setAlignment( int( QLabel::AlignCenter ) );
    GroupWiseAccountPreferencesLayout->addWidget( labelStatusMessage );
    languageChange();
    resize( QSize(366, 404).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // buddies
    textLabel1->setBuddy( m_userId );
    labelServer->setBuddy( m_server );
    labelPort->setBuddy( m_port );
}

/*
 *  Destroys the object and frees any allocated resources
 */
GroupWiseAccountPreferences::~GroupWiseAccountPreferences()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void GroupWiseAccountPreferences::languageChange()
{
    setCaption( tr2i18n( "Account Preferences - Groupwise" ) );
    groupBox55->setTitle( tr2i18n( "Account Information" ) );
    textLabel1->setText( tr2i18n( "&User ID:" ) );
    QToolTip::add( textLabel1, tr2i18n( "The account name of your account." ) );
    QWhatsThis::add( textLabel1, tr2i18n( "The account name of your account." ) );
    QToolTip::add( m_userId, tr2i18n( "The account name of your account." ) );
    QWhatsThis::add( m_userId, tr2i18n( "The account name of your account." ) );
    m_autoConnect->setText( tr2i18n( "E&xclude from connect all" ) );
    QWhatsThis::add( m_autoConnect, tr2i18n( "Check to disable automatic connection.  If checked, you may connect to this account manually using the icon in the bottom of the main Kopete window" ) );
    labelServer->setText( tr2i18n( "Ser&ver:" ) );
    QToolTip::add( labelServer, tr2i18n( "The IP address or hostname of the server you would like to connect to." ) );
    QWhatsThis::add( labelServer, tr2i18n( "The IP address or hostname of the server you would like to connect to (for example im.yourcorp.com)." ) );
    m_server->setText( QString::null );
    QToolTip::add( m_server, tr2i18n( "The IP address or hostname of the server you would like to connect to." ) );
    QWhatsThis::add( m_server, tr2i18n( "The IP address or hostname of the server you would like to connect to (for example im.yourcorp.com)." ) );
    labelPort->setText( tr2i18n( "Po&rt:" ) );
    QToolTip::add( labelPort, tr2i18n( "The port on the server that you would like to connect to." ) );
    QWhatsThis::add( labelPort, tr2i18n( "The port on the server that you would like to connect to (default is 5222)." ) );
    QToolTip::add( m_port, tr2i18n( "The port on the server that you would like to connect to." ) );
    QWhatsThis::add( m_port, tr2i18n( "The port on the server that you would like to connect to (default is 5222)." ) );
    tabWidget11->changeTab( tab, tr2i18n( "B&asic Setup" ) );
    m_alwaysAccept->setText( tr2i18n( "A&lways accept invitations" ) );
    tabWidget11->changeTab( TabPage, tr2i18n( "Advanced &Options" ) );
    labelStatusMessage->setText( QString::null );
}

/****************************************************************************
** GroupWiseAccountPreferences meta object code from reading C++ file 'gwaccountpreferences.h'
**
** Created: Fri Dec 18 10:20:56 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "gwaccountpreferences.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *GroupWiseAccountPreferences::className() const
{
    return "GroupWiseAccountPreferences";
}

QMetaObject *GroupWiseAccountPreferences::metaObj = 0;
static QMetaObjectCleanUp cleanUp_GroupWiseAccountPreferences( "GroupWiseAccountPreferences", &GroupWiseAccountPreferences::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString GroupWiseAccountPreferences::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "GroupWiseAccountPreferences", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString GroupWiseAccountPreferences::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "GroupWiseAccountPreferences", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* GroupWiseAccountPreferences::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"GroupWiseAccountPreferences", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_GroupWiseAccountPreferences.setMetaObject( metaObj );
    return metaObj;
}

void* GroupWiseAccountPreferences::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "GroupWiseAccountPreferences" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool GroupWiseAccountPreferences::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool GroupWiseAccountPreferences::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool GroupWiseAccountPreferences::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool GroupWiseAccountPreferences::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
