#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'gwcontactpropswidget.ui'
**
** Created: 2015-12-18T10:20:57
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "gwcontactpropswidget.h"

#include <qvariant.h>
#include <qlabel.h>
#include <qframe.h>
#include <qlineedit.h>
#include <qheader.h>
#include <klistview.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a GroupWiseContactPropsWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
GroupWiseContactPropsWidget::GroupWiseContactPropsWidget( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "GroupWiseContactPropsWidget" );
    GroupWiseContactPropsWidgetLayout = new QVBoxLayout( this, 11, 6, "GroupWiseContactPropsWidgetLayout"); 

    m_userId = new QLabel( this, "m_userId" );
    m_userId->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 3, 0, m_userId->sizePolicy().hasHeightForWidth() ) );
    GroupWiseContactPropsWidgetLayout->addWidget( m_userId );

    line4 = new QFrame( this, "line4" );
    line4->setFrameShape( QFrame::HLine );
    line4->setFrameShadow( QFrame::Sunken );
    line4->setFrameShape( QFrame::HLine );
    GroupWiseContactPropsWidgetLayout->addWidget( line4 );

    layout15 = new QGridLayout( 0, 1, 1, 0, 6, "layout15"); 

    m_lastName = new QLineEdit( this, "m_lastName" );
    m_lastName->setReadOnly( TRUE );

    layout15->addWidget( m_lastName, 4, 1 );

    textLabel14 = new QLabel( this, "textLabel14" );

    layout15->addWidget( textLabel14, 0, 0 );

    m_displayName = new QLineEdit( this, "m_displayName" );
    m_displayName->setReadOnly( FALSE );

    layout15->addWidget( m_displayName, 2, 1 );

    m_status = new QLabel( this, "m_status" );

    layout15->addMultiCellWidget( m_status, 0, 1, 1, 1 );

    textLabel10 = new QLabel( this, "textLabel10" );

    layout15->addWidget( textLabel10, 3, 0 );

    lbl_displayName = new QLabel( this, "lbl_displayName" );

    layout15->addMultiCellWidget( lbl_displayName, 1, 2, 0, 0 );

    m_firstName = new QLineEdit( this, "m_firstName" );
    m_firstName->setReadOnly( TRUE );

    layout15->addWidget( m_firstName, 3, 1 );

    textLabel11 = new QLabel( this, "textLabel11" );

    layout15->addWidget( textLabel11, 4, 0 );
    GroupWiseContactPropsWidgetLayout->addLayout( layout15 );

    line1_2 = new QFrame( this, "line1_2" );
    line1_2->setFrameShape( QFrame::HLine );
    line1_2->setFrameShadow( QFrame::Sunken );
    line1_2->setFrameShape( QFrame::HLine );
    GroupWiseContactPropsWidgetLayout->addWidget( line1_2 );

    textLabel15 = new QLabel( this, "textLabel15" );
    GroupWiseContactPropsWidgetLayout->addWidget( textLabel15 );

    m_propsView = new KListView( this, "m_propsView" );
    m_propsView->addColumn( tr2i18n( "Property" ) );
    m_propsView->addColumn( tr2i18n( "Value" ) );
    m_propsView->setAllColumnsShowFocus( TRUE );
    m_propsView->setResizeMode( KListView::AllColumns );
    m_propsView->setFullWidth( TRUE );
    m_propsView->setItemsMovable( FALSE );
    GroupWiseContactPropsWidgetLayout->addWidget( m_propsView );
    languageChange();
    resize( QSize(373, 444).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // buddies
    lbl_displayName->setBuddy( m_displayName );
}

/*
 *  Destroys the object and frees any allocated resources
 */
GroupWiseContactPropsWidget::~GroupWiseContactPropsWidget()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void GroupWiseContactPropsWidget::languageChange()
{
    m_userId->setText( tr2i18n( "USER_ID" ) );
    m_lastName->setText( QString::null );
    QToolTip::add( m_lastName, tr2i18n( "Change the display name used for this contact" ) );
    textLabel14->setText( tr2i18n( "Status:" ) );
    m_displayName->setText( QString::null );
    QToolTip::add( m_displayName, tr2i18n( "Change the display name used for this contact" ) );
    m_status->setText( tr2i18n( "USER_STATUS" ) );
    textLabel10->setText( tr2i18n( "First name:" ) );
    lbl_displayName->setText( tr2i18n( "&Display name:" ) );
    m_firstName->setText( QString::null );
    QToolTip::add( m_firstName, tr2i18n( "Change the display name used for this contact" ) );
    textLabel11->setText( tr2i18n( "Last name:" ) );
    textLabel15->setText( tr2i18n( "Additional properties:" ) );
    m_propsView->header()->setLabel( 0, tr2i18n( "Property" ) );
    m_propsView->header()->setLabel( 1, tr2i18n( "Value" ) );
}

/****************************************************************************
** GroupWiseContactPropsWidget meta object code from reading C++ file 'gwcontactpropswidget.h'
**
** Created: Fri Dec 18 10:20:57 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "gwcontactpropswidget.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *GroupWiseContactPropsWidget::className() const
{
    return "GroupWiseContactPropsWidget";
}

QMetaObject *GroupWiseContactPropsWidget::metaObj = 0;
static QMetaObjectCleanUp cleanUp_GroupWiseContactPropsWidget( "GroupWiseContactPropsWidget", &GroupWiseContactPropsWidget::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString GroupWiseContactPropsWidget::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "GroupWiseContactPropsWidget", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString GroupWiseContactPropsWidget::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "GroupWiseContactPropsWidget", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* GroupWiseContactPropsWidget::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"GroupWiseContactPropsWidget", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_GroupWiseContactPropsWidget.setMetaObject( metaObj );
    return metaObj;
}

void* GroupWiseContactPropsWidget::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "GroupWiseContactPropsWidget" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool GroupWiseContactPropsWidget::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool GroupWiseContactPropsWidget::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool GroupWiseContactPropsWidget::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool GroupWiseContactPropsWidget::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
