#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'aimjoinchatbase.ui'
**
** Created: 2015-12-18T10:24:17
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "aimjoinchatbase.h"

#include <qvariant.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qcombobox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a AIMJoinChatBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
AIMJoinChatBase::AIMJoinChatBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "AIMJoinChatBase" );
    AIMJoinChatBaseLayout = new QGridLayout( this, 1, 1, 0, 6, "AIMJoinChatBaseLayout"); 

    textLabel3 = new QLabel( this, "textLabel3" );

    AIMJoinChatBaseLayout->addMultiCellWidget( textLabel3, 0, 0, 0, 2 );
    spacer4 = new QSpacerItem( 20, 16, QSizePolicy::Minimum, QSizePolicy::Fixed );
    AIMJoinChatBaseLayout->addItem( spacer4, 1, 0 );
    spacer3 = new QSpacerItem( 60, 20, QSizePolicy::Maximum, QSizePolicy::Minimum );
    AIMJoinChatBaseLayout->addItem( spacer3, 2, 0 );

    textLabel1 = new QLabel( this, "textLabel1" );

    AIMJoinChatBaseLayout->addWidget( textLabel1, 2, 1 );

    textLabel2 = new QLabel( this, "textLabel2" );

    AIMJoinChatBaseLayout->addWidget( textLabel2, 3, 1 );

    roomName = new QLineEdit( this, "roomName" );
    roomName->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)0, 0, 0, roomName->sizePolicy().hasHeightForWidth() ) );

    AIMJoinChatBaseLayout->addWidget( roomName, 2, 2 );

    exchange = new QComboBox( FALSE, this, "exchange" );

    AIMJoinChatBaseLayout->addWidget( exchange, 3, 2 );
    spacer2 = new QSpacerItem( 20, 16, QSizePolicy::Minimum, QSizePolicy::Expanding );
    AIMJoinChatBaseLayout->addItem( spacer2, 4, 2 );
    languageChange();
    resize( QSize(343, 99).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // buddies
    textLabel1->setBuddy( roomName );
    textLabel2->setBuddy( exchange );
}

/*
 *  Destroys the object and frees any allocated resources
 */
AIMJoinChatBase::~AIMJoinChatBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void AIMJoinChatBase::languageChange()
{
    textLabel3->setText( tr2i18n( "Please enter the name of the chat room you wish to join." ) );
    textLabel1->setText( tr2i18n( "Room &name:" ) );
    textLabel2->setText( tr2i18n( "E&xchange:" ) );
}

/****************************************************************************
** AIMJoinChatBase meta object code from reading C++ file 'aimjoinchatbase.h'
**
** Created: Fri Dec 18 10:24:17 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "aimjoinchatbase.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *AIMJoinChatBase::className() const
{
    return "AIMJoinChatBase";
}

QMetaObject *AIMJoinChatBase::metaObj = 0;
static QMetaObjectCleanUp cleanUp_AIMJoinChatBase( "AIMJoinChatBase", &AIMJoinChatBase::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString AIMJoinChatBase::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "AIMJoinChatBase", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString AIMJoinChatBase::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "AIMJoinChatBase", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* AIMJoinChatBase::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"AIMJoinChatBase", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_AIMJoinChatBase.setMetaObject( metaObj );
    return metaObj;
}

void* AIMJoinChatBase::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "AIMJoinChatBase" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool AIMJoinChatBase::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool AIMJoinChatBase::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool AIMJoinChatBase::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool AIMJoinChatBase::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
