#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'wpaddcontactbase.ui'
**
** Created: 2015-12-18T10:25:59
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "wpaddcontactbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <kcombobox.h>
#include <kpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a WPAddContactBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
WPAddContactBase::WPAddContactBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "WPAddContactBase" );
    QFont f( font() );
    setFont( f ); 
    WPAddContactBaseLayout = new QVBoxLayout( this, 0, 6, "WPAddContactBaseLayout"); 

    layout59 = new QHBoxLayout( 0, 0, 6, "layout59"); 

    layout57 = new QVBoxLayout( 0, 0, 6, "layout57"); 

    TextLabel2_2 = new QLabel( this, "TextLabel2_2" );
    layout57->addWidget( TextLabel2_2 );

    TextLabel1_2 = new QLabel( this, "TextLabel1_2" );
    layout57->addWidget( TextLabel1_2 );
    layout59->addLayout( layout57 );

    layout58 = new QVBoxLayout( 0, 0, 6, "layout58"); 

    mHostName = new KComboBox( FALSE, this, "mHostName" );
    mHostName->setEditable( TRUE );
    layout58->addWidget( mHostName );

    mHostGroup = new KComboBox( FALSE, this, "mHostGroup" );
    layout58->addWidget( mHostGroup );
    layout59->addLayout( layout58 );
    WPAddContactBaseLayout->addLayout( layout59 );

    layout11 = new QHBoxLayout( 0, 0, 6, "layout11"); 
    Spacer2 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout11->addItem( Spacer2 );

    mRefresh = new KPushButton( this, "mRefresh" );
    layout11->addWidget( mRefresh );
    WPAddContactBaseLayout->addLayout( layout11 );
    Spacer4 = new QSpacerItem( 20, 50, QSizePolicy::Minimum, QSizePolicy::Expanding );
    WPAddContactBaseLayout->addItem( Spacer4 );
    languageChange();
    resize( QSize(396, 342).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( mHostName, mHostGroup );
    setTabOrder( mHostGroup, mRefresh );

    // buddies
    TextLabel2_2->setBuddy( mHostName );
    TextLabel1_2->setBuddy( mHostGroup );
}

/*
 *  Destroys the object and frees any allocated resources
 */
WPAddContactBase::~WPAddContactBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void WPAddContactBase::languageChange()
{
    TextLabel2_2->setText( tr2i18n( "Com&puter hostname:" ) );
    QToolTip::add( TextLabel2_2, tr2i18n( "The hostname you would like to use to send WinPopup messages to." ) );
    QWhatsThis::add( TextLabel2_2, tr2i18n( "The hostname you would like to use to send WinPopup messages to." ) );
    TextLabel1_2->setText( tr2i18n( "&Workgroup/domain:" ) );
    QToolTip::add( TextLabel1_2, tr2i18n( "The workgroup or domain the computer is on that you would like to use to send WinPopup messages to." ) );
    QWhatsThis::add( TextLabel1_2, tr2i18n( "The workgroup or domain the computer is on that you would like to use to send WinPopup messages to." ) );
    QToolTip::add( mHostName, tr2i18n( "The hostname you would like to use to send WinPopup messages to." ) );
    QWhatsThis::add( mHostName, tr2i18n( "The hostname you would like to use to send WinPopup messages to." ) );
    QToolTip::add( mHostGroup, tr2i18n( "The workgroup or domain the computer is on that you would like to use to send WinPopup messages to." ) );
    QWhatsThis::add( mHostGroup, tr2i18n( "The workgroup or domain the computer is on that you would like to use to send WinPopup messages to." ) );
    mRefresh->setText( tr2i18n( "&Refresh" ) );
    QToolTip::add( mRefresh, tr2i18n( "Refresh the list of available workgroups & domains on the Windows network." ) );
    QWhatsThis::add( mRefresh, tr2i18n( "Refresh the list of available workgroups & domains on the Windows network." ) );
}

/****************************************************************************
** WPAddContactBase meta object code from reading C++ file 'wpaddcontactbase.h'
**
** Created: Fri Dec 18 10:25:59 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "wpaddcontactbase.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *WPAddContactBase::className() const
{
    return "WPAddContactBase";
}

QMetaObject *WPAddContactBase::metaObj = 0;
static QMetaObjectCleanUp cleanUp_WPAddContactBase( "WPAddContactBase", &WPAddContactBase::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString WPAddContactBase::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "WPAddContactBase", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString WPAddContactBase::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "WPAddContactBase", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* WPAddContactBase::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"WPAddContactBase", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_WPAddContactBase.setMetaObject( metaObj );
    return metaObj;
}

void* WPAddContactBase::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "WPAddContactBase" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool WPAddContactBase::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool WPAddContactBase::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool WPAddContactBase::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool WPAddContactBase::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
