#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'yahoostealthsetting.ui'
**
** Created: 2015-12-18T10:25:31
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "yahoostealthsetting.h"

#include <qvariant.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a YahooStealthSetting as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
YahooStealthSetting::YahooStealthSetting( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "YahooStealthSetting" );
    setMinimumSize( QSize( 195, 75 ) );
    YahooStealthSettingLayout = new QGridLayout( this, 1, 1, 11, 6, "YahooStealthSettingLayout"); 

    buttonGroup1 = new QButtonGroup( this, "buttonGroup1" );

    radioPermOffline = new QRadioButton( buttonGroup1, "radioPermOffline" );
    radioPermOffline->setGeometry( QRect( 10, 60, 151, 17 ) );

    radioOnline = new QRadioButton( buttonGroup1, "radioOnline" );
    radioOnline->setGeometry( QRect( 10, 20, 151, 17 ) );
    radioOnline->setChecked( TRUE );

    radioOffline = new QRadioButton( buttonGroup1, "radioOffline" );
    radioOffline->setEnabled( FALSE );
    radioOffline->setGeometry( QRect( 10, 40, 151, 17 ) );
    radioOffline->setChecked( FALSE );

    YahooStealthSettingLayout->addWidget( buttonGroup1, 0, 0 );
    languageChange();
    resize( QSize(195, 114).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
}

/*
 *  Destroys the object and frees any allocated resources
 */
YahooStealthSetting::~YahooStealthSetting()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void YahooStealthSetting::languageChange()
{
    buttonGroup1->setTitle( tr2i18n( "Show Me As" ) );
    radioPermOffline->setText( tr2i18n( "Perma&nently offline" ) );
    radioOnline->setText( tr2i18n( "&Online" ) );
    radioOffline->setText( tr2i18n( "Off&line" ) );
}

/****************************************************************************
** YahooStealthSetting meta object code from reading C++ file 'yahoostealthsetting.h'
**
** Created: Fri Dec 18 10:25:31 2015
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "yahoostealthsetting.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *YahooStealthSetting::className() const
{
    return "YahooStealthSetting";
}

QMetaObject *YahooStealthSetting::metaObj = 0;
static QMetaObjectCleanUp cleanUp_YahooStealthSetting( "YahooStealthSetting", &YahooStealthSetting::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString YahooStealthSetting::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "YahooStealthSetting", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString YahooStealthSetting::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "YahooStealthSetting", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* YahooStealthSetting::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"YahooStealthSetting", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_YahooStealthSetting.setMetaObject( metaObj );
    return metaObj;
}

void* YahooStealthSetting::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "YahooStealthSetting" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool YahooStealthSetting::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool YahooStealthSetting::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool YahooStealthSetting::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool YahooStealthSetting::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
